;MyLSTOFF
;include   Win32API.als
;***************************************************************************
;*  DL1mbk.i    DspLib1   static MemoryBlocK   Include file for 80x86 CPU  *
;*                                                                         *
;*=========================================================================*
;*  Copyright (C)  1993   Wolfgang  Renner   Creation Date:  29. Jan 2001  *
;*                                           Creation Time:  00:00:00.000  *
;*             &   2005   Gimbacher Weg 34                                 *
;*             &   2013   D-65779 Kelkheim   Last Changed :  28. Nov 2002  *
;*                                                                         *
;*  All rights reserved   Germany / Hessen   For  NASM,MASM  TASM32, TASM  *
;***************************************************************************

LZ   equ   04
@04  equ   04
@08  equ   08
@16  equ   16
@32  equ   32

LngSiz  equ  04
RexSiz  equ  04
LngMsk  equ  63
LngShf  equ  06

ioc_STRCSIZE  equ  1024
ioc_SFBotPtr  equ  1024

;;*##########################################################################
;;mTypMBK      equ  00                  ; CNST: MemoryType MBK
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;MmTypWMD      equ  01                  ; CNST: MemoryType WMD
;MmTypWMB      equ  02                  ; CNST: MemoryType WMB
;MmTypBMP      equ  03                  ; CNST: MemoryType WMB
;;mTypPXM      equ  04                  ; CNST: MemoryType WMB
;;mTypCHN      equ  05                  ; CNST: MemoryType WMB
;MmTypMAT      equ  06                  ; CNST: MemoryType WMB
;;*--------------------------------------------------------------------------
;MBH           equ  32                  ; PARA: MemBlockHeader size    [0032]
;;*==========================================================================
;
;;###########################################################################
;mbk_mbh       equ  000+00000000        ; STRC: MemBlockHeader struct  [0000]
;;mb_Start     equ  MBH64               ; PARA: MemBlockHeader end     [0064]
;;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;mbk_MainERR1  equ  000+00000064+000    ; DWRD: Main ERROR1            [0092]
;;bk_ARG1      equ  MBH                 ; DWRD:                        [0064]
;;bk_ARG1      equ  MBH                 ; DWRD:                        [0068]
;;bk_ARG1      equ  MBH                 ; DWRD:                        [0072]
;;bk_ARG1      equ  MBH                 ; DWRD:                        [0076]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_ARG1      equ  MBH                 ; DWRD:                        [0080]
;;bk_ARG1      equ  MBH                 ; DWRD:                        [0084]
;;bk_ARG1      equ  MBH                 ; DWRD:                        [0088]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;;bk_CtrInf    equ  092                 ; BYTE: Control I  DCBA 10000 [+0108]
;;bk_CtrInfos  equ  092                 ; BYTE: Control I  DCBA 10000 [+0108]
;;*==========================================================================
;;bk_CONTRL    equ  096                 ; DWRD: CONTRL <1 IHG FED CBA> [0096]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_CtrA0a    equ  100                 ; BYTE: CtrA  1   999 999 999 [+0100]
;;bk_CtrB1b    equ  101                 ; BYTE: CtrB  0   876 543 210 [+0101]
;;bk_CtrC2c    equ  102                 ; BYTE: CtrC  C++ IHG FED CBA [+0102]
;;bk_CtrD3d    equ  103                 ; BYTE: CtrD                  [+0103]
;;bk_CtrE4e    equ  104                 ; BYTE: Control E  FORTRAN    [+0104]
;;bk_CtrF5f    equ  105                 ; BYTE: Control F  DCBA: 0000 [+0105]
;;bk_CtrG6g    equ  106                 ; BYTE: Control G             [+0106]
;;bk_CtrH7h    equ  107                 ; BYTE: Control H  C or C++   [+0107]
;;bk_CtrInf    equ  108                 ; BYTE: Control I  DCBA 10000 [+0108]
;;bk_CtrInfos  equ  108                 ; BYTE: Control I  DCBA 10000 [+0108]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_AUniCode  equ  109                 ; BYTE: Ansi or UniCode       [+0109]
;;bk_CanDoXMM  equ  110                 ; BYTE: CPU Can Do XMM0       [+0110]
;;bk_CanDoSE1  equ  111                 ; BYTE: CPU Can Do SSE1       [+0111]
;;*--------------------------------------------------------------------------
;;bk_CanDoSE2  equ  112                 ; BYTE: CPU Can Do SSE2       [00112]
;;bk_CanDoSE3  equ  113                 ; BYTE: CPU Can Do SSE3       [00113]
;;bk_CanDoSE4  equ  114                 ; BYTE: CPU Can Do SSE4       [00114]
;;bk_CanDoSE5  equ  115                 ; BYTE: CPU Can Do SSE5       [00115]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_UsingSE2  equ  116                 ; BYTE: CPU Using: SSE2       [00116]
;;bk_UsingSE3  equ  117                 ; BYTE: CPU Using: SSE3       [00117]
;;bk_UsingSE4  equ  118                 ; BYTE: CPU Using: SSE4       [00118]
;;bk_UsingSE5  equ  119                 ; BYTE: CPU Using: SSE5       [00119]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_Txt80Cod  equ  120                 ; BYTE: TextWrit Text30Code   [00120]
;;bk_Txt81Cod  equ  121                 ; BYTE: TextWrit Text31Code   [00121]
;;bk_Txt82Cod  equ  122                 ; BYTE: TextWrit Text31Code   [00122]
;;bk_Txt83Cod  equ  123                 ; BYTE: TextWrit Text31Code   [00123]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;;bk_Txt84Cod  equ  124                 ; BYTE: TextWrit Text30Code   [00124]
;;bk_Txt85Cod  equ  125                 ; BYTE: TextWrit Text31Code   [00125]
;;bk_Txt86Cod  equ  126                 ; BYTE: TextWrit Text31Code   [00126]
;;bk_Txt87Cod  equ  127                 ; BYTE: TextWrit Text31Code   [00127]
;;*--------------------------------------------------------------------------
mbk_AUniCode  equ  124                 ; EVAL: Ansi or UniCode       [+0124]
mmb_AUniCode  equ  124                 ; EVAL: Ansi or UniCode       [+0124]
;;*==========================================================================
;mbk_WLMsfPtr  equ  128                 ; PNTR: TextWrit Text80Pntr   [00128]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;;bk_Txt80Ptr  equ  128                 ; PNTR: TextWrit Text80Pntr   [00128]
;;bk_Txt81Ptr  equ  mbk_Txt80Ptr+16     ; PNTR: TextWrit Text81Pntr   [00144]
;;bk_Txt82Ptr  equ  mbk_Txt81Ptr+16     ; PNTR: TextWrit Text82Pntr   [00160]
;;bk_Txt83Ptr  equ  mbk_Txt82Ptr+16     ; PNTR: TextWrit Text83Pntr   [00176]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;;bk_Txt84Ptr  equ  mbk_Txt83Ptr+16     ; PNTR: TextWrit Text84Pntr   [00192]
;mbk_FiNamPtr  equ  208                 ; PNTR: FileName (HLG)Pointer [00208]
;mbk_LiNumVal  equ  224                 ; PNTR: LineNumb (HLG)Value   [00224]
mbk_WLMbkPtr  equ  240                 ; PNTR: WindLong mbk_ Pointer [00240]
mmb_WLMmbPtr  equ  240                 ; PNTR: WindLong mmb_ Pointer [00240]
;;*--------------------------------------------------------------------------
;gmm_MulDiv01  equ  256                 ; XVAL: Mult & Divide       1 [00256]
;gmm_MulDiv02  equ  gmm_MulDiv01+16     ; XVAL: Mult & Divide       2 [00272]
;gmm_MulDiv03  equ  gmm_MulDiv02+16     ; XVAL: Mult & Divide       3 [00272]
;gmm_MulDiv04  equ  gmm_MulDiv03+16     ; XVAL: Mult & Divide       4 [00272]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;gmm_MulDiv05  equ  gmm_MulDiv04+16     ; XVAL: Mult & Divide       5 [00288]
;gmm_MulDiv06  equ  gmm_MulDiv05+16     ; XVAL: Mult & Divide       6 [00288]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;gmm_MulDiv10  equ  gmm_MulDiv06+16     ; XVAL: Mult & Divide      10 [00304]
;gmm_MuDiv100  equ  gmm_MulDiv10+16     ; XVAL: Mult & Divide     100 [00320]
;gmm_MDiv1000  equ  gmm_MuDiv100+16     ; XVAL: Mult & Divide    1000 [00336]
;gmm_MDv10000  equ  gmm_MDiv1000+16     ; XVAL: Mult & Divide   10000 [00352]
;gmm_MD100000  equ  gmm_MDv10000+16     ; XVAL: Mult & Divid   100000 [00368]
;gmm_M1000000  equ  gmm_MD100000+16     ; XVAL: Mult & Divi   1000000 [00368]
;gmm_10000000  equ  gmm_M1000000+16     ; XVAL: Mult & Div   10000000 [00368]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

mmb_MulDiv03  equ  256                  ; XVAL: Mult & Divide       3 [00272]
mmb_MulDiv10  equ  256                  ; XVAL: Mult & Divide      10 [00304]
mmb_MuDiv100  equ  256                  ; XVAL: Mult & Divide     100 [00320]

;mmb_MulDiv01  equ  256                 ; XVAL: Mult & Divide       1 [00256]
;mmb_MulDiv02  equ  mmb_MulDiv01+16     ; XVAL: Mult & Divide       2 [00272]
;mmb_MulDiv03  equ  mmb_MulDiv02+16     ; XVAL: Mult & Divide       3 [00272]
;mmb_MulDiv04  equ  mmb_MulDiv03+16     ; XVAL: Mult & Divide       4 [00272]
;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mmb_MulDiv05  equ  mmb_MulDiv04+16     ; XVAL: Mult & Divide       5 [00288]
;mmb_MulDiv06  equ  mmb_MulDiv05+16     ; XVAL: Mult & Divide       6 [00288]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mmb_MulDiv10  equ  mmb_MulDiv06+16     ; XVAL: Mult & Divide      10 [00304]
;mmb_MuDiv100  equ  mmb_MulDiv10+16     ; XVAL: Mult & Divide     100 [00320]
;mmb_MDiv1000  equ  mmb_MuDiv100+16     ; XVAL: Mult & Divide    1000 [00336]
;mmb_MDv10000  equ  mmb_MDiv1000+16     ; XVAL: Mult & Divide   10000 [00352]
;mmb_MD100000  equ  mmb_MDv10000+16     ; XVAL: Mult & Divid   100000 [00368]
;mmb_M1000000  equ  mmb_MD100000+16     ; XVAL: Mult & Divi   1000000 [00368]
;mmb_10000000  equ  mmb_M1000000+16     ; XVAL: Mult & Div   10000000 [00368]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

;mbk_MulDiv01  equ  256                 ; XVAL: Mult & Divide       1 [00256]
;mbk_MulDiv02  equ  mbk_MulDiv01+16     ; XVAL: Mult & Divide       2 [00272]
mbk_MulDiv03  equ  128 ;  mbk_MulDiv02+16     ; XVAL: Mult & Divide       3 [00272]
;mbk_MulDiv04  equ  mbk_MulDiv03+16     ; XVAL: Mult & Divide       4 [00272]
;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_MulDiv05  equ  mbk_MulDiv04+16     ; XVAL: Mult & Divide       5 [00288]
;mbk_MulDiv06  equ  mbk_MulDiv05+16     ; XVAL: Mult & Divide       6 [00288]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
mbk_MulDiv10  equ   128 ; mbk_MulDiv06+16     ; XVAL: Mult & Divide      10 [00304]
mbk_MuDiv100  equ  mbk_MulDiv10+16     ; XVAL: Mult & Divide     100 [00320]
mbk_MDiv1000  equ  mbk_MuDiv100+16     ; XVAL: Mult & Divide    1000 [00336]
mbk_MDv10000  equ  mbk_MDiv1000+16     ; XVAL: Mult & Divide   10000 [00352]
;mbk_MD100000  equ  mbk_MDv10000+16     ; XVAL: Mult & Divid   100000 [00368]
;mbk_M1000000  equ  mbk_MD100000+16     ; XVAL: Mult & Divi   1000000 [00368]
;mbk_10000000  equ  mbk_M1000000+16     ; XVAL: Mult & Div   10000000 [00368]
;;*--------------------------------------------------------------------------
;mbk_R10M      equ  mbk_10000000+16     ; XVAL: Multi  Purpose        [00384]
;mbk_R11M      equ  mbk_R10M+16         ; XVAL: Registers             [00400]
;mbk_R12M      equ  mbk_R11M+16         ; XVAL:                       [00416]
;mbk_R13M      equ  mbk_R12M+16         ; XVAL:                       [00432]
;mbk_R14M      equ  mbk_R13M+16         ; XVAL:                       [00448]
;mbk_R15M      equ  mbk_R14M+16         ; XVAL:                       [00464]
;mbk_R16M      equ  mbk_R15M+16         ; XVAL:                       [00480]
;mbk_R17M      equ  mbk_R16M+16         ; XVAL:                       [00496]
;mbk_R18M      equ  mbk_R17M+16         ; XVAL:                       [00512]
;mbk_R19M      equ  mbk_R18M+16         ; XVAL:                       [00528]
;;*--------------------------------------------------------------------------
mbk_T1BoxTit  equ  256  ;  mbk_R19M+16         ; PNTR: Ansi EMssgBox Title   [00544]
mbk_F1FunNam  equ  mbk_T1BoxTit+16     ; PNTR: Ansi Function Name    [00560]

;mbk_F1FunNam  equ  000+00001600+0000   ; PNTR: Ansi Function Name    [00560]
mbk_ErrorNum  equ  mbk_F1FunNam+16     ; PNTR: Error Number          [00576]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_LongSize  equ  mbk_ErrorNum+16     ; XVAL: LongSize = 04,08,16   [00592]
;;bk_fntPntr   equ  mbk_LongSize+16     ; PNTR: fnt_ Pointer          [00608]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_LngSiz    equ  000+00001600+0016   ; XVAL: LongSize = 04,08,16   [00592]

;mbk_LngSiz    equ  mbk_ErrorNum+16     ; XVAL: LongSize = 04,08,16   [00592]
;mbk_fntPntr   equ  mbk_LngSiz+16       ; PNTR: fnt_ Pointer          [00608]
;;*--------------------------------------------------------------------------
;mbk_WinVer    equ  mbk_fntPntr+16      ; DVAL: Windows Version       [00608]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;gmm_MbBoxTit  equ  000+00001840+0000   ; PNTR: MessageBox: DlgWindTitle StrgPntr [#0000 #0000 #0000 #0000 #0000]
;gmm_MbHlgFil  equ  gmm_MbBoxTit+LVSZ   ; PNTR: MessageBox: HighLanguage FileName [+0004 +0008 +0016 +0032 +0064]
;gmm_MbHlgFun  equ  gmm_MbHlgFil+LVSZ   ; PNTR: MessageBox: HighLanguage Function [+0008 +0016 +0032 +0064 +0128]
;gmm_MbHlgLin  equ  gmm_MbHlgFun+LVSZ   ; LVAL: MessageBox: HighLanguage LineNumb [+0012 +0024 +0048 +0096 +0192]
;gmm_MbParent  equ  gmm_MbHlgLin+LVSZ   ; HNDL: MessageBox: WindowHandle MbParent [+0016 +0032 +0064 +0128 +0256]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;gmm_MbContrl  equ  gmm_MbParent+LVSZ   ; LVAL: MessageBox: <IACSU:DCBA> MControl [+0020 +0040 +0080 +0160 +0320]
;gmm_MbAsmFil  equ  gmm_MbContrl+LVSZ   ; PNTR: MessageBox: DLbAssembler FileName [+0024 +0048 +0096 +0192 +0384]
;gmm_MbAsmFun  equ  gmm_MbAsmFil+LVSZ   ; PNTR: MessageBox: DLbAssembler Function [+0028 +0056 +0112 +0224 +0448]
;gmm_MbErrLab  equ  gmm_MbAsmFun+LVSZ   ; LVAL: MessageBox: DLbAssmError LabelECX [+0032 +0064 +0128 +0256 +0512]
;gmm_MbErrNum  equ  gmm_MbErrLab+LVSZ   ; LVAL: MessageBox: DlbAssmError NumbrEDX [+0036 +0072 +0144 +0288 +0576]
;;*--------------------------------------------------------------------------------------------------------------
mmb_MbBoxTit  equ  000+00001840+0000   ; PNTR: MessageBox: DlgWindTitle StrgPntr [#0000 #0000 #0000 #0000 #0000]
mmb_MbHlgFil  equ  mmb_MbBoxTit+LVSZ   ; PNTR: MessageBox: HighLanguage FileName [+0004 +0008 +0016 +0032 +0064]
mmb_MbHlgFun  equ  mmb_MbHlgFil+LVSZ   ; PNTR: MessageBox: HighLanguage Function [+0008 +0016 +0032 +0064 +0128]
mmb_MbHlgLin  equ  mmb_MbHlgFun+LVSZ   ; LVAL: MessageBox: HighLanguage LineNumb [+0012 +0024 +0048 +0096 +0192]
;mmb_MbParent  equ  mmb_MbHlgLin+LVSZ   ; HNDL: MessageBox: WindowHandle MbParent [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;mmb_MbContrl  equ  mmb_MbParent+LVSZ   ; LVAL: MessageBox: <IACSU:DCBA> MControl [+0020 +0040 +0080 +0160 +0320]
;mmb_MbAsmFil  equ  mmb_MbContrl+LVSZ   ; PNTR: MessageBox: DLbAssembler FileName [+0024 +0048 +0096 +0192 +0384]
;mmb_MbAsmFun  equ  mmb_MbAsmFil+LVSZ   ; PNTR: MessageBox: DLbAssembler Function [+0028 +0056 +0112 +0224 +0448]
;mmb_MbErrLab  equ  mmb_MbAsmFun+LVSZ   ; LVAL: MessageBox: DLbAssmError LabelECX [+0032 +0064 +0128 +0256 +0512]
;mmb_MbErrNum  equ  mmb_MbErrLab+LVSZ   ; LVAL: MessageBox: DlbAssmError NumbrEDX [+0036 +0072 +0144 +0288 +0576]
;;*==============================================================================================================
;
;;*==========================================================================
;mbk_DLFunNum  equ  000+00002000+000    ; DVAL: DL#Function   Number  [00000]
;mbk_DLArgNum  equ  mbk_DLFunNum+04     ; DVAL: DL#Argument   Number  [00004]
;mbk_CBValNum  equ  mbk_DLArgNum+04     ; DVAL: CallByValue   Number  [00008]
;mbk_CBValMsk  equ  mbk_CBValNum+04     ; DVAL: CallByValue   Masking [00012]
;mbk_CBRefCnt  equ  mbk_CBValMsk+04     ; DVAL: CallByReferencCounter [00016]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_ARGVAL    equ  000+00002048+000    ; 64PT: ARGumentVALue's       [00000]
mbk_ARGPTR    equ   256 ; mbk_ARGVAL+1024     ; 64PT: ARGumentPoinTerR's    [+0512]
;;*--------------------------------------------------------------------------
;;
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;mbk_CONTRL    equ  000+00004096+128    ; DVAL: CONTRL<1 IA CSU PrBF> [#0128]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_CtrFunct  equ  mbk_CONTRL + 04     ; DVAL: CtrFunct          <F> [+0004]
;mbk_CtrBlock  equ  mbk_CtrFunct+04     ; DVAL: CtrBlank         <B>  [+0008]
;mbk_CtrPreci  equ  mbk_CtrBlock+04     ; DVAL: CtrPreci       <Pr>   [+0012]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_NaCtrUni  equ  mbk_CtrPreci+04     ; DVAL: DaCtrUni     <U>      [+0016]
;mbk_NaCtrStp  equ  mbk_NaCtrUni+04     ; DVAL: CtrlStop    <S>       [+0020]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_CtrChang  equ  mbk_NaCtrStp+04     ; DVAL: CtrChange  <C>        [+0024]
;mbk_CtrAuxil  equ  mbk_CtrChang+04     ; DVAL: CtrAuxil <A>          [+0028]
;mbk_CtrInfos  equ  mbk_CtrAuxil+04     ; DVAL: CtrInfo <I>           [+0032]
;mbk_CtrInf    equ  mbk_CtrAuxil+04     ; DVAL: CtrInfo <I>           [+0032]
;;*--------------------------------------------------------------------------
;;*w_CONTRL    equ  000+00004096+128    ; DVAL: CONTRL<1 IA CSU CSUN> [#0128]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;*k_DaNewLin  equ  mbk_CtrInfos+04     ; DVAL: DaNewLines        <N> [+0036]
;;*k_DaComent  equ  mbk_DaNewLin+04     ; DVAL: DaComment      <C>    [+0040]
;;*k_CtrAcces  equ  mbk_DaComent+04     ; DVAL: CtrAcces <A>          [+0044]
;;*--------------------------------------------------------------------------
;;*w_CONTRL    equ  000+00004096+128    ; DVAL: CONTRL<1 IA CSU PrBa> [#0128]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;*k_CtrIBase  equ  mbk_CONTRL + 04     ; BYTE: CtrIBase         <Ba> [+0004]
;;*w_CtrPreci  equ  mbk_CtrIBase+04     ; BYTE: CtrPreci       <Pr>   [+0012]
;;*--------------------------------------------------------------------------
;mbk_NaStChar  equ  000+00004096+192    ; DVAL: NameStrg Stoping Char [+0192]
;mbk_NaFiStop  equ  mbk_NaStChar+04     ; DVAL: NameStrg Filling Stop [+0196]
;mbk_NaFiRest  equ  mbk_NaFiStop+04     ; DVAL: NameStrg Filling Rest [+0200]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_NewLinHI  equ  mbk_NaFiRest+04     ; DVAL: DataStrg NewLine HIgh [+0204]
;mbk_NewLinLO  equ  mbk_NewLinHI+04     ; DVAL: DataStrg NewLine LOwr [+0208]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_CtrChgHI  equ  mbk_NewLinLO+04     ; DVAL: Controls Changes HIgh [+0212]
;mbk_CtrChgLO  equ  mbk_CtrChgHI+04     ; DVAL: Controls Changes LOwr [+0216]
;;*==========================================================================
;
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;mbk_wmd0Pntr  equ  000+00008192+0000   ; PNTR: must be Zero ?!     [+000000]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_wmd1Pntr  equ  mbk_wmd0Pntr+0016   ; PNTR: Display 1 wmd_ Pntr [+000000]
;;bk_wmd2Pntr  equ  mbk_wmd0Pntr+0032   ; PNTR: Display 2           [+000000]
;;bk_wmd3Pntr  equ  mbk_wmd0Pntr+0048   ; PNTR: Display 3           [+000000]
;;bk_wmd4Pntr  equ  mbk_wmd0Pntr+0064   ; PNTR: Display 4           [+000000]
;;bk_wmd5Pntr  equ  mbk_wmd0Pntr+0080   ; PNTR: Display 5           [+000000]
;;bk_wmd6Pntr  equ  mbk_wmd0Pntr+0096   ; PNTR: Display 6           [+000000]
;;bk_wmd7Pntr  equ  mbk_wmd0Pntr+0112   ; PNTR: Display 7           [+000000]
;;bk_wmd8Pntr  equ  mbk_wmd0Pntr+0128   ; PNTR: Display 8           [+000000]
;;bk_wmd9Pntr  equ  mbk_wmd0Pntr+0144   ; PNTR: Display 9           [+000000]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_wmd10Ptr  equ  mbk_wmd0Pntr+0160   ; PARA: end of array        [+000000]
;;*==========================================================================
;mbk_FloatSax  equ  000+00016384+0000   ; STRC: for FSAVE / FRSTOR  [+000000]
;;*==========================================================================
;mbk_FloatSav  equ  000+00016384+1024   ; STRC: for FSAVE / FRSTOR  [+000000]
;mbk_OldFloat  equ  mbk_FloatSav+128    ; STRC: for FSAVE / FRSTOR  [+000000]
;mbk_FloatEnd  equ  mbk_OldFloat+128    ; PARA:                     [+000000]
;;*==========================================================================
;mbk_fxStore0  equ  000+00016384+2048   ; STRC:                     [0000000]
;mbk_fxStore1  equ  mbk_fxStore0+512    ; STRC:                     [0000000]
;;*==========================================================================
;mbk_hDIB000   equ  000+00016384+3072   ; HNDL: hDevIndependBmp000  [0000000] 
;;bk_hDIB001   equ  mbk_hDIB000+0016    ; HNDL: for ToolBars        [0000000]
;;bk_hDIB002   equ  mbk_hDIB000+0032    ; HNDL:                     [0000000]
;;bk_hDIB255   equ  mbk_hDIB000+4080    ; HNDL:                     [0000000]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_hDIB256   equ  mbk_hDIB000+4096    ; HNDL:                     [0000000]
;;*==========================================================================
;
;;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;FNT           equ  160                 ; PARA: fnt_ Size           [+000064]
;;*==========================================================================
;mbk_Font000   equ  000+00032768        ; STRC:                     [+008192]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_Font001   equ  mbk_Font000+FNT     ; STRC:                     [+000000]
;mbk_Font002   equ  mbk_Font000+FNT*2   ; STRC:                     [+000000]
;mbk_Font003   equ  mbk_Font000+FNT*3   ; STRC:                     [+000000]
;mbk_Font004   equ  mbk_Font000+FNT*4   ; STRC:                     [+000000]
;mbk_Font005   equ  mbk_Font000+FNT*5   ; STRC:                     [+000000]
;mbk_Font006   equ  mbk_Font000+FNT*6   ; STRC:                     [+000000]
;mbk_Font007   equ  mbk_Font000+FNT*7   ; STRC:                     [+000000]
;mbk_Font008   equ  mbk_Font000+FNT*8   ; STRC:                     [+000000]
;mbk_Font009   equ  mbk_Font000+FNT*9   ; STRC:                     [+000000]
;;bk_Font099   equ  mbk_Font000+FNT*99  ; STRC:                     [+000000]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_Font100   equ  mbk_Font000+FNT*100 ; STRC:                     [+000000]
;;*--------------------------------------------------------------------------
;
;;*==========================================================================
;mbk_bm000Ptr  equ  000+00065536+00000  ; PNTR: BitMap 000 Pointer [+0000000]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_bm001Ptr  equ  mbk_bm000Ptr+00016  ; PNTR: BitMap 001 Pointer [+0000016]
;mbk_bm002Ptr  equ  mbk_bm000Ptr+00032  ; PNTR: BitMap 002 Pointer [+0000032]
;mbk_bm003Ptr  equ  mbk_bm000Ptr+00048  ; PNTR: BitMap 003 Pointer [+0000048]
;mbk_bm004Ptr  equ  mbk_bm000Ptr+00064  ; PNTR: BitMap 004 Pointer [+0000064]
;mbk_bm005Ptr  equ  mbk_bm000Ptr+00080  ; PNTR: BitMap 005 Pointer [+0000080]
;mbk_bm006Ptr  equ  mbk_bm000Ptr+00096  ; PNTR: BitMap 006 Pointer [+0000096]
;mbk_bm007Ptr  equ  mbk_bm000Ptr+00112  ; PNTR: BitMap 007 Pointer [+0000112]
;mbk_bm008Ptr  equ  mbk_bm000Ptr+00128  ; PNTR: BitMap 008 Pointer [+0000128]
;mbk_bm009Ptr  equ  mbk_bm000Ptr+00144  ; PNTR: BitMap 009 Pointer [+0000144]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_bm990Ptr  equ  mbk_bm000Ptr+15840  ; PNTR: BitMap 990 Pointer [+0015840]
;mbk_bm991Ptr  equ  mbk_bm000Ptr+15856  ; PNTR: BitMap 991 Pointer [+0015856]
;mbk_bm992Ptr  equ  mbk_bm000Ptr+15872  ; PNTR: BitMap 992 Pointer [+0015872]
;mbk_bm993Ptr  equ  mbk_bm000Ptr+15888  ; PNTR: BitMap 993 Pointer [+0015888]
;mbk_bm994Ptr  equ  mbk_bm000Ptr+15904  ; PNTR: BitMap 994 Pointer [+0015904]
;mbk_bm995Ptr  equ  mbk_bm000Ptr+15920  ; PNTR: BitMap 995 Pointer [+0015920]
;mbk_bm996Ptr  equ  mbk_bm000Ptr+15936  ; PNTR: BitMap 996 Pointer [+0015936]
;mbk_bm997Ptr  equ  mbk_bm000Ptr+15952  ; PNTR: BitMap 997 Pointer [+0015952]
;mbk_bm998Ptr  equ  mbk_bm000Ptr+15968  ; PNTR: BitMap 998 Pointer [+0015968]
;mbk_bm999Ptr  equ  mbk_bm000Ptr+15984  ; PNTR: BitMap 999 Pointer [+0015986]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_b1000Ptr  equ  mbk_bm000Ptr+16000  ; PNTR: BitMp 1000 Pointer [+0016000]
;;*==========================================================================
;;bk_ifd0      equ  000+00081920+00000  ; STRC: Tiff   ifd0_       [+0081920]
;;bk_ifd1      equ  mbk_ifd0+8192*01    ; STRC: Tiff   ifd1_       [+0090112]
;;bk_exf0      equ  mbk_ifd0+8192*02    ; STRC: Tiff   exf0_       [+0098304]
;;bk_exf1      equ  mbk_ifd0+8192*03    ; STRC: Tiff   exf1_       [+0106496]
;;bk_gps0      equ  mbk_ifd0+8192*04    ; STRC: Tiff   gps0_       [+0114688]
;;bk_gps1      equ  mbk_ifd0+8192*05    ; STRC: Tiff   gps1_       [+0122880]
;;*==========================================================================
;;bk_ifd1      equ  000+00081920+00000  ; STRC: Tiff   ifd0_       [+0081920]
;;###########################################################################
;mbk_iol       equ  000+00131072        ; STRC: iol_ structure     [00131072]
;mbk_con       equ  000+00327680        ; STRC: con_ structure     [00327680]
;
;gmm_iol       equ  000+00131072        ; STRC: iol_ structure     [00131072]
;gmm_con       equ  000+00327680        ; STRC: con_ structure     [00327680]
;;*==========================================================================
;
;;###########################################################################
;mbk_msg0000   equ  000+0524288         ; STRC:                    [0080000h]
;mbk_msg0001   equ  mbk_msg0000+512*001 ; STRC:                    [+0000512]
;mbk_msg0002   equ  mbk_msg0000+512*002 ; STRC:                    [+0001024]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_msg0510   equ  mbk_msg0000+512*510 ; STRC:                    [+0261120]
;mbk_msg0511   equ  mbk_msg0000+512*511 ; STRC:                    [+0261632]
;mbk_msg0512   equ  mbk_msg0000+512*512 ; STRC:                    [+0262144]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_msg1022   equ  mbk_msg0000+512*1022 ;STRC:                    [+0523264]
;mbk_msg1023   equ  mbk_msg0000+512*1023 ;STRC:                    [+0523776]
;mbk_msg1024   equ  mbk_msg0000+512*1024 ;STRC:                    [+0524288]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
mbk_sta000    equ  000+01048576+000000 ; STRC:                    [0100000h]
;;*--------------------------------------------------------------------------
;mbk_abc       equ  mbk_sta000+8192*000 ; STRC:                    [+0000000]
;;bk_sta001    equ  mbk_sta000+8192*001 ; STRC:                    [+0008192]
;;bk_sta002    equ  mbk_sta000+8192*002 ; STRC:                    [+0016384]
;mbk_ams       equ  mbk_sta000+8192*003 ; STRC:         A          [+0024576]
;;bk_sta004    equ  mbk_sta000+8192*004 ; STRC:                    [+0032768]
;;bk_sta005    equ  mbk_sta000+8192*005 ; STRC:                    [+0040960]
;;bk_sta006    equ  mbk_sta000+8192*006 ; STRC:                    [+0049152]
;mbk_axi       equ  mbk_sta000+8192*007 ; STRC:                    [+0057344]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_bas       equ  mbk_sta000+8192*008 ; STRC:                    [+0065536]
;;bk_sta009    equ  mbk_sta000+8192*009 ; STRC:                    [+0073728]
;;bk_sta010    equ  mbk_sta000+8192*010 ; STRC:                    [+0081920]
;;bk_sta011    equ  mbk_sta000+8192*011 ; STRC:         B          [+0090112]
;mbk_bmc       equ  mbk_sta000+8192*012 ; STRC:                    [+0098304]
;;bk_sta013    equ  mbk_sta000+8192*013 ; STRC:                    [+0106496]
;mbk_but       equ  mbk_sta000+8192*014 ; STRC:                    [+0114688]
;;bk_sta015    equ  mbk_sta000+8192*015 ; STRC:                    [+0122880]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_sta016    equ  mbk_sta000+8192*016 ; STRC:                    [+0131072]
;;bk_sta017    equ  mbk_sta000+8192*017 ; STRC:                    [+0139264]
mbk_com       equ  mbk_sta000+8192*018 ; STRC:                    [+0147456]
;;bk_con       equ  mbk_sta000+8192*019 ; STRC:                    [+0155648]
;mbk_cop       equ  mbk_sta000+8192*020 ; STRC:         C          [+0163840]
;;bk_cxy       equ  mbk_sta000+8192*021 ; STRC:                    [+0172032]
;;bk_sta022    equ  mbk_sta000+8192*022 ; STRC:                    [+0180224]
;;bk_sta023    equ  mbk_sta000+8192*023 ; STRC:                    [+0188416]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_dng       equ  mbk_sta000+8192*024 ; STRC:                    [+0196608]
;mbk_dcm       equ  mbk_sta000+8192*025 ; STRC:                    [+0204800]
;mbk_def       equ  mbk_sta000+8192*026 ; STRC:                    [+0212992]
;mbk_drw       equ  mbk_sta000+8192*027 ; STRC:                    [+0221184]
;mbk_dsp       equ  mbk_sta000+8192*028 ; STRC:         D          [+0229376]
;mbk_dlg       equ  mbk_sta000+8192*029 ; STRC:                    [+0237568]
;mbk_dbr       equ  mbk_sta000+8192*030 ; STRC:                    [+0245760]
;;bk_sta031    equ  mbk_sta000+8192*031 ; STRC:                    [+0253952]
;;*--------------------------------------------------------------------------
;;bk_sta032    equ  mbk_sta000+8192*032 ; STRC:                    [+0262144]
mbk_edi       equ  mbk_sta000+8192*033 ; STRC:                    [+0270336]
;;bk_sta034    equ  mbk_sta000+8192*034 ; STRC:                    [+0278528]
;;bk_sta035    equ  mbk_sta000+8192*035 ; STRC:                    [+0286720]
;mbk_err       equ  mbk_sta000+8192*036 ; STRC:         E          [+0294912]
;;bk_sta037    equ  mbk_sta000+8192*037 ; STRC:                    [+0303104]
;;bk_sta038    equ  mbk_sta000+8192*038 ; STRC:                    [+0311296]
;;bk_sta039    equ  mbk_sta000+8192*039 ; STRC:                    [+0319488]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_sta040    equ  mbk_sta000+8192*040 ; STRC:                    [+0327680]
;mbk_sta041    equ  mbk_sta000+8192*041 ; STRC:                    [+0335872]
;;bk_sta042    equ  mbk_sta000+8192*042 ; STRC:                    [+0344064]
mbk_fld       equ  mbk_sta000+8192*043 ; STRC:         F          [+0352256]
;;bk_sta044    equ  mbk_sta000+8192*044 ; STRC:                    [+0360448]
;;bk_sta045    equ  mbk_sta000+8192*045 ; STRC:                    [+0368640]
;mbk_fun       equ  mbk_sta000+8192*046 ; STRC:                    [+0376832]
;;bk_sta047    equ  mbk_sta000+8192*047 ; STRC:                    [+0385024]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_grp       equ  mbk_sta000+8192*048 ; STRC:                    [+0393216] 
;;bk_sta050    equ  mbk_sta000+8192*049 ; STRC:                    [+0401408]
;;bk_sta051    equ  mbk_sta000+8192*050 ; STRC:                    [+0409600]
;;bk_sta051    equ  mbk_sta000+8192*051 ; STRC:        G,H         [+0417792]
;;bk_sta052    equ  mbk_sta000+8192*052 ; STRC:                    [+0425984]
;;bk_sta052    equ  mbk_sta000+8192*053 ; STRC:                    [+0434176]
;;bk_sta052    equ  mbk_sta000+8192*054 ; STRC:                    [+0442368]
mbk_ioc       equ  mbk_sta000+8192*055 ; STRC:                    [+0450560]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
mbk_inf       equ  mbk_sta000+8192*056 ; STRC:                    [+0458752]
mbk_itc       equ  mbk_sta000+8192*057 ; STRC:                    [+0466944]
;mbk_inp       equ  mbk_sta000+8192*058 ; STRC:                    [+0475136]
;mbk_jol       equ  mbk_sta000+8192*059 ; STRC:        I,J         [+0483328]
;;bk_sta060    equ  mbk_sta000+8192*060 ; STRC:                    [+0491520]
;;bk_sta061    equ  mbk_sta000+8192*061 ; STRC:                    [+0499712]
;mbk_jpg       equ  mbk_sta000+8192*062 ; STRC:                    [+0507904]
;mbk_jpz       equ  mbk_sta000+8192*063 ; STRC:                    [+0516096]
;;*--------------------------------------------------------------------------
mbk_lod       equ  mbk_sta000+8192*064 ; STRC:                    [+0524288]
;mbk_lst       equ  mbk_sta000+8192*065 ; STRC:                    [+0532480]
mbk_mem       equ  mbk_sta000+8192*066 ; STRC:                    [+0540672]
;mbk_men       equ  mbk_sta000+8192*067 ; STRC:                    [+0548864]
;mbk_msg       equ  mbk_sta000+8192*068 ; STRC:        K,L         [+0557056]
mbk_mat       equ  mbk_sta000+8192*069 ; STRC:                    [+0565248]
mbk_mad       equ  mbk_sta000+8192*070 ; STRC:                    [+0573440]
;;bk_mad2      equ  mbk_sta000+8192*071 ; STRC:                    [+0581632]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
mbk_mlc       equ  mbk_sta000+8192*072 ; STRC:                    [+0589824]
;;bk_sta073    equ  mbk_sta000+8192*073 ; STRC:                    [+0598016]
;;bk_sta074    equ  mbk_sta000+8192*074 ; STRC:                    [+0606208]
;;bk_sta075    equ  mbk_sta000+8192*075 ; STRC:        M,N         [+0614400]
;;bk_sta076    equ  mbk_sta000+8192*076 ; STRC:                    [+0622592]
;mbk_ion       equ  mbk_sta000+8192*077 ; STRC:                    [+0630784]
;gmm_ion       equ  mbk_sta000+8192*077 ; STRC:                    [+0630784]
;mbk_ion1      equ  mbk_sta000+8192*078 ; STRC:                    [+0638976]
;mbk_ion3      equ  mbk_sta000+8192*079 ; STRC:                    [+0647168]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_obm       equ  mbk_sta000+8192*080 ; STRC:                    [+0655360]
mbk_owi       equ  mbk_sta000+8192*081 ; STRC:                    [+0663552]
;;bk_sta082    equ  mbk_sta000+8192*082 ; STRC:                    [+0671744]
;;bk_sta083    equ  mbk_sta000+8192*083 ; STRC:        O,P         [+0679936]
;;bk_sta084    equ  mbk_sta000+8192*084 ; STRC:                    [+0688128]
;;bk_sta085    equ  mbk_sta000+8192*085 ; STRC:                    [+0696320]
;mbk_pic       equ  mbk_sta000+8192*086 ; STRC:                    [+0704512]
;mbk_plg       equ  mbk_sta000+8192*087 ; STRC:                    [+0712704]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_png       equ  mbk_sta000+8192*088 ; STRC:                    [+0720896]
;mbk_pri       equ  mbk_sta000+8192*089 ; STRC:                    [+0729088]
;mbk_pel       equ  mbk_sta000+8192*090 ; STRC:                    [+0737280]
;;bk_sta091    equ  mbk_sta000+8192*091 ; STRC:        P,R         [+0745472]
;;bk_sta091    equ  mbk_sta000+8192*092 ; STRC:                    [+0753664]
;;bk_sta091    equ  mbk_sta000+8192*093 ; STRC:                    [+0761856]
;;bk_sta091    equ  mbk_sta000+8192*094 ; STRC:                    [+0770048]
;mbk_ral       equ  mbk_sta000+8192*095 ; STRC:                    [+0778240]
;;*--------------------------------------------------------------------------
;mbk_sat       equ  mbk_sta000+8192*096 ; STRC:                    [+0786432]
;mbk_scp       equ  mbk_sta000+8192*097 ; STRC:                    [+0794624]
mbk_sli       equ  mbk_sta000+8192*098 ; STRC:                    [+0802816]
;;bk_sta099    equ  mbk_sta000+8192*099 ; STRC:        S           [+0811008]
;;bk_sta100    equ  mbk_sta000+8192*100 ; STRC:                    [+0819200]
;mbk_sta       equ  mbk_sta000+8192*101 ; STRC:                    [+0827392]
;mbk_str       equ  mbk_sta000+8192*102 ; STRC:                    [+0835584]
;mbk_sys       equ  mbk_sta000+8192*103 ; STRC:                    [+0843776]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_tba       equ  mbk_sta000+8192*104 ; STRC:                    [+0851968]
;mbk_tbu       equ  mbk_sta000+8192*105 ; STRC:                    [+0860160]
;;bk_sta106    equ  mbk_sta000+8192*106 ; STRC:                    [+0868352]
;mbk_tif       equ  mbk_sta000+8192*107 ; STRC:        T           [+0876544]
;;bk_sta108    equ  mbk_sta000+8192*108 ; STRC:                    [+0884736]
;mbk_thr       equ  mbk_sta000+8192*109 ; STRC:                    [+0892928]
;mbk_txt       equ  mbk_sta000+8192*110 ; STRC:                    [+0901120]
;;bk_sta111    equ  mbk_sta000+8192*111 ; STRC:                    [+0909312]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_wem       equ  mbk_sta000+8192*112 ; STRC:                    [+0917504]
mbk_wim       equ  mbk_sta000+8192*113 ; STRC:                    [+0925696]
mbk_win       equ  mbk_sta000+8192*114 ; STRC:                    [+0933888]
mbk_wjn       equ  mbk_sta000+8192*115 ; STRC:                    [+0942080]
;;bk_sta116    equ  mbk_sta000+8192*116 ; STRC:      U,V,W         [+0950272]
;;bk_sta117    equ  mbk_sta000+8192*117 ; STRC:                    [+0958464]
;;bk_sta118    equ  mbk_sta000+8192*118 ; STRC:                    [+0966656]
;;bk_sta119    equ  mbk_sta000+8192*119 ; STRC:                    [+0974848]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_sta123    equ  mbk_sta000+8192*120 ; STRC:                    [+0983040]
;;bk_sta123    equ  mbk_sta000+8192*121 ; STRC:                    [+0991232]
;;bk_sta123    equ  mbk_sta000+8192*122 ; STRC:                    [+0999424]
;;bk_sta123    equ  mbk_sta000+8192*123 ; STRC:      X,Y,Z         [+1007616]
;;bk_sta124    equ  mbk_sta000+8192*124 ; STRC:                    [+1015808]
;mbk_zip       equ  mbk_sta000+8192*125 ; STRC:                    [+1024000]
;;bk_sta126    equ  mbk_sta000+8192*126 ; STRC:                    [+1032192]
;;*k_sta127    equ  mbk_sta000+8192*127 ; STRC: MemBlocK_STAtic127 [+1040384]
;;###########################################################################
;;# Start  of  Def  DataStructures
;;###########################################################################
;mbk_P1DefPen  equ  000+02097152+000000 ; STRC: Palettes DefPen-01 [02097152]
;mbk_P2DefPen  equ  mbk_P1DefPen+000064 ; STRC: Palettes DefPen-02 [+0000064]
;mbk_P3DefPen  equ  mbk_P2DefPen+000096 ; STRC: Palettes DefPen-04 [+0000160]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_P4DefPen  equ  mbk_P3DefPen+000288 ; STRC: Palettes DefPen-08 [+0000448]
;mbk_P5DefPen  equ  mbk_P4DefPen+004128 ; STRC: Palettes DefPen-08 [+0004576]
;mbk_P6DefPen  equ  mbk_P5DefPen+004128 ; STRC: Palettes DefPen-10 [+0008704]
;mbk_P7DefPen  equ  mbk_P6DefPen+016416 ; STRC: Palettes DefPen-12 [+0025120]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_P8DefPen  equ  mbk_P7DefPen+065568 ; STRC: Palettes DefPen-15 [+0090688]
;mbk_P9DefPen  equ  mbk_P8DefPen+131104 ; STRC: Palettes DefPen-16 [+0221792]
;;*--------------------------------------------------------------------------
;mbk_PaDefGry  equ  mbk_P9DefPen+262176 ; STRC: Palettes DefGry-32 [+0483968]
;mbk_PaDefRgb  equ  mbk_PaDefGry+004128 ; STRC: Palettes DefRgb-32 [+0488096]
;mbk_PaDefChn  equ  mbk_PaDefRgb+008224 ; STRC: Palettes DefChn-32 [+0496320]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_PaDefEnd  equ  mbk_PaDefChn+018464 ; PARA: Palettes DefChnEnd [+0514784]
;;*--------------------------------------------------------------------------
;mbk_DsDefVal  equ  mbk_P1DefPen+516096 ; STRC: LineDash DefValues [+0516096]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;mbk_C@DefGry  equ  mbk_P1DefPen+524288 ; STRC: Palettes DefCh@Gry [+0524288]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_C1DefRed  equ  mbk_C@DefGry+001056 ; STRC: Palettes DefCh1Red [+0001056]
;mbk_C2DefGrn  equ  mbk_C1DefRed+001056 ; STRC: Palettes DefCh2Grn [+0002112]
;mbk_C3DefBlu  equ  mbk_C2DefGrn+001056 ; STRC: Palettes DefCh3Blu [+0003168]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_C4DefUVa  equ  mbk_C3DefBlu+001056 ; STRC: Palettes DefCh4UVa [+0004224]
;mbk_C5DefUVb  equ  mbk_C4DefUVa+001056 ; STRC: Palettes DefCh5UVb [+0005280]
;mbk_C6DefUVc  equ  mbk_C5DefUVb+001056 ; STRC: Palettes DefCh6UVc [+0006336]
;mbk_C7DefIRa  equ  mbk_C6DefUVc+001056 ; STRC: Palettes DefCh7IRa [+0007392]
;mbk_C8DefIRb  equ  mbk_C7DefIRa+001056 ; STRC: Palettes DefCh8IRb [+0008448]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_C9DefCov  equ  mbk_C8DefIRb+001056 ; STRC: Palettes DefCh9Cov [+0009504]
;mbk_C9DefEnd  equ  mbk_C9DefCov+001056 ; STRC: Palettes DefCh9End [+0010560]
;;*==========================================================================
;mbk_OvDefVal  equ  mbk_C@DefGry+010560 ; STRC: Overlays DefValues [+0534848]
;mbk_PhDefVal  equ  mbk_OvDefVal+000256 ; STRC: Physical DefValues [+0535104]
;mbk_PhDefEnd  equ  mbk_PhDefVal+000256 ; STRC: Physical DefValEnd [+0535360]
;;*--------------------------------------------------------------------------
;mbk_Def5120V  equ  mbk_C@DefGry+11264  ; USED?                    [+0535552]
;mbk_Def5120E  equ  mbk_Def5120V+05120  ; USED?                    [+0005120]
;;*--------------------------------------------------------------------------
;mbk_PtDefVal  equ  mbk_C@DefGry+16384  ; STRC: AreaPatt DefValues [+0540672]
;mbk_RpDefVal  equ  mbk_C@DefGry+32768  ; STRC: Rampings DefValues [+0557056]
;;*==========================================================================
;mbk_AtDefVal  equ  mbk_C@DefGry+196608 ; STRC: Attribut DefValues [+0720896]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_MeDefVal  equ  mbk_AtDefVal+065536 ; STRC: Metainfo DefValues [+0786432]
;mbk_UnDefVal  equ  mbk_MeDefVal+131072 ; STRC: Unspecif DefValues [+0917504]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_UnDefEnd  equ  mbk_UnDefVal+131072 ; STRC: Unspecif DefValEnd [+1048576]
;;###########################################################################
;;# Start  of  Old  DataStructures
;;###########################################################################
;mbk_P1OldPen  equ  000+03145728+000000 ; STRC: Palettes OldPen-01 [03145728]
;mbk_P2OldPen  equ  mbk_P1OldPen+000064 ; STRC: Palettes OldPen-02 [+0000064]
;mbk_P3OldPen  equ  mbk_P2OldPen+000096 ; STRC: Palettes OldPen-04 [+0000160]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_P4OldPen  equ  mbk_P3OldPen+000288 ; STRC: Palettes OldPen-08 [+0000448]
;mbk_P5OldPen  equ  mbk_P4OldPen+004128 ; STRC: Palettes OldPen-08 [+0004576]
;mbk_P6OldPen  equ  mbk_P5OldPen+004128 ; STRC: Palettes OldPen-10 [+0008704]
;mbk_P7OldPen  equ  mbk_P6OldPen+016416 ; STRC: Palettes OldPen-12 [+0025120]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_P8OldPen  equ  mbk_P7OldPen+065568 ; STRC: Palettes OldPen-15 [+0090688]
;mbk_P9OldPen  equ  mbk_P8OldPen+131104 ; STRC: Palettes OldPen-16 [+0221792]
;;*--------------------------------------------------------------------------
;mbk_PaOldGry  equ  mbk_P9OldPen+262176 ; STRC: Palettes OldGry-32 [+0483968]
;mbk_PaOldRgb  equ  mbk_PaOldGry+004128 ; STRC: Palettes OldRgb-32 [+0488096]
;mbk_PaOldChn  equ  mbk_PaOldRgb+008224 ; STRC: Palettes OldChn-32 [+0496320]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_PaOldEnd  equ  mbk_PaOldChn+018464 ; PARA: Palettes OldChnEnd [+0514784]
;;*--------------------------------------------------------------------------
;mbk_DsOldVal  equ  mbk_P1OldPen+516096 ; STRC: LineDash OldValues [+0516096]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;mbk_C@OldGry  equ  mbk_P1OldPen+524288 ; STRC: Palettes OldCh@Gry [+0524288]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_C1OldRed  equ  mbk_C@OldGry+001056 ; STRC: Palettes OldCh1Red [+0001056]
;mbk_C2OldGrn  equ  mbk_C1OldRed+001056 ; STRC: Palettes OldCh2Grn [+0002112]
;mbk_C3OldBlu  equ  mbk_C2OldGrn+001056 ; STRC: Palettes OldCh3Blu [+0003168]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_C4OldUVa  equ  mbk_C3OldBlu+001056 ; STRC: Palettes OldCh4UVa [+0004224]
;mbk_C5OldUVb  equ  mbk_C4OldUVa+001056 ; STRC: Palettes OldCh5UVb [+0005280]
;mbk_C6OldUVc  equ  mbk_C5OldUVb+001056 ; STRC: Palettes OldCh6UVc [+0006336]
;mbk_C7OldIRa  equ  mbk_C6OldUVc+001056 ; STRC: Palettes OldCh7IRa [+0007392]
;mbk_C8OldIRb  equ  mbk_C7OldIRa+001056 ; STRC: Palettes OldCh8IRb [+0008448]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_C9OldCov  equ  mbk_C8OldIRb+001056 ; STRC: Palettes OldCh9Cov [+0009504]
;mbk_C9OldEnd  equ  mbk_C9OldCov+001056 ; STRC: Palettes OldCh9End [+0010560]
;;*==========================================================================
;mbk_OvOldVal  equ  mbk_C@OldGry+010560 ; STRC: Overlays OldValues [+0534848]
;mbk_PhOldVal  equ  mbk_OvOldVal+000256 ; STRC: Physical OldValues [+0535104]
;mbk_PhOldEnd  equ  mbk_PhOldVal+000256 ; STRC: Physical OldValEnd [+0535360]
;;*--------------------------------------------------------------------------
;mbk_Old5120V  equ  mbk_C@OldGry+11264  ; USED?                    [+0535552]
;mbk_Old5120E  equ  mbk_Old5120V+05120  ; USED?                    [+0005120]
;;*--------------------------------------------------------------------------
;mbk_PtOldVal  equ  mbk_C@OldGry+16384  ; STRC: AreaPatternOldValu [+0524288]
;mbk_RpOldVal  equ  mbk_C@OldGry+32768  ; STRC: Rampings OldValues [+0557056]
;;*==========================================================================
;mbk_AtOldVal  equ  mbk_C@OldGry+196608 ; STRC: Attribut OldValues [+0720896]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_MeOldVal  equ  mbk_AtOldVal+065536 ; STRC: Metainfo OldValues [+0786432]
;mbk_UnOldVal  equ  mbk_MeOldVal+131072 ; STRC: Unspecif OldValues [+0917504]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_UnOldEnd  equ  mbk_UnOldVal+131072 ; STRC: Unspecif OldValEnd [+1048576]
;;###########################################################################
;;# Start  of  Tat  DataStructures                                          #
;;###########################################################################
;mbk_BrDefVal  equ  000+04194304+000000 ; STRC: drawBrushesDefault [04194304]
;mbk_BrOldVal  equ  mbk_BrDefVal+262144 ; STRC: drawBrushesOldValu [+0262144]
;;*==========================================================================
;mbk_T@Cop000  equ  000+04194304+524288 ; STRC: Tattoo@ELement(00) [+0524288]
;;bk_T@Cop001  equ  mbk_T@Cop000+04096  ; STRC: Tattoo1ELement(01) [+0004096]
;;bk_T@Cop002  equ  mbk_T@Cop000+08192  ; STRC: Tattoo1ELement(02) [+0008192]
;;bk_T@Cop003  equ  mbk_T@Cop000+12288  ; STRC: Tattoo1ELement(03) [+0012288]
;;*--------------------------------------------------------------------------
;mbk_T1Cop000  equ  mbk_T@Cop000+16384  ; STRC: Tattoo1ELement(00) [+0016384]
;mbk_T2Cop000  equ  mbk_T1Cop000+16384  ; STRC: Tattoo2ELement(00) [+0032768]
;mbk_T3Cop000  equ  mbk_T2Cop000+16384  ; STRC: Tattoo3ELement(00) [+0049152]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_T4Cop000  equ  mbk_T3Cop000+16384  ; STRC: Tattoo4ELement(00) [+0065536]
;mbk_T5Cop000  equ  mbk_T4Cop000+16384  ; STRC: Tattoo5ELement(00) [+0081920]
;mbk_T6Cop000  equ  mbk_T5Cop000+16384  ; STRC: Tattoo6ELement(00) [+0098304]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_T7Cop000  equ  mbk_T6Cop000+16384  ; STRC: Tattoo7ELement(00) [+0114688]
;mbk_T8Cop000  equ  mbk_T7Cop000+16384  ; STRC: Tattoo8ELement(00) [+0131072]
;mbk_T9Cop000  equ  mbk_T8Cop000+16384  ; STRC: Tattoo9ELement(00) [+0147456]
;;*--------------------------------------------------------------------------
;mbk_T9CopEnd  equ  mbk_T9Cop000+16384  ; STRC: Tattoo7ELement(00) [+0163840]
;;*==========================================================================
;mbk_T@Pel000  equ  000+04194304+688128 ; STRC: Tattoo@ELement(00) [+0688128]
;;bk_T@Pel001  equ  mbk_T@Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;;bk_T@Pel002  equ  mbk_T@Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;;bk_T@Pel003  equ  mbk_T@Pel000+00384  ; STRC: PictureELement(03) [+0000384]
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;mbk_T@Pel255  equ  mbk_T@Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;*--------------------------------------------------------------------------
;mbk_T1Pel000  equ  mbk_T@Pel000+32768  ; STRC: Tattoo1ELement(00) [+0720896]
;mbk_T1Pel001  equ  mbk_T1Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;mbk_T1Pel002  equ  mbk_T1Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;mbk_T1Pel255  equ  mbk_T1Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_T2Pel000  equ  mbk_T1Pel000+32768  ; STRC: Tattoo2ELement(00) [+0753664]
;mbk_T2Pel001  equ  mbk_T2Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;mbk_T2Pel002  equ  mbk_T2Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;mbk_T2Pel255  equ  mbk_T2Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_T3Pel000  equ  mbk_T2Pel000+32768  ; STRC: Tattoo3ELement(00) [+0786432]
;mbk_T3Pel001  equ  mbk_T3Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;mbk_T3Pel002  equ  mbk_T3Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;mbk_T3Pel255  equ  mbk_T3Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_T4Pel000  equ  mbk_T3Pel000+32768  ; STRC: Tattoo4ELement(00) [+0819200]
;mbk_T4Pel001  equ  mbk_T4Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;mbk_T4Pel002  equ  mbk_T4Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;mbk_T4Pel255  equ  mbk_T4Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_T5Pel000  equ  mbk_T4Pel000+32768  ; STRC: Tattoo5ELement(00) [+0851968]
;mbk_T5Pel001  equ  mbk_T5Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;mbk_T5Pel002  equ  mbk_T5Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;mbk_T5Pel255  equ  mbk_T5Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_T6Pel000  equ  mbk_T5Pel000+32768  ; STRC: Tattoo6ELement(00) [+0884736]
;mbk_T6Pel001  equ  mbk_T6Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;mbk_T6Pel002  equ  mbk_T6Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;mbk_T6Pel255  equ  mbk_T6Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_T7Pel000  equ  mbk_T6Pel000+32768  ; STRC: Tattoo7ELement(00) [+0917504]
;mbk_T7Pel001  equ  mbk_T7Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;mbk_T7Pel002  equ  mbk_T7Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;mbk_T7Pel255  equ  mbk_T7Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_T8Pel000  equ  mbk_T7Pel000+32768  ; STRC: Tattoo8ELement(00) [+0950272]
;mbk_T8Pel001  equ  mbk_T8Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;mbk_T8Pel002  equ  mbk_T8Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;mbk_T8Pel255  equ  mbk_T8Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_T9Pel000  equ  mbk_T8Pel000+32768  ; STRC: Tattoo9ELement(00) [+0983040]
;mbk_T9Pel001  equ  mbk_T9Pel000+00128  ; STRC: PictureELement(01) [+0000128]
;mbk_T9Pel002  equ  mbk_T9Pel000+00256  ; STRC: PictureELement(02) [+0000256]
;mbk_T9Pel255  equ  mbk_T9Pel000+32640  ; STRC: PictureELemen(255) [+0032640]
;;*--------------------------------------------------------------------------
;mbk_T9PelEnd  equ  mbk_T9Pel000+32768  ; STRC: Tattoo9ELement(00) [01015808]
;mbk_T9PelMax  equ  mbk_T9Pel000+65536  ; STRC: Tattoo9ELement(00) [01048576]
;;*==========================================================================
;mbk_Dat32736  equ  mbk_T9Pel000+32768  ; STRC:                    [01015808]
;mbk_lxy       equ  mbk_T9Pel000+32768  ; STRC: LineXYvalue <4092> [05242880]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;mbk_PaNewLod  equ      05242880-000032  ;STRC: Palettes LodPen-32 [05242848]
;mbk_PaNewEnd  equ  mbk_PaNewLod+1048608 ;STRC: Palettes EndPen-32 [06291456]
;;###########################################################################
;;# Remaining  Def, Old etc.                                                #
;;###########################################################################
;mbk_Nx5Value  equ  000+05242880        ; PARA: Start of Defaults  [05242880]
;mbk_Nx6Value  equ  000+06291456        ; PARA: Start of Defaults  [06291456]
;mbk_Nx7Value  equ  000+07340032        ; PARA: Start of Defaults  [07340032]
;mbk_Nx8Value  equ  000+08388608        ; PARA: Start of Defaults  [08388608]
;;*==========================================================================
;mbk_ifd0      equ  000+08388608+00000  ; STRC: Tiff  ifd0_        [+0081920]
;mbk_ifd1      equ  mbk_ifd0+8192*01    ; STRC: Tiff  ifd1_        [+0090112]
;mbk_exf0      equ  mbk_ifd0+8192*02    ; STRC: Tiff  exf0_        [+0098304]
;mbk_exf1      equ  mbk_ifd0+8192*03    ; STRC: Tiff  exf1_        [+0106496]
;mbk_gps0      equ  mbk_ifd0+8192*04    ; STRC: Tiff  gps0_        [+0114688]
;mbk_gps1      equ  mbk_ifd0+8192*05    ; STRC: Tiff  gps1_        [+0122880]
;;*==========================================================================
;;bk_ifd1      equ  000+00081920+00000  ; STRC: Tiff  ifd0_        [+0081920]
;;###########################################################################
;;###########################################################################
;MBK05         equ  000+05242880        ; PARA: mbk_StructureSize [005242880]
;MBK06         equ  000+06291456        ; PARA: mbk_StructureSize [006291456]
;MBK07         equ  000+07340032        ; PARA: mbk_StructureSize [007340032]
;MBK08         equ  000+08388608        ; PARA: mbk_StructureSize [008388608]
;MBK09         equ  000+09437184        ; PARA: mbk_StructureSize [009437184]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;MBK10         equ  000+10485760        ; PARA: mbk_StructureSize [010485760]
;MBK11         equ  000+11534336        ; PARA: mbk_StructureSize [011534336]
;MBK12         equ  000+12582912        ; PARA: mbk_StructureSize [012582912]
;MBK13         equ  000+13631488        ; PARA: mbk_StructureSize [013631488]
;MBK14         equ  000+14680064        ; PARA: mbk_StructureSize [014680064]
;MBK15         equ  000+15728640        ; PARA: mbk_structureSize [015728640]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;BMW          equ  256                 ; PARA: bmw_StructureSize [000000256]
;;*==========================================================================
;;bk_ItBmwNum  equ  0014680064          ; DVAL: Item bmwStrucCntr [014680064]
;;bk_ItBmwNum  equ  0013631488          ; DVAL: Item bmwStrucCntr [013631488]
;;bk_ItBmwCnt  equ  mbk_ItBmwNum+04     ; DVAL: Item bmwStrucCntr [+00000004]
;;*--------------------------------------------------------------------------
;;bk_bmw000    equ  mbk_ItBmwNum+06144  ; STRC: Item bmw[000]Strc [+00006144]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_bmw001    equ  mbk_bmw000+BMW*001  ; STRC: Item bmw[001]Strc [+00000256]
;;bk_bmw002    equ  mbk_bmw000+BMW*002  ; STRC: Item bmw[002]Strc [+00000512]
;;bk_bmw999    equ  mbk_bmw000+BMW*999  ; STRC: Item bmw[999]Strc [+00255744]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_bmwEnd    equ  mbk_bmw000+BMW*1000 ; STRC: Item bmw[End]Strc [+00256000]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;%  Die IBM Strukture besteht aus zwei  BMW_  strukturen  !
;;%
;;%  ibm_bmw1Norm
;;%  ibm_bmw2Selc
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;@WMB          equ  128                 ; PARA: bmw_StructureSize [000000640]
;@IBM          equ  256                 ; PARA: bmw_StructureSize [000000256]
;;*==========================================================================
;mbk_IbmCount  equ  000+13631488        ; LVAL: Item IbmStrucCntr [013631488]
;mbk_IbmMaxim  equ  mbk_IbmCount+16     ; LVAL: Item IbmStrucCntr [+00000004]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_BmwCount  equ  mbk_IbmMaxim+16     ; LVAL: Item bmwStrucCntr [+00000004]
;mbk_BmwMaxim  equ  mbk_BmwCount+16     ; LVAL: Item bmwStrucCntr [+00000004]
;;*--------------------------------------------------------------------------
;mbk_Wmb00000  equ  mbk_IbmCount+64     ; STRC: Item bmw[000]Strc [+00006144]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_Wmb00001  equ  mbk_Wmb00000+@WMB*00001   ; Item bmw[001]Strc [+00000256]
;mbk_Wmb00002  equ  mbk_Wmb00000+@WMB*00002   ; Item bmw[002]Strc [+00000512]
;mbk_Wmb00999  equ  mbk_Wmb00000+@WMB*01999   ; Item bmw[999]Strc [+00255744]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_WmbEnded  equ  mbk_Wmb00000+@WMB*02000   ; Item bmw[End]Strc [+00256000]
;;*==========================================================================
;mbk_Ibm00000  equ  mbk_IbmCount+64     ; STRC: Item bmw[000]Strc [+00006144]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_Ibm00001  equ  mbk_Ibm00000+@IBM*00001   ; Item bmw[001]Strc [+00000256]
;mbk_Ibm00002  equ  mbk_Ibm00000+@IBM*00002   ; Item bmw[002]Strc [+00000512]
;mbk_Ibm00999  equ  mbk_Ibm00000+@IBM*00999   ; Item bmw[999]Strc [+00255744]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_IbmEnded  equ  mbk_Ibm00000+@IBM*01000   ; Item bmw[End]Strc [+00256000]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;;###########################################################################
;;FG           equ  131072              ; PARA: cfg_StructureSize [000131072]
;;FG           equ  262144              ; PARA: cfg_StructureSize [000262144]
;CFG           equ  400000              ; PARA: cfg_StructureSize [000400000]
;;FG           equ  524288              ; PARA: cfg_StructureSize [000524288]
;;*==========================================================================
;;bk_cfgDummy  equ  015728640-CFG*01    ; STRC: DummyConfiguraton [015466496]
;mbk_cfgDummy  equ  014680064-CFG*01    ; STRC: DummyConfiguraton [015466496]
;;*--------------------------------------------------------------------------
;
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;bk_cfg00     equ  000+15728640        ; STRC: ParaWind00 ConFiG [015728640]
;mbk_cfg00     equ  000+14680064        ; STRC: ParaWind00 ConFiG [014680064]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_cfg01     equ  mbk_cfg00+CFG*01    ; STRC: UserWind01 ConFiG [+00400000]
;mbk_cfg02     equ  mbk_cfg00+CFG*02    ; STRC: UserWind02 ConFiG [+00800000]
;mbk_cfg03     equ  mbk_cfg00+CFG*03    ; STRC: UserWind03 ConFiG [+01200000]
;mbk_cfg04     equ  mbk_cfg00+CFG*04    ; STRC: UserWind04 ConFiG [+01600000]
;mbk_cfg05     equ  mbk_cfg00+CFG*05    ; STRC: UserWind05 ConFiG [+02000000]
;mbk_cfg06     equ  mbk_cfg00+CFG*06    ; STRC: UserWind06 ConFiG [+02400000]
;mbk_cfg07     equ  mbk_cfg00+CFG*07    ; STRC: UserWind07 ConFiG [+02800000]
;mbk_cfg08     equ  mbk_cfg00+CFG*08    ; STRC: UserWind08 ConFiG [+03200000]
;mbk_cfg09     equ  mbk_cfg00+CFG*09    ; STRC: UserWind09 ConFiG [+03600000]
;;*--------------------------------------------------------------------------
;mbk_cfg10     equ  mbk_cfg00+CFG*10    ; STRC: ToolWind10 ConFiG [+04000000]
;;bk_cfg11     equ  mbk_cfg00+CFG*11    ; STRC: ToolWind11 ConFiG [+02883584]
;;bk_cfg12     equ  mbk_cfg00+CFG*12    ; STRC: ToolWind12 ConFiG [+03145728]
;;bk_cfg13     equ  mbk_cfg00+CFG*13    ; STRC: ToolWind13 ConFiG [+03407872]
;;bk_cfg14     equ  mbk_cfg00+CFG*14    ; STRC: ToolWind14 ConFiG [+03670016]
;;bk_cfg15     equ  mbk_cfg00+CFG*15    ; STRC: ToolWind15 ConFiG [+03932160]
;;bk_cfg16     equ  mbk_cfg00+CFG*16    ; STRC: ToolWind16 ConFiG [+04194304]
;;bk_cfg17     equ  mbk_cfg00+CFG*17    ; STRC: ToolWind17 ConFiG [+04456448]
;;bk_cfg18     equ  mbk_cfg00+CFG*18    ; STRC: ToolWind18 ConFiG [+04718592]
;;bk_cfg19     equ  mbk_cfg00+CFG*19    ; STRC: ToolWind19 ConFiG [+04980736]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_cfg20     equ  mbk_cfg00+CFG*20    ; STRC: ToolWind20 ConFiG [+05242880]
;;bk_cfg21     equ  mbk_cfg00+CFG*21    ; STRC: ToolWind21 ConFiG [+05505024]
;;bk_cfg22     equ  mbk_cfg00+CFG*22    ; STRC: ToolWind22 ConFiG [+05767168]
;;bk_cfg23     equ  mbk_cfg00+CFG*23    ; STRC: ToolWind23 ConFiG [+06029312]
;;bk_cfg24     equ  mbk_cfg00+CFG*24    ; STRC: ToolWind24 ConFiG [+06291456]
;;bk_cfg25     equ  mbk_cfg00+CFG*25    ; STRC: ToolWind25 ConFiG [+06553600]
;;bk_cfg26     equ  mbk_cfg00+CFG*26    ; STRC: ToolWind26 ConFiG [+06815744]
;;bk_cfg27     equ  mbk_cfg00+CFG*27    ; STRC: ToolWind27 ConFiG [+07077888]
;;bk_cfg28     equ  mbk_cfg00+CFG*28    ; STRC: ToolWind28 ConFiG [+07340032]
;;bk_cfg29     equ  mbk_cfg00+CFG*29    ; STRC: ToolWind29 ConFiG [+07602176]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_cfg30     equ  mbk_cfg00+CFG*30    ; STRC: ToolWind30 ConFiG [+07864320]
;;bk_cfg31     equ  mbk_cfg00+CFG*31    ; STRC: ToolWind31 ConFiG [+08126464]
;;bk_cfg32     equ  mbk_cfg00+CFG*32    ; STRC: ToolWind32 ConFiG [+08388608]
;;bk_cfg33     equ  mbk_cfg00+CFG*33    ; STRC: ToolWind33 ConFiG [+08650752]
;;bk_cfg34     equ  mbk_cfg00+CFG*34    ; STRC: ToolWind34 ConFiG [+08912896]
;;bk_cfg35     equ  mbk_cfg00+CFG*35    ; STRC: ToolWind35 ConFiG [+09175040]
;;bk_cfg36     equ  mbk_cfg00+CFG*36    ; STRC: ToolWind36 ConFiG [+09437184]
;;bk_cfg37     equ  mbk_cfg00+CFG*37    ; STRC: ToolWind37 ConFiG [+09699328]
;;bk_cfg38     equ  mbk_cfg00+CFG*38    ; STRC: ToolWind38 ConFiG [+09961472]
;;bk_cfg39     equ  mbk_cfg00+CFG*39    ; STRC: ToolWind39 ConFiG [+10223616]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_cfg40     equ  mbk_cfg00+CFG*40    ; STRC: ToolWind40 ConFiG [+10485760]
;;bk_cfg41     equ  mbk_cfg00+CFG*41    ; STRC: ToolWind41 ConFiG [+10747904]
;;bk_cfg42     equ  mbk_cfg00+CFG*42    ; STRC: ToolWind42 ConFiG [+11010048]
;;bk_cfg43     equ  mbk_cfg00+CFG*43    ; STRC: ToolWind43 ConFiG [+11272192]
;;bk_cfg44     equ  mbk_cfg00+CFG*44    ; STRC: ToolWind44 ConFiG [+11534336]
;;bk_cfg45     equ  mbk_cfg00+CFG*45    ; STRC: ToolWind45 ConFiG [+11796480]
;;bk_cfg46     equ  mbk_cfg00+CFG*46    ; STRC: ToolWind46 ConFiG [+12058624]
;;bk_cfg47     equ  mbk_cfg00+CFG*47    ; STRC: ToolWind47 ConFiG [+12320768]
;;bk_cfg48     equ  mbk_cfg00+CFG*48    ; STRC: ToolWind48 ConFiG [+12582912]
;;bk_cfg49     equ  mbk_cfg00+CFG*49    ; STRC: ToolWind49 ConFiG [+12845056]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_cfg50     equ  mbk_cfg00+CFG*50    ; STRC: ToolWind50 ConFiG [+13107200]
;;bk_cfg51     equ  mbk_cfg00+CFG*51    ; STRC: ToolWind51 ConFiG [+13369344]
;;bk_cfg52     equ  mbk_cfg00+CFG*52    ; STRC: ToolWind52 ConFiG [+13631488]
;;bk_cfg53     equ  mbk_cfg00+CFG*53    ; STRC: ToolWind53 ConFiG [+13893632]
;;bk_cfg54     equ  mbk_cfg00+CFG*54    ; STRC: ToolWind54 ConFiG [+14155776]
;;bk_cfg55     equ  mbk_cfg00+CFG*55    ; STRC: ToolWind55 ConFiG [+14417920]
;;bk_cfg56     equ  mbk_cfg00+CFG*56    ; STRC: ToolWind56 ConFiG [+14680064]
;;bk_cfg57     equ  mbk_cfg00+CFG*57    ; STRC: ToolWind57 ConFiG [+14942208]
;;bk_cfg58     equ  mbk_cfg00+CFG*58    ; STRC: ToolWind58 ConFiG [+15204352]
;;bk_cfg59     equ  mbk_cfg00+CFG*59    ; STRC: ToolWind59 ConFiG [+15466496]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_cfg60     equ  mbk_cfg00+CFG*60    ; STRC: ToolWind60 ConFiG [+15728640]
;;bk_cfg61     equ  mbk_cfg00+CFG*61    ; STRC: ToolWind61 ConFiG [+15990784]
;;bk_cfg62     equ  mbk_cfg00+CFG*62    ; STRC: ToolWind62 ConFiG [+16252928]
;;bk_cfg63     equ  mbk_cfg00+CFG*63    ; STRC: ToolWind63 ConFiG [+16515072]
;;bk_cfg64     equ  mbk_cfg00+CFG*64    ; STRC: ToolWind64 ConFiG [+16777246]
;;bk_cfg65     equ  mbk_cfg00+CFG*65    ; STRC: ToolWind65 ConFiG [+17039360]
;;bk_cfg66     equ  mbk_cfg00+CFG*66    ; STRC: ToolWind66 ConFiG [+17301504]
;;bk_cfg67     equ  mbk_cfg00+CFG*67    ; STRC: ToolWind67 ConFiG [+17563648]
;;bk_cfg68     equ  mbk_cfg00+CFG*68    ; STRC: ToolWind68 ConFiG [+17825792]
;;bk_cfg69     equ  mbk_cgf00+CFG*69    ; STRC: ToolWind69 ConFiG [+18087936]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_cfg70     equ  mbk_cfg00+CFG*70    ; STRC: ToolWind70 ConFiG [+18350080]
;;bk_cfg71     equ  mbk_cfg00+CFG*71    ; STRC: ToolWind71 ConFiG [+18612224]
;;bk_cfg72     equ  mbk_cfg00+CFG*72    ; STRC: ToolWind72 ConFiG [+18874368]
;;bk_cfg73     equ  mbk_cfg00+CFG*73    ; STRC: ToolWind73 ConFiG [+19136512]
;;bk_cfg74     equ  mbk_cfg00+CFG*74    ; STRC: ToolWind74 ConFiG [+19398656]
;;bk_cfg75     equ  mbk_cfg00+CFG*75    ; STRC: ToolWind75 ConFiG [+19660800]
;;bk_cfg76     equ  mbk_cfg00+CFG*76    ; STRC: ToolWind76 ConFiG [+19922944]
;;bk_cfg77     equ  mbk_cfg00+CFG*77    ; STRC: ToolWind77 ConFiG [+20185088]
;;bk_cfg78     equ  mbk_cfg00+CFG*78    ; STRC: ToolWind78 ConFiG [+20447232]
;;bk_cfg79     equ  mbk_cfg00+CFG*79    ; STRC: ToolWind79 ConFiG [+20709376]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;;bk_cfg80     equ  mbk_cfg00+CFG*80    ; STRC: ToolWind80 ConFiG [+20971520]
;;bk_cfg81     equ  mbk_cfg00+CFG*81    ; STRC: ToolWind81 ConFiG [+21233664]
;;bk_cfg82     equ  mbk_cfg00+CFG*82    ; STRC: ToolWind82 ConFiG [+21495808]
;;bk_cfg83     equ  mbk_cfg00+CFG*83    ; STRC: ToolWind83 ConFiG [+21757952]
;;bk_cfg84     equ  mbk_cfg00+CFG*84    ; STRC: ToolWind84 ConFiG [+22020096]
;;bk_cfg85     equ  mbk_cfg00+CFG*85    ; STRC: ToolWind85 ConFiG [+22282240]
;;bk_cfg86     equ  mbk_cfg00+CFG*86    ; STRC: ToolWind86 ConFiG [+22544384]
;;bk_cfg87     equ  mbk_cfg00+CFG*87    ; STRC: ToolWind87 ConFiG [+22806528]
;;bk_cfg88     equ  mbk_cfg00+CFG*88    ; STRC: ToolWind88 ConFiG [+23068672]
;;bk_cfg89     equ  mbk_cfg00+CFG*89    ; STRC: ToolWind89 ConFiG [+23330816]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mbk_cfg90     equ  mbk_cfg00+CFG*90    ; STRC: ToolWind90 ConFiG [+23592960]
;;bk_cfg91     equ  mbk_cfg00+CFG*91    ; STRC: ToolWind91 ConFiG [+23855104]
;;bk_cfg92     equ  mbk_cfg00+CFG*92    ; STRC: ToolWind92 ConFiG [+24117248]
;;bk_cfg93     equ  mbk_cfg00+CFG*93    ; STRC: ToolWind93 ConFiG [+24379392]
;;bk_cfg94     equ  mbk_cfg00+CFG*94    ; STRC: ToolWind94 ConFiG [+24641536]
;;bk_cfg95     equ  mbk_cfg00+CFG*95    ; STRC: ToolWind95 ConFiG [+24903680]
;;bk_cfg96     equ  mbk_cfg00+CFG*96    ; STRC: ToolWind96 ConFiG [+25165824]
;;bk_cfg97     equ  mbk_cfg00+CFG*97    ; STRC: ToolWind97 ConFiG [+25427968]
;;bk_cfg98     equ  mbk_cfg00+CFG*98    ; STRC: ToolWind98 ConFiG [+25690112]
;;bk_cfg99     equ  mbk_cfg00+CFG*99    ; STRC: ToolWind99 ConFiG [+25952256]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mbk_cfgEnd    equ  mbk_cfg00+CFG*100   ; PARA: DummyConfiguraton [+26214400]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;BK40         equ  000+41943040        ; PARA: mbk_StructureSize [041943040]
;MBK64         equ  000+67108864        ; PARA: mbk_StructureSize [067108864]
;;*==========================================================================
;;MBK01        equ  01 048 576          ; PARA: mbk_StructureSize [001048576]
;;MBK02        equ  02 097 152          ; PARA: mbk_StructureSize [002097152]
;;MBK03        equ  03 145 728          ; PARA: mbk_StructureSize [003145728]
;;MBK04        equ  04 194 304          ; PARA: mbk_StructureSize [004194304]
;;MBK05        equ  05 242 880          ; PARA: mbk_StructureSize [005242880]
;;MBK06        equ  06 291 456          ; PARA: mbk_StructureSize [006291456]
;;MBK07        equ  07 340 032          ; PARA: mbk_StructureSize [007340032]
;;MBK08        equ  08 388 608          ; PARA: mbk_StructureSize [008388608]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;MBK14        equ  14 680 064          ; PARA: mbk_StructureSize [014680064]
;;MBK15        equ  15 728 640          ; PARA: mbk_StructureSize [015728640]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;MBK20        equ  20 971 520          ; PARA: mbk_StructureSize [020971520]
;;MBK21        equ  22 020 096          ; PARA: mbk_StructureSize [022020096]
;;MBK22        equ  23 068 672          ; PARA: mbk_StructureSize [023068672]
;;MBK24        equ  25 165 824          ; PARA: mbk_StructureSize [025165824]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;bk_free8MB   equ  25 165 824          ; 1MB5:                   [001048576]
;;MBK32        equ  33 554 432          ; PARA: mbk_StructureSize [033554432]
;;MBK36        equ  37 748 736          ; PARA: mbk_StructureSize [037748736]
;;*--------------------------------------------------------------------------
;;MBK40        equ  41 943 040          ; PARA: mbk_StructureSize [041943040]
;;MBK64        equ  67 108 864          ; PARA: mbk_StructureSize [067108864]
;;###########################################################################

;***************************************************************************
;###########################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;*==========================================================================
;*--------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -
;***************************************************************************
;MyLISTON

