;MyLSTOFF
;***************************************************************************************************************
;* Z9WinGDI.i     AssemblerVersion9( WinGDI.h    )   Include file                                              *
;*                                                                                                             *
;*=============================================================================================================*
;* Wolfgang  Renner                  Creation Date = 08. Apr 2016                                              *
;* Gimbacher Weg 34                  Creation Time = 00:00:00:000                                              *
;*                                                                                                             *
;* D-65779 Kelkheim                  Changing Last = 14. Apr 2016                                              *
;* Germany / Hessen                  Changing Time = 00:00:00:000                                              *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus  Assembler                                                           *
;*                                                                                                             *
;* 12345678901234567890123456789012345678901234567890 = "12345678901234567890123456789012345678901234567890",  *
;***************************************************************************************************************

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LSIZ ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;indStrc_Variable01        equ  00000000                       ; BINT:     BYTE  [00000 00000 00000 00000 00000]
;indStrc_Variable02        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00001 00001 00001 00001 00001]
;indStrc_Variable03        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00002 00002 00002 00002 00002]
;indStrc_Variable04        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00003 00003 00003 00003 00003]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable05        equ  WindStrc_Variable01+01         ; WINT:     WORD  [00004 00004 00004 00004 00004]
;indStrc_Variable06        equ  WindStrc_Variable01+02         ; WINT:     SHORT [00006 00006 00006 00006 00006]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;indStrc_Variable07        equ  WindStrc_Variable01+02         ; SINT:     LONG  [00008 00008 00008 00008 00008]
;indStrc_Variable08        equ  WindStrc_Variable01+04         ; SINT:     DWORD [00012 00012 00012 00012 00012]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;indStrc_Variable09        equ  WindStrc_Variable01+04         ; DINT:  LONGLONG [00016 00016 00016 00016 00016]
;indStrc_Variable10        equ  WindStrc_Variable01+RS         ; DINT:     QWORD [00020 00024 00024 00032 00024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;indStrc_Variable11        equ  WindStrc_Variable01+RS         ; QINT:    HANDLE [00024 00032 00032 00032 00032]
;indStrc_Variable12        equ  WindStrc_Variable01+QS         ; QINT:   POINTER [00028 00040 00048 00048 00048]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - - - -
;indStrc_Variable13        equ  WindStrc_Variable01+QS         ; UINT:   POINTER [00032 00048 00064 00064 00064]
;indStrc_Variable14        equ  WindStrc_Variable01+GZ         ; UINT:   POINTER [00036 00056 00080 00096 00096]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable15        equ  WindStrc_Variable01+GZ         ; VINT:   POINTER [00040 00064 00096 00128 00128]
;indStrc_Variable16        equ  WindStrc_Variable01+PS         ; VINT:   POINTER [00044 00072 00112 00160 00192]
;*==============================================================================================================
;indStrc_Variable17        equ  WindStrc_Variable01+PS         ; LINT:   POINTER [00048 00080 00128 00192 00256]
;indStrc_Variable18        equ  WindStrc_Variable01+LZ         ; LINT:   POINTER [00052 00088 00144 00224 00320]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [00056 00096 00160 00256 00384]
;###############################################################################################################

;*==============================================================================================================
;;* WINGDI.h            LOG  FONT       [LF_FACESIZE 32]  ; I32 A64 CPP-TYPE:
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;ogft_lfHeight         equ  0                            ; 000 000 LONG
;;ogft_lfWidth          equ  logft_lfHeight+4             ; 004 004 LONG
;;ogft_lfEscapement     equ  logft_lfWidth+4              ; 008 008 LONG
;;ogft_lfOrientation    equ  logft_lfEscapement+4         ; 012 012 LONG
;;ogft_lfWeight         equ  logft_lfOrientation+4        ; 016 016 LONG
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;;ogft_lfItalic         equ  logft_lfWeight+4             ; 020 020 BYTE 
;;ogft_lfUnderline      equ  logft_lfItalic+1             ; 021 021 BYTE
;;ogft_lfStrikeOut      equ  logft_lfUnderline+1          ; 022 022 BYTE 
;;ogft_lfCharSet        equ  logft_lfStrikeOut+1          ; 023 023 BYTE 
;;ogft_lfOutPrecision   equ  logft_lfCharSet+1            ; 024 024 BYTE
;;ogft_lfClipPrecision  equ  logft_lfOutPrecision+1       ; 025 025 BYTE
;;ogft_lfQuality        equ  logft_lfClipPrecision+1      ; 026 026 BYTE
;;ogft_lfPitchAndFamily equ  logft_lfQuality+1            ; 027 027 BYTE
;;* -     -     -     -     -     -     -     -     -     -     -     -     -
;;ogft_lfFaceName       equ  logft_lfPitchAndFamily+1     ; 028 028 WCHAR[32]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;LOGFONT               equ  logft_lfFaceName+64          ; 092 092 sizeof()
;;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WINGDI.H                                        ;           /* DIB color table identifiers */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
DIB_RGB_COLORS                     equ          0  ; #define   DIB_RGB_COLORS     0
;IB_PAL_COLORS                     equ          1  ; #define   DIB_PAL_COLORS     1
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ;           /* constants for biCompression field */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BI_RGB                             equ          0  ; #define   BI_RGB            0L
;I_RLE8                            equ          1  ; #define   BI_RLE8           1L
;I_RLE4                            equ          2  ; #define   BI_RLE4           2L
;I_BITFIELDS                       equ          3  ; #define   BI_BITFIELDS      3L
;I_JPEG                            equ          4  ; #define   BI_JPEG           4L
;I_PNG                             equ          5  ; #define   BI_PNG            5L
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINGDI.H                                        ; /*  Stock Logical Objects */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WHITE_BRUSH                        equ           0 ; #define   WHITE_BRUSH            0
LTGRAY_BRUSH                       equ           1 ; #define   LTGRAY_BRUSH           1
GRAY_BRUSH                         equ           2 ; #define   GRAY_BRUSH             2
DKGRAY_BRUSH                       equ           3 ; #define   DKGRAY_BRUSH           3
BLACK_BRUSH                        equ           4 ; #define   BLACK_BRUSH            4
NULL_BRUSH                         equ           5 ; #define   NULL_BRUSH             5
HOLLOW_BRUSH                       equ           5 ; #define   HOLLOW_BRUSH      NULL_BRUSH
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WHITE_PEN                          equ           6 ; #define   WHITE_PEN              6
BLACK_PEN                          equ           7 ; #define   BLACK_PEN              7
NULL_PEN                           equ           8 ; #define   NULL_PEN               8
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
OEM_FIXED_FONT                     equ          10 ; #define   OEM_FIXED_FONT         10
ANSI_FIXED_FONT                    equ          11 ; #define   ANSI_FIXED_FONT        11
ANSI_VAR_FONT                      equ          12 ; #define   ANSI_VAR_FONT          12
SYSTEM_FONT                        equ          13 ; #define   SYSTEM_FONT            13
DEVICE_DEFAULT_FONT                equ          14 ; #define   DEVICE_DEFAULT_FONT    14
DEFAULT_PALETTE                    equ          15 ; #define   DEFAULT_PALETTE        15
SYSTEM_FIXED_FONT                  equ          16 ; #define   SYSTEM_FIXED_FONT      16
DEFAULT_GUI_FONT                   equ          17 ; #define   DEFAULT_GUI_FONT       17
;*--------------------------------------------------------------------------------------------------------------
CLR_INVALID                        equ  0FFFFFFFFh ; #define   CLR_INVALID      0xFFFFFFFFL
GDI_ERROR                          equ  0FFFFFFFFh ; #define   GDI_ERROR        0xFFFFFFFFL
HGDI_ERROR                         equ  0FFFFFFFFh ; #define   HGDI_ERROR (HNDL)0xFFFFFFFFL
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WINGDI.H                                        ; /* Background Modes */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TRANSPARENT                        equ          1  ; #define   TRANSPARENT               1
OPAQUE                             equ          2  ; #define   OPAQUE                    2
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* PolyFill() Modes */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ALTERNATE                          equ          1  ; #define   ALTERNATE                 1
WINDING                            equ          2  ; #define   WINDING                   2
;*==============================================================================================================
;* WINGDI.H                                        ; /* Brush Styles */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BS_SOLID                           equ  000000000h ; #define   BS_SOLID                  0
BS_NULL                            equ  000000001h ; #define   BS_NULL                   1
                                                   ; #define   BS_HOLLOW           BS_NULL
BS_HATCHED                         equ          2  ; #define   BS_HATCHED                2
BS_PATTERN                         equ          3  ; #define   BS_PATTERN                3
BS_INDEXED                         equ          4  ; #define   BS_INDEXED                4
BS_DIBPATTERN                      equ          5  ; #define   BS_DIBPATTERN             5
BS_DIBPATTERNPT                    equ          6  ; #define   BS_DIBPATTERNPT           6
BS_PATTERN8X8                      equ          7  ; #define   BS_PATTERN8X8             7
BS_DIBPATTERN8X8                   equ          8  ; #define   BS_DIBPATTERN8X8          8
BS_MONOPATTERN                     equ          9  ; #define   BS_MONOPATTERN            9
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* Hatch Styles */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
HS_HORIZONTAL                      equ          0  ; #define   HS_HORIZONTAL  0   /* ----- */
HS_VERTICAL                        equ          1  ; #define   HS_VERTICAL    1   /* ||||| */
HS_FDIAGONAL                       equ          2  ; #define   HS_FDIAGONAL   2   /* \\\\\ */
HS_BDIAGONAL                       equ          3  ; #define   HS_BDIAGONAL   3   /* ///// */
HS_CROSS                           equ          4  ; #define   HS_CROSS       4   /* +++++ */
HS_DIAGCROSS                       equ          5  ; #define   HS_DIAGCROSS   5   /* xxxxx */
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* Pen Styles */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PS_SOLID                           equ  000000000h ; #define   PS_SOLID            0
PS_DASH                            equ          1  ; #define   PS_DASH             1  -------
PS_DOT                             equ          2  ; #define   PS_DOT              2  .......
PS_DASHDOT                         equ          3  ; #define   PS_DASHDOT          3  _._._._
PS_DASHDOTDOT                      equ          4  ; #define   PS_DASHDOTDOT       4  _.._.._
PS_NULL                            equ          5  ; #define   PS_NULL             5
PS_INSIDEFRAME                     equ          6  ; #define   PS_INSIDEFRAME      6
PS_USERSTYLE                       equ  000000007h ; #define   PS_USERSTYLE        7
PS_ALTERNATE                       equ          8  ; #define   PS_ALTERNATE        8
PS_STYLE_MASK                      equ  00000000Fh ; #define   PS_STYLE_MASK       0x0000000F
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
PS_ENDCAP_ROUND                    equ  000000000h ; #define   PS_ENDCAP_ROUND     0x00000000
PS_ENDCAP_SQUARE                   equ  000000100h ; #define   PS_ENDCAP_SQUARE    0x00000100
PS_ENDCAP_FLAT                     equ  000000200h ; #define   PS_ENDCAP_FLAT      0x00000200
PS_ENDCAP_MASK                     equ  000000F00h ; #define   PS_ENDCAP_MASK      0x00000F00
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
PS_JOIN_ROUND                      equ  000000000h ; #define   PS_JOIN_ROUND       0x00000000
PS_JOIN_BEVEL                      equ  000001000h ; #define   PS_JOIN_BEVEL       0x00001000
PS_JOIN_MITER                      equ  000002000h ; #define   PS_JOIN_MITER       0x00002000
PS_JOIN_MASK                       equ  00000F000h ; #define   PS_JOIN_MASK        0x0000F000
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
PS_COSMETIC                        equ  000000000h ; #define   PS_COSMETIC         0x00000000
PS_GEOMETRIC                       equ  000010000h ; #define   PS_GEOMETRIC        0x00010000
PS_TYPE_MASK                       equ  0000F0000h ; #define   PS_TYPE_MASK        0x000F0000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
AD_COUNTERCLOCKWISE                equ           1 ; #define   AD_COUNTERCLOCKWISE          1
AD_CLOCKWISE                       equ           2 ; #define   AD_CLOCKWISE                 2
;*==============================================================================================================
;* WINGDI.H                                        ; /* Binary raster ops */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
R2_BLACK                           equ          1  ; #define   R2_BLACK          1 /*  0   */
R2_NOTMERGEPEN                     equ          2  ; #define   R2_NOTMERGEPEN    2 /* DPon */
R2_MASKNOTPEN                      equ          3  ; #define   R2_MASKNOTPEN     3 /* DPna */
R2_NOTCOPYPEN                      equ          4  ; #define   R2_NOTCOPYPEN     4 /* PN   */
R2_MASKPENNOT                      equ          5  ; #define   R2_MASKPENNOT     5 /* PDna */
R2_NOT                             equ          6  ; #define   R2_NOT            6 /* Dn   */
R2_XORPEN                          equ          7  ; #define   R2_XORPEN         7 /* DPx  */
R2_NOTMASKPEN                      equ          8  ; #define   R2_NOTMASKPEN     8 /* DPan */
R2_MASKPEN                         equ          9  ; #define   R2_MASKPEN        9 /* DPa  */
R2_NOTXORPEN                       equ         10  ; #define   R2_NOTXORPEN     10 /* DPxn */
R2_NOP                             equ         11  ; #define   R2_NOP           11 /* D    */
R2_MERGENOTPEN                     equ         12  ; #define   R2_MERGENOTPEN   12 /* DPno */
R2_COPYPEN                         equ         13  ; #define   R2_COPYPEN       13 /* P    */
R2_MERGEPENNOT                     equ         14  ; #define   R2_MERGEPENNOT   14 /* PDno */
R2_MERGEPEN                        equ         15  ; #define   R2_MERGEPEN      15 /* DPo  */
R2_WHITE                           equ         16  ; #define   R2_WHITE         16 /*  1   */
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* Ternary raster operations */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SRCCOPY                            equ  000CC0020h ; #define   SRCCOPY (DW)0x00CC0020 D = S
SRCPAINT                           equ  000EE0086h ; #define   SRCPAINT    0x00EE0086 D = S|D
SRCAND                             equ  0008800C6h ; #define   SRCAND      0x008800C6 D = S&D
SRCINVERT                          equ  000660046h ; #define   SRCINVERT   0x00660046 D = SxD
SRCERASE                           equ  000440328h ; #define   SRCERASE    0x00440328 D = S&d
NOTSRCCOPY                         equ  000330008h ; #define   NOTSRCCOPY  0x00330008 D = s
NOTSRCERASE                        equ  0001100A6h ; #define   NOTSRCERASE 0x001100A6 D = s&d
MERGECOPY                          equ  000C000CAh ; #define   MERGECOPY   0x00C000CA D = S&P
MERGEPAINT                         equ  000BB0226h ; #define   MERGEPAINT  0x00BB0226 D = s|D
PATCOPY                            equ  000F00021h ; #define   PATCOPY     0x00F00021 D = Pat
PATPAINT                           equ  000FB0A09h ; #define   PATPAINT    0x00FB0A09 D = DPS
PATINVERT                          equ  0005A0049h ; #define   PATINVERT   0x005A0049 D = PxD
DSTINVERT                          equ  000550009h ; #define   DSTINVERT   0x00550009 D = d
BLACKNESS                          equ  000000042h ; #define   BLACKNESS   0x00000042 D = 00h
WHITENESS                          equ  000FF0062h ; #define   WHITENESS   0x00FF0062 D = FFh
;*==============================================================================================================
;* WINGDI.H                                        ; /* Quaternary raster codes */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* #define MAKEROP4(fore,back) (DWORD)((((back) << 8) & 0xFF000000) | (fore))
;* #endif /* NORASTEROPS */
;*--------------------------------------------------------------------------------------------------------------
;* #define GDI_ERROR (0xFFFFFFFFL)
;* #define HGDI_ERROR ((HANDLE)(0xFFFFFFFFL))
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LSIZ ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINGDI.H                     BITMAPINFOHEADER               ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
bmih_biSize                equ  0000                           ; EVAL: DWORD     [00000 00000 00000 00000 00000]
bmih_biWidth               equ  bmih_biSize+04                 ; EVAL: LONG      [00004 00004 00004 00004 00004]
bmih_biHeight              equ  bmih_biWidth+04                ; EVAL: LONG      [00008 00008 00008 00008 00008]
bmih_biPlanes              equ  bmih_biHeight+04               ; WORD: WORD      [00012 00012 00012 00012 00012]
bmih_biBitCount            equ  bmih_biPlanes+02               ; WORD: WORD      [00014 00014 00014 00014 00014]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
bmih_biCompression         equ  bmih_biBitCount+02             ; EVAL: DWORD     [00016 00016 00016 00016 00016]
bmih_biSizeImage           equ  bmih_biCompression+04          ; EVAL: DWORD     [00020 00020 00020 00020 00020]
bmih_biXPelsPerMeter       equ  bmih_biSizeImage+04            ; EVAL: LONG      [00024 00024 00024 00024 00024]
bmih_biYPelsPerMeter       equ  bmih_biXPelsPerMeter+04        ; EVAL: LONG      [00028 00028 00028 00028 00028]
bmih_biClrUsed             equ  bmih_biYPelsPerMeter+04        ; EVAL: DWORD     [00032 00032 00032 00032 00032]
bmih_biClrImportant        equ  bmih_biClrUsed+04              ; EVAL: DWORD     [00036 00036 00036 00036 00036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BMIH                       equ  bmih_biClrImportant+04         ; SIZE: PARAMETER [00040 00040 00040 00040 00040]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################


;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINGDI.H                                        ; /* LogFnt_lfOutPrecision */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
OUT_DEFAULT_PRECIS                 equ         000 ; #define   OUT_DEFAULT_PRECIS          000
OUT_STRING_PRECIS                  equ         001 ; #define   OUT_STRING_PRECIS           001
OUT_CHARACTER_PRECIS               equ         002 ; #define   OUT_CHARACTER_PRECIS        002
OUT_STROKE_PRECIS                  equ         003 ; #define   OUT_STROKE_PRECIS           003
OUT_TT_PRECIS                      equ         004 ; #define   OUT_TT_PRECIS               004
OUT_DEVICE_PRECIS                  equ         005 ; #define   OUT_DEVICE_PRECIS           005
OUT_RASTER_PRECIS                  equ         006 ; #define   OUT_RASTER_PRECIS           006
OUT_TT_ONLY_PRECIS                 equ         007 ; #define   OUT_TT_ONLY_PRECIS          007
OUT_OUTLINE_PRECIS                 equ         008 ; #define   OUT_OUTLINE_PRECIS          008
OUT_SCREEN_OUTLINE_PRECIS          equ         009 ; #define   OUT_SCREEN_OUTLINE_PRECIS   009
OUT_PS_ONLY_PRECIS                 equ         010 ; #define   OUT_PS_ONLY_PRECIS          010
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* LogFnt_lfClipPrecision */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CLIP_DEFAULT_PRECIS                equ        000h ; #define   CLIP_DEFAULT_PRECIS     0
CLIP_CHARACTER_PRECIS              equ        001h ; #define   CLIP_CHARACTER_PRECIS   1
CLIP_STROKE_PRECIS                 equ        002h ; #define   CLIP_STROKE_PRECIS      2
CLIP_MASK                          equ        00Fh ; #define   CLIP_MASK               0xf
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
CLIP_LH_ANGLES                     equ        010h ; #define   CLIP_LH_ANGLES          (1<<4)
CLIP_TT_ALWAYS                     equ        020h ; #define   CLIP_TT_ALWAYS          (2<<4)
CLIP_DFA_DISABLE                   equ        040h ; #define   CLIP_DFA_DISABLE        (4<<4)
CLIP_EMBEDDED                      equ        080h ; #define   CLIP_EMBEDDED           (8<<4)
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* LogFnt_lfQuality */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
DEFAULT_QUALITY                    equ           0 ; #define   DEFAULT_QUALITY                 0
DRAFT_QUALITY                      equ           1 ; #define   DRAFT_QUALITY                   1
PROOF_QUALITY                      equ           2 ; #define   PROOF_QUALITY                   2
NONANTIALIASED_QUALITY             equ           3 ; #define   NONANTIALIASED_QUALITY          3
ANTIALIASED_QUALITY                equ           4 ; #define   ANTIALIASED_QUALITY             4
CLEARTYPE_QUALITY                  equ           5 ; #define   CLEARTYPE_QUALITY               5
CLEARTYPE_NATURAL_QUALITY          equ           6 ; #define   CLEARTYPE_NATURAL_QUALITY       6
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* LogFnt_lfPitchAndFamily */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
DEFAULT_PITCH                      equ        000h ; #define   DEFAULT_PITCH           0
FIXED_PITCH                        equ        001h ; #define   FIXED_PITCH             1
VARIABLE_PITCH                     equ        002h ; #define   VARIABLE_PITCH          2
MONO_FONT                          equ        008h ; #define   MONO_FONT               8
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* LogFnt_FontFamilies */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FF_DONTCARE   equ 000h ; #def FF_DONTCARE   (0<<4) ; /* Don't care or don't know. */
FF_ROMAN      equ 010h ; #def FF_ROMAN      (1<<4) ; /* Variable stroke width, serifed: Times Roman, Century,...
FF_SWISS      equ 020h ; #def FF_SWISS      (2<<4) ; /* Variable stroke width, sans-serifed: Helvetica,Swiss,...
FF_MODERN     equ 030h ; #def FF_MODERN     (3<<4) ; /* Constant stroke width, serifed or sans-serifed: Pica,...
FF_SCRIPT     equ 040h ; #def FF_SCRIPT     (4<<4) ; /* Cursive, etc. */
FF_DECORATIVE equ 050h ; #def FF_DECORATIVE (5<<4) ; /* Old English, etc. */
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* LogFnt_lfCharSet */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ANSI_CHARSET                       equ         000 ; #define   ANSI_CHARSET            000
DEFAULT_CHARSET                    equ         001 ; #define   DEFAULT_CHARSET         001
SYMBOL_CHARSET                     equ         002 ; #define   SYMBOL_CHARSET          002
SHIFTJIS_CHARSET                   equ         128 ; #define   SHIFTJIS_CHARSET        128
HANGEUL_CHARSET                    equ         129 ; #define   HANGEUL_CHARSET         129
HANGUL_CHARSET                     equ         129 ; #define   HANGUL_CHARSET          129
GB2312_CHARSET                     equ         134 ; #define   GB2312_CHARSET          134
CHINESEBIG5_CHARSET                equ         136 ; #define   CHINESEBIG5_CHARSET     136
OEM_CHARSET                        equ         255 ; #define   OEM_CHARSET             255
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
JOHAB_CHARSET                      equ         130 ; #define   JOHAB_CHARSET           130
HEBREW_CHARSET                     equ         177 ; #define   HEBREW_CHARSET          177
ARABIC_CHARSET                     equ         178 ; #define   ARABIC_CHARSET          178
GREEK_CHARSET                      equ         161 ; #define   GREEK_CHARSET           161
TURKISH_CHARSET                    equ         162 ; #define   TURKISH_CHARSET         162
VIETNAMESE_CHARSET                 equ         163 ; #define   VIETNAMESE_CHARSET      163
THAI_CHARSET                       equ         222 ; #define   THAI_CHARSET            222
EASTEUROPE_CHARSET                 equ         238 ; #define   EASTEUROPE_CHARSET      238
RUSSIAN_CHARSET                    equ         204 ; #define   RUSSIAN_CHARSET         204
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
MAC_CHARSET                        equ         077 ; #define   MAC_CHARSET             077
BALTIC_CHARSET                     equ         186 ; #define   BALTIC_CHARSET          186
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* LogFnt_????????? */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FS_LATIN1                          equ  000000001h ; #define   FS_LATIN1               0x00000001L
FS_LATIN2                          equ  000000002h ; #define   FS_LATIN2               0x00000002L
FS_CYRILLIC                        equ  000000004h ; #define   FS_CYRILLIC             0x00000004L
FS_GREEK                           equ  000000008h ; #define   FS_GREEK                0x00000008L
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FS_TURKISH                         equ  000000010h ; #define   FS_TURKISH              0x00000010L
FS_HEBREW                          equ  000000020h ; #define   FS_HEBREW               0x00000020L
FS_ARABIC                          equ  000000040h ; #define   FS_ARABIC               0x00000040L
FS_BALTIC                          equ  000000080h ; #define   FS_BALTIC               0x00000080L
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FS_VIETNAMESE                      equ  000000100h ; #define   FS_VIETNAMESE           0x00000100L
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FS_THAI                            equ  000010000h ; #define   FS_THAI                 0x00010000L
FS_JISJAPAN                        equ  000020000h ; #define   FS_JISJAPAN             0x00020000L
FS_CHINESESIMP                     equ  000040000h ; #define   FS_CHINESESIMP          0x00040000L
FS_WANSUNG                         equ  000080000h ; #define   FS_WANSUNG              0x00080000L
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FS_CHINESETRAD                     equ  000100000h ; #define   FS_CHINESETRAD          0x00100000L
FS_JOHAB                           equ  000200000h ; #define   FS_JOHAB                0x00200000L
FS_SYMBOL                          equ  080000000h ; #define   FS_SYMBOL               0x80000000L
;*--------------------------------------------------------------------------------------------------------------
;* WINGDI.H                                        ; /* Font Weights */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FW_DONTCARE                        equ         000 ; #define   FW_DONTCARE         000
FW_THIN                            equ         100 ; #define   FW_THIN             100
FW_EXTRALIGHT                      equ         200 ; #define   FW_EXTRALIGHT       200
FW_LIGHT                           equ         300 ; #define   FW_LIGHT            300
FW_NORMAL                          equ         400 ; #define   FW_NORMAL           400
FW_MEDIUM                          equ         500 ; #define   FW_MEDIUM           500
FW_SEMIBOLD                        equ         600 ; #define   FW_SEMIBOLD         600
FW_BOLD                            equ         700 ; #define   FW_BOLD             700
FW_EXTRABOLD                       equ         800 ; #define   FW_EXTRABOLD        800
FW_HEAVY                           equ         900 ; #define   FW_HEAVY            900
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
FW_ULTRALIGHT                      equ         200 ; #define   FW_ULTRALIGHT       FW_EXTRALIGHT
FW_REGULAR                         equ         400 ; #define   FW_REGULAR          FW_NORMAL
FW_DEMIBOLD                        equ         600 ; #define   FW_DEMIBOLD         FW_SEMIBOLD
FW_ULTRABOLD                       equ         800 ; #define   FW_ULTRABOLD        FW_EXTRABOLD
FW_BLACK                           equ         900 ; #define   FW_BLACK            FW_HEAVY
;*==============================================================================================================
;* WINGDI.H                                        ; /*  */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PANOSE_COUNT                       equ          10 ; #define   PANOSE_COUNT                 10
PAN_CULTURE_LATIN                  equ           0 ; #define   PAN_CULTURE_LATIN             0
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
PAN_FAMILYTYPE_INDEX               equ           0 ; #define   PAN_FAMILYTYPE_INDEX          0
PAN_SERIFSTYLE_INDEX               equ           1 ; #define   PAN_SERIFSTYLE_INDEX          1
PAN_WEIGHT_INDEX                   equ           2 ; #define   PAN_WEIGHT_INDEX              2
PAN_PROPORTION_INDEX               equ           3 ; #define   PAN_PROPORTION_INDEX          3
PAN_CONTRAST_INDEX                 equ           4 ; #define   PAN_CONTRAST_INDEX            4
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
PAN_STROKEVARIATION_INDEX          equ           5 ; #define   PAN_STROKEVARIATION_INDEX     5
PAN_ARMSTYLE_INDEX                 equ           6 ; #define   PAN_ARMSTYLE_INDEX            6
PAN_LETTERFORM_INDEX               equ           7 ; #define   PAN_LETTERFORM_INDEX          7
PAN_MIDLINE_INDEX                  equ           8 ; #define   PAN_MIDLINE_INDEX             8
PAN_XHEIGHT_INDEX                  equ           9 ; #define   PAN_XHEIGHT_INDEX             9
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LSIZ ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINGDI.H                     LOGFONTA                       ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LogFontA_Height            equ  00000000                       ; EVAL: LONG      [00000 00000 00000 00000 00000]
LogFontA_Width             equ  LogFontA_Height+04             ; EVAL: LONG      [00004 00004 00004 00004 00004]
LogFontA_Escapement        equ  LogFontA_Width+04              ; EVAL: LONG      [00008 00008 00008 00008 00008]
LogFontA_Orientation       equ  LogFontA_Escapement+04         ; EVAL: LONG      [00012 00012 00012 00012 00012]
LogFontA_Weight            equ  LogFontA_Orientation+04        ; EVAL: LONG      [00016 00016 00016 00016 00016]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LogFontA_Italic            equ  LogFontA_Weight+04             ; BVAL: BYTE      [00020 00020 00020 00020 00020]
LogFontA_Underline         equ  LogFontA_Italic+01             ; BVAL: BYTE      [00021 00021 00021 00021 00021]
LogFontA_StrikeOut         equ  LogFontA_Underline+01          ; BVAL: BYTE      [00022 00022 00022 00022 00022]
LogFontA_CharSet           equ  LogFontA_StrikeOut+01          ; BVAL: BYTE      [00023 00023 00023 00023 00023]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
LogFontA_OutPrecision      equ  LogFontA_CharSet+01            ; BVAL: BYTE      [00024 00024 00024 00024 00024]
LogFontA_ClipPrecision     equ  LogFontA_OutPrecision+01       ; BVAL: BYTE      [00025 00025 00025 00025 00025]
LogFontA_Quality           equ  LogFontA_ClipPrecision+01      ; BVAL: BYTE      [00026 00026 00026 00026 00026]
LogFontA_PitchAndFamily    equ  LogFontA_Quality+01            ; BVAL: BYTE      [00027 00027 00027 00027 00027]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LogFontA_FaceName          equ  LogFontA_PitchAndFamily+01     ; BVAL: CHAR[32]  [00028 00028 00028 00028 00028]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LOGFONTA                   equ  LogFontA_FaceName+32           ; SIZE: PARAMETER [00060 00060 00060 00060 00060]
;*--------------------------------------------------------------------------------------------------------------
;% WINGDI.H                     LOGFONTW                       ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LogFontW_Height            equ  00000000                       ; EVAL: LONG      [00000 00000 00000 00000 00000]
LogFontW_Width             equ  LogFontW_Height+04             ; EVAL: LONG      [00004 00004 00004 00004 00004]
LogFontW_Escapement        equ  LogFontW_Width+04              ; EVAL: LONG      [00008 00008 00008 00008 00008]
LogFontW_Orientation       equ  LogFontW_Escapement+04         ; EVAL: LONG      [00012 00012 00012 00012 00012]
LogFontW_Weight            equ  LogFontW_Orientation+04        ; EVAL: LONG      [00016 00016 00016 00016 00016]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LogFontW_Italic            equ  LogFontW_Weight+04             ; BVAL: BYTE      [00020 00020 00020 00020 00020]
LogFontW_Underline         equ  LogFontW_Italic+01             ; BVAL: BYTE      [00021 00021 00021 00021 00021]
LogFontW_StrikeOut         equ  LogFontW_Underline+01          ; BVAL: BYTE      [00022 00022 00022 00022 00022]
LogFontW_CharSet           equ  LogFontW_StrikeOut+01          ; BVAL: BYTE      [00023 00023 00023 00023 00023]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
LogFontW_OutPrecision      equ  LogFontW_CharSet+01            ; BVAL: BYTE      [00024 00024 00024 00024 00024]
LogFontW_ClipPrecision     equ  LogFontW_OutPrecision+01       ; BVAL: BYTE      [00025 00025 00025 00025 00025]
LogFontW_Quality           equ  LogFontW_ClipPrecision+01      ; BVAL: BYTE      [00026 00026 00026 00026 00026]
LogFontW_PitchAndFamily    equ  LogFontW_Quality+01            ; BVAL: BYTE      [00027 00027 00027 00027 00027]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LogFontW_FaceName          equ  LogFontW_PitchAndFamily+01     ; BVAL: WCHAR[32] [00028 00028 00028 00028 00028]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LOGFONTW                   equ  LogFontW_FaceName+64           ; SIZE: PARAMETER [00092 00092 00092 00092 00092]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################

;} LOGFONTW, *PLOGFONTW, NEAR *NPLOGFONTW, FAR *LPLOGFONTW;
;#ifdef UNICODE;
;
;/* Logical Font */
;#define LF_FACESIZE         32
;
;typedef struct tagLOGFONTA
;{
;    LONG      lfHeight;
;    LONG      lfWidth;
;    LONG      lfEscapement;
;    LONG      lfOrientation;
;    LONG      lfWeight;
;    BYTE      lfItalic;
;    BYTE      lfUnderline;
;    BYTE      lfStrikeOut;
;    BYTE      lfCharSet;
;    BYTE      lfOutPrecision;
;    BYTE      lfClipPrecision;
;    BYTE      lfQuality;
;    BYTE      lfPitchAndFamily;
;    CHAR      lfFaceName[LF_FACESIZE];
;} LOGFONTA, *PLOGFONTA, NEAR *NPLOGFONTA, FAR *LPLOGFONTA;
;typedef struct tagLOGFONTW
;{
;    LONG      lfHeight;
;    LONG      lfWidth;
;    LONG      lfEscapement;
;    LONG      lfOrientation;
;    LONG      lfWeight;
;    BYTE      lfItalic;
;    BYTE      lfUnderline;
;    BYTE      lfStrikeOut;
;    BYTE      lfCharSet;
;    BYTE      lfOutPrecision;
;    BYTE      lfClipPrecision;
;    BYTE      lfQuality;
;    BYTE      lfPitchAndFamily;
;    WCHAR     lfFaceName[LF_FACESIZE];
;} LOGFONTW, *PLOGFONTW, NEAR *NPLOGFONTW, FAR *LPLOGFONTW;
;#ifdef UNICODE

;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################
;MyLISTON


