!###################################################################################################################################################
!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!***************************************************************************************************************************************************
!*==================================================================================================================================================
!*--------------------------------------------------------------------------------------------------------------------------------------------------
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!###################################################################################################################################################

!***************************************************************************************************************************************************
!*  F0DspLib.inc          Fortran( All Bit )  Display Library Includes                                                                             *
!*  F1DspLib.inc          Fortran( 032 Bit )  Display Library Includes                                                                             *
!*  F2DspLib.inc          Fortran( 064 Bit )  Display Library Includes                                                                             *
!*  F3DspLib.inc          Fortran( 128 Bit )  Display Library Includes                                                                             *
!*  F4DspLib.inc          Fortran( 256 Bit )  Display Library Includes                                                                             *
!*  F1DspLib.inc          Fortran( 512 Bit )  Display Library Includes                                                                             *
!*                                                                                                                                                 *
!*=================================================================================================================================================*
!*345 ERROR1 = ANY_NORM72(ARG102,ARG103,ARG104,ARG105,ARG106,ARG107,     & !! 01 Comment                                                           *
!*   &             ARG201,ARG202,ARG203,ARG204,ARG205,ARG206,ARG207,     & !! 02 Comment                                                           *
!*   &             ARG301,ARG302,ARG303,ARG304,ARG305,ARG306,ARG307)       !! 03 Comment                                                           *
!*-------------------------------------------------------------------------------------------------------------------------------------------------*
!*345 ERROR2 = ANY_WID132(ARG102,ARG103,ARG104,ARG105,ARG106,ARG107,ARG108,ARG109,ARG110,ARG111,ARG112,ARG113,ARG114,ARG115,       & !! 01 Comment *
!*   &             ARG201,ARG202,ARG203,ARG204,ARG205,ARG206,ARG207,ARG208,ARG209,ARG210,ARG211,ARG212,ARG213,ARG214,ARG215,       & !! 02 Comment *
!*   &             ARG301,ARG302,ARG303,ARG304,ARG305,ARG306,ARG307,ARG308,ARG309,ARG310,ARG311,ARG312,ARG313,ARG314,ARG315)         !! 03 Comment *
!*=================================================================================================================================================*
!*  Copyright (C)  1993   Wolfgang  Renner    Created in:   07.11.2005   & !! 01                                                     !! 01 Comment *
!*             &   2008   Gimbacher Weg 34    Last Change:  25.01.2006   & !! 02                                                     !! 02 Comment *
!*                        D-65779 Kelkheim                               & !!                                                        !! 03 Comment *
!*  All rights reserved   Germany / Hessen    For all Fortran Compiler     !! Arg Ref Func                                           !! 04 Comment *
!***************************************************************************************************************************************************
      INTEGER*4    SETHLG , ANY_SETHLG , OUTPUT , FOR_OUTPUT ,           & !! 002 001 0000   ERROR2 = ANY_SETHLG(ARG001,ARG002,ARG003,....,ARG128)
     &             OUTLIB , FOR_OUTLIB , INPLIB , FOR_INPLIB ,           & !! 019 004 0001   ERROR2 = DL1(OUTPUT,INPLCX,INPLDX,INPL08,....,DASTRG)
     &             EM1BOX , FOR_EM1BOX , EMSBOX , FOR_EMSBOX ,           & !! 037 011 0002   ERROR2 = DL1(OUTLIB,INPLCX,INPLDX,INPL08,....,NASTRG)
     &             MSLEEP , FOR_MSLEEP , MILTIM , FOR_MILTIM ,           & !! 037 011 0003   ERROR2 = DL1(INPLIB,INPLCX,INPLDX,INPL08,....,NASTRG)
     &             OPNDLB , FOR_OPNDLB , CLSDLB , FOR_CLSDLB               !! 019 004 0004   ERROR2 = DL1(EM1BOX,INPLCX,INPLDX,INPL08,....,DASTRG)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   SETHLG = 0020010000 , OUTPUT = 0190040001 ,           & !! 019 004 0005   ERROR2 = DL1(EMSBOX,INPLCX,INPLDX,INPL08,....,DASTRG)
     &             OUTLIB = 0370110002 , INPLIB = 0370110003 ,           & !! 002 000 0006   ERROR2 = DL1(MSLEEP,CONTRL,MILSEC)
     &             EM1BOX = 0190040004 , EMSBOX = 0190040005 ,           & !! 002 001 0007   ERROR2 = DL1(MILTIM,CONTRL,MILSEC)
     &             MSLEEP = 0020000006 , MILTIM = 0020010007 ,           & !! 002 001 0008   ERROR2 = DL1(OPNDLB,CONNUM,ARG002,ARG003,....,STRING)
     &             OPNDLB = 0020010008 , CLSDLB = 0020010009 )             !! 002 001 0009   ERROR2 = DL1(CLSDLB,CONNUM,ARG002,ARG003,....,STRING)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    SETMAT , FOR_SETMAT , GETMAT , FOR_GETMAT ,           & !! 005 001 0010   ERROR2 = DL1(SETMAT,CONTRL,THRNUM,MAXPRC,....,DUMMY1)
     &             MATCST , FOR_MATCST , MATLIB , FOR_MATLIB ,           & !! 005 003 0011   ERROR2 = DL1(GETMAT,CONTRL,THRNUM,MAXPRC,....,DUMMY1)
     &             MLWRIT , FOR_MLWRIT , MLREAD , FOR_MLREAD ,           & !! 002 001 0012   ERROR2 = DL1(MATCST,ARG001,ARG002,ARG003,....,ARG128)
     &             MKWRIT , FOR_MKWRIT , MKREAD , FOR_MKREAD ,           & !! 005 003 0013   ERROR2 = DL1(MATLIB,CONTRL,I04AR3,P64RES,....,P64AR2)
     &             FUN018 , FOR_FUN018 , FUN019 , FOR_FUN019               !! 002 001 0014   ERROR2 = DL1(MLWRIT,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   SETMAT = 0050010010 , GETMAT = 0050030011 ,           & !! 009 005 0015   ERROR2 = DL1(MLREAD,DABSIZ,DABCNT,DAECNT,....,DASTRG)
     &             MATCST = 0020010012 , MATLIB = 0050030013 ,           & !! 011 004 0016   ERROR2 = DL1(MKWRIT,DABSIZ,DABCNT,DAECNT,....,DASTRG)
     &             MLWRIT = 0110040014 , MLREAD = 0090050015 ,           & !! 009 005 0017   ERROR2 = DL1(MKREAD,DABSIZ,DABCNT,DAECNT,....,DASTRG)
     &             MKWRIT = 0110040016 , MKREAD = 0090050017 ,           & !! 011 004 0018   ERROR2 = DL1(FUN018,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN018 = 0020010018 , FUN019 = 0020010019 )             !! 002 001 0019   ERROR2 = DL1(FUN019,ARG001,ARG002,ARG003,....,ARG128)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    SETCON , FOR_SETCON , GETCON , FOR_GETCON ,           & !! 050 003 0020   ERROR2 = DL1(SETCON,ARG001,ARG002,ARG003,....,ARG128)
     &             OPNFIL , FOR_OPNFIL , CLSFIL , FOR_CLSFIL ,           & !! 050 045 0021   ERROR2 = DL1(GETCON,ARG001,ARG002,ARG003,....,ARG128)
     &             FLWRIT , FOR_FLWRIT , FLREAD , FOR_FLREAD ,           & !! 018 004 0022   ERROR2 = DL1(OPNFIL,FILNUM,DATWDT,DATIBL,....,NASTRG)
     &             GETINP , FOR_GETINP , PRPCON , FOR_PRPCON ,           & !! 011 009 0023   ERROR2 = DL1(CLSFIL,FILNUM,TOKCNT,PAGCNT,....,DASCNT)
     &             FWCHAR , FOR_FWCHAR , FRCHAR , FOR_FRCHAR               !! 031 017 0024   ERROR2 = DL1(FLWRIT,INPLCX,INPLDX,INPL08,....,NASTRG)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   SETCON = 0500030020 , GETCON = 0500450021 ,           & !! 023 014 0025   ERROR2 = DL1(FLREAD,FILNUM,TOKCNT,PAGCNT,....,NASTRG)
     &             OPNFIL = 0180040022 , CLSFIL = 0110090023 ,           & !! 031 018 0026   ERROR2 = DL1(GETINP,I04RES,S04RES,D08RES,....,NASTRG)
     &             FLWRIT = 0310170024 , FLREAD = 0230140025 ,           & !! 050 003 0027   ERROR2 = DL1(PRPCON,CONNUM,ARG002,ARG003,....,NASTRG)
     &             GETINP = 0310180026 , PRPCON = 0500030027 ,           & !! 011 007 0028   ERROR2 = DL1(FWCHAR,FILNUM,TOKCNT,PAGCNT,....,U32TRG)
     &             FWCHAR = 0110070028 , FRCHAR = 0110080029 )             !! 011 008 0029   ERROR2 = DL1(FRCHAR,FILNUM,TOKCNT,PAGCNT,....,U32TRG)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    COPSTR , FOR_COPSTR , ADDSTR , FOR_ADDSTR ,           & !! 002 001 0030   ERROR2 = DL1(COPSTR,ARG001,ARG002,ARG003,....,ARG128)
     &             DIVSTR , FOR_DIVSTR , FUN033 , FOR_FUN033 ,           & !! 002 001 0031   ERROR2 = DL1(ADDSTR,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN034 , FOR_FUN034 , FUN035 , FOR_FUN035 ,           & !! 002 001 0032   ERROR2 = DL1(DIVSTR,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN036 , FOR_FUN036 , FUN037 , FOR_FUN037 ,           & !! 002 001 0033   ERROR2 = DL1(FUN033,ARG001,ARG002,ARG003,....,ARG128)
     &             GETMSG , FOR_GETMSG , TSTFUN , FOR_TSTFUN               !! 002 001 0034   ERROR2 = DL1(FUN034,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   COPSTR = 0020010030 , ADDSTR = 0020010031 ,           & !! 002 001 0035   ERROR2 = DL1(FUN035,ARG001,ARG002,ARG003,....,ARG128)
     &             DIVSTR = 0020010032 , FUN033 = 0020010033 ,           & !! 002 001 0036   ERROR2 = DL1(FUN036,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN034 = 0020010034 , FUN035 = 0020010035 ,           & !! 002 001 0037   ERROR2 = DL1(FUN037,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN036 = 0020010036 , FUN037 = 0020010037 ,           & !! 047 036 0038   ERROR2 = DL1(GETMSG,I04RES,S04RES,D08RES,....,NASTRG)
     &             GETMSG = 0470360038 , TSTFUN = 0120030039 )             !! 012 003 0039   ERROR2 = DL1(TSTFUN,CONNUM,ARG002,ARG003,....,STRING)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    OP4THR , FOR_OP4THR , OP9THR , FOR_OP9THR ,           & !! 028 021 0040   ERROR2 = DL1(OP4THR,TH1NUM,TH1STK,TH1PRC,....,TH4NAM)
     &             RN4THR , FOR_RN4THR , RN9THR , FOR_RN9THR ,           & !! 062 050 0041   ERROR2 = DL1(OP9THR,TH1NUM,TH1STK,TH1PRC,....,TH9NAM)
     &             IN4THR , FOR_IN4THR , IN9THR , FOR_IN9THR ,           & !! 028 021 0042   ERROR2 = DL1(RN4THR,TH1NUM,TH1FUN,TH1AR1,....,TH4DAT)
     &             TM4THR , FOR_TM4THR , TM9THR , FOR_TM9THR ,           & !! 062 050 0043   ERROR2 = DL1(RN9THR,TH1NUM,TH1FUN,TH1AR1,....,TH9DAT)
     &             CL4THR , FOR_CL4THR , CL9THR , FOR_CL9THR               !! 011 005 0044   ERROR2 = DL1(IN4THR,TH1NUM,TH2NUM,TH3NUM,....,TH4STA)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   OP4THR = 0280210040 , OP9THR = 0620500041 ,           & !! 023 011 0045   ERROR2 = DL1(IN9THR,TH1NUM,TH2NUM,TH3NUM,....,TH9STA)
     &             RN4THR = 0280210042 , RN9THR = 0620500043 ,           & !! 011 005 0046   ERROR2 = DL1(TM4THR,TH1NUM,TH2NUM,TH3NUM,....,TH4STA)
     &             IN4THR = 0110050044 , IN9THR = 0230110045 ,           & !! 023 011 0047   ERROR2 = DL1(TM9THR,TH1NUM,TH2NUM,TH3NUM,....,TH9STA)
     &             TM4THR = 0110050046 , TM9THR = 0230110047 ,           & !! 011 005 0048   ERROR2 = DL1(CL4THR,TH1NUM,TH2NUM,TH3NUM,....,TH4STA)
     &             CL4THR = 0110050048 , CL9THR = 0230110049 )             !! 023 011 0049   ERROR2 = DL1(CL9THR,TH1NUM,TH2NUM,TH3NUM,....,TH9STA)
!*--------------------------------------------------------------------------------------------------------------------------------------------------
      INTEGER*4    FUN050 , FOR_FUN050 , FUN051 , FOR_FUN051 ,           & !! 002 001 0050   ERROR2 = DL1(FUN050,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN052 , FOR_FUN052 , FUN053 , FOR_FUN053 ,           & !! 002 001 0051   ERROR2 = DL1(FUN051,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN054 , FOR_FUN054 , FUN055 , FOR_FUN055 ,           & !! 002 001 0052   ERROR2 = DL1(FUN052,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN056 , FOR_FUN056 , FUN057 , FOR_FUN057 ,           & !! 002 001 0053   ERROR2 = DL1(FUN053,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN058 , FOR_FUN058 , FUN059 , FOR_FUN059               !! 002 001 0054   ERROR2 = DL1(FUN054,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FUN050 = 0020010050 , FUN051 = 0020010051 ,           & !! 002 001 0055   ERROR2 = DL1(FUN055,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN052 = 0020010052 , FUN053 = 0020010053 ,           & !! 002 001 0056   ERROR2 = DL1(FUN056,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN054 = 0020010054 , FUN055 = 0020010055 ,           & !! 002 001 0057   ERROR2 = DL1(FUN057,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN056 = 0020010056 , FUN057 = 0020010057 ,           & !! 002 001 0058   ERROR2 = DL1(FUN058,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN058 = 0020010058 , FUN059 = 0020010059 )             !! 002 001 0059   ERROR2 = DL1(FUN059,ARG001,ARG002,ARG003,....,ARG128)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    FUN060 , FOR_FUN060 , FUN061 , FOR_FUN061 ,           & !! 002 001 0060   ERROR2 = DL1(FUN060,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN062 , FOR_FUN062 , FUN063 , FOR_FUN063 ,           & !! 002 001 0061   ERROR2 = DL1(FUN061,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN064 , FOR_FUN064 , FUN065 , FOR_FUN065 ,           & !! 002 001 0062   ERROR2 = DL1(FUN062,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN066 , FOR_FUN066 , FUN067 , FOR_FUN067 ,           & !! 002 001 0063   ERROR2 = DL1(FUN063,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN068 , FOR_FUN068 , FUN069 , FOR_FUN069               !! 002 001 0064   ERROR2 = DL1(FUN064,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FUN060 = 0020010060 , FUN061 = 0020010061 ,           & !! 002 001 0065   ERROR2 = DL1(FUN065,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN062 = 0020010062 , FUN063 = 0020010063 ,           & !! 002 001 0066   ERROR2 = DL1(FUN066,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN064 = 0020010064 , FUN065 = 0020010065 ,           & !! 002 001 0067   ERROR2 = DL1(FUN067,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN066 = 0020010066 , FUN067 = 0020010067 ,           & !! 002 001 0068   ERROR2 = DL1(FUN068,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN068 = 0020010068 , FUN069 = 0020010069 )             !! 002 001 0069   ERROR2 = DL1(FUN069,ARG001,ARG002,ARG003,....,ARG128)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    FUN070 , FOR_FUN070 , FUN071 , FOR_FUN071 ,           & !! 002 001 0070   ERROR2 = DL1(FUN070,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN072 , FOR_FUN072 , FUN073 , FOR_FUN073 ,           & !! 002 001 0071   ERROR2 = DL1(FUN071,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN074 , FOR_FUN074 , FUN075 , FOR_FUN075 ,           & !! 002 001 0072   ERROR2 = DL1(FUN072,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN076 , FOR_FUN076 , FUN077 , FOR_FUN077 ,           & !! 002 001 0073   ERROR2 = DL1(FUN073,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN078 , FOR_FUN078 , FUN079 , FOR_FUN079               !! 002 001 0074   ERROR2 = DL1(FUN074,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FUN070 = 0020010070 , FUN071 = 0020010071 ,           & !! 002 001 0075   ERROR2 = DL1(FUN075,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN072 = 0020010072 , FUN073 = 0020010073 ,           & !! 002 001 0076   ERROR2 = DL1(FUN076,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN074 = 0020010074 , FUN075 = 0020010075 ,           & !! 002 001 0077   ERROR2 = DL1(FUN077,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN076 = 0020010076 , FUN077 = 0020010077 ,           & !! 002 001 0078   ERROR2 = DL1(FUN078,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN078 = 0020010078 , FUN079 = 0020010079 )             !! 002 001 0079   ERROR2 = DL1(FUN079,ARG001,ARG002,ARG003,....,ARG128)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    FUN080 , FOR_FUN080 , FUN081 , FOR_FUN081 ,           & !! 002 001 0080   ERROR2 = DL1(FUN080,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN082 , FOR_FUN082 , FUN083 , FOR_FUN083 ,           & !! 002 001 0081   ERROR2 = DL1(FUN081,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN084 , FOR_FUN084 , FUN085 , FOR_FUN085 ,           & !! 002 001 0082   ERROR2 = DL1(FUN082,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN086 , FOR_FUN086 , FUN087 , FOR_FUN087 ,           & !! 002 001 0083   ERROR2 = DL1(FUN083,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN088 , FOR_FUN088 , FUN089 , FOR_FUN089               !! 002 001 0084   ERROR2 = DL1(FUN084,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FUN080 = 0020010080 , FUN081 = 0020010081 ,           & !! 002 001 0085   ERROR2 = DL1(FUN085,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN082 = 0020010082 , FUN083 = 0020010083 ,           & !! 002 001 0086   ERROR2 = DL1(FUN086,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN084 = 0020010084 , FUN085 = 0020010085 ,           & !! 002 001 0087   ERROR2 = DL1(FUN087,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN086 = 0020010086 , FUN087 = 0020010087 ,           & !! 002 001 0088   ERROR2 = DL1(FUN088,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN088 = 0020010088 , FUN089 = 0020010089 )             !! 002 001 0089   ERROR2 = DL1(FUN089,ARG001,ARG002,ARG003,....,ARG128)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    FUNAAA , FOR_FUNAAA , FUNBBB , FOR_FUNBBB ,           & !! 005 002 0090   ERROR2 = DL1(FUNAAA,CONTRL,DUMMY1,DUMMY2,....,DUMMY4)
     &             FUNCCC , FOR_FUNCCC , FUNDDD , FOR_FUNDDD ,           & !! 005 002 0091   ERROR2 = DL1(FUNBBB,CONTRL,DUMMY1,DUMMY2,....,DUMMY4)
     &             FUN094 , FOR_FUN094 , FUN095 , FOR_FUN095 ,           & !! 005 002 0092   ERROR2 = DL1(FUNCCC,CONTRL,DUMMY1,DUMMY2,....,DUMMY4)
     &             FUN096 , FOR_FUN096 , FUN097 , FOR_FUN097 ,           & !! 005 002 0093   ERROR2 = DL1(FUNDDD,CONTRL,DUMMY1,DUMMY2,....,DUMMY4)
     &             FUN098 , FOR_FUN098 , JNPLIB , FOR_JNPLIB               !! 002 001 0094   ERROR2 = DL1(FUN094,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FUNAAA = 0050020090 , FUNBBB = 0050020091 ,           & !! 002 001 0095   ERROR2 = DL1(FUN095,ARG001,ARG002,ARG003,....,ARG128)
     &             FUNCCC = 0050020092 , FUNDDD = 0050020093 ,           & !! 002 001 0096   ERROR2 = DL1(FUN096,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN094 = 0020010094 , FUN095 = 0020010095 ,           & !! 002 001 0097   ERROR2 = DL1(FUN097,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN096 = 0020010096 , FUN097 = 0020010097 ,           & !! 002 001 0098   ERROR2 = DL1(FUN098,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN098 = 0020010098 , JNPLIB = 0020010099 )             !! 002 001 0099   ERROR2 = DL1(FUN099,ARG001,ARG002,ARG003,....,ARG128)
!*==================================================================================================================================================
      INTEGER*4    FUN100 , FOR_FUN100 , FUN101 , FOR_FUN101 ,           & !! 002 001 0100   ERROR2 = DL1(FUN100,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN102 , FOR_FUN102 , FUN103 , FOR_FUN103 ,           & !! 002 001 0101   ERROR2 = DL1(FUN101,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN104 , FOR_FUN104 , FUN105 , FOR_FUN105 ,           & !! 002 001 0102   ERROR2 = DL1(FUN102,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN106 , FOR_FUN106 , FUN107 , FOR_FUN107 ,           & !! 002 001 0103   ERROR2 = DL1(FUN103,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN108 , FOR_FUN108 , FUN109 , FOR_FUN109               !! 002 001 0104   ERROR2 = DL1(FUN104,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FUN100 = 0020010100 , FUN101 = 0020010101 ,           & !! 002 001 0105   ERROR2 = DL1(FUN105,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN102 = 0020010102 , FUN103 = 0020010103 ,           & !! 002 001 0106   ERROR2 = DL1(FUN106,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN104 = 0020010104 , FUN105 = 0020010105 ,           & !! 002 001 0107   ERROR2 = DL1(FUN107,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN106 = 0020010106 , FUN107 = 0020010107 ,           & !! 002 001 0108   ERROR2 = DL1(FUN108,ARG001,ARG002,ARG003,....,ARG128)
     &             FUN108 = 0020010108 , FUN109 = 0020010109 )             !! 002 001 0109   ERROR2 = DL1(FUN109,ARG001,ARG002,ARG003,....,ARG128)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!* Comment                                                                 !! Arg Ref Func   ERROR2 = DL1(FUN084,ARG001,ARG002,ARG003,....,ARG128)
!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
      INTEGER*4    FU1000 , FOR_FU1000 , FU1001 , FOR_FU1001 ,           & !! 020 010 1000   ERROR2 = DL1(FU1000,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1002 , FOR_FU1002 , FU1003 , FOR_FU1003 ,           & !! 021 011 1001   ERROR2 = DL1(FU1001,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1004 , FOR_FU1004 , FU1005 , FOR_FU1005 ,           & !! 022 012 1002   ERROR2 = DL1(FU1002,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1006 , FOR_FU1006 , FU1007 , FOR_FU1007 ,           & !! 023 013 1003   ERROR2 = DL1(FU1003,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1008 , FOR_FU1008 , FU1009 , FOR_FU1009               !! 024 014 1004   ERROR2 = DL1(FU1004,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FU1000 = 0200101000 , FU1001 = 0210111001 ,           & !! 025 015 1005   ERROR2 = DL1(FU1005,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1002 = 0220121002 , FU1003 = 0230131003 ,           & !! 026 016 1006   ERROR2 = DL1(FU1006,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1004 = 0240141004 , FU1005 = 0250151005 ,           & !! 027 017 1007   ERROR2 = DL1(FU1007,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1006 = 0260161006 , FU1007 = 0270171007 ,           & !! 028 018 1008   ERROR2 = DL1(FU1008,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1008 = 0280181008 , FU1009 = 0290191009 )             !! 029 019 1009   ERROR2 = DL1(FU1009,ARG001,ARG002,ARG003,....,ARG128)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    FU1010 , FOR_FU1010 , FU1011 , FOR_FU1011 ,           & !! 120 110 1010   ERROR2 = DL1(FU1010,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1012 , FOR_FU1012 , FU1013 , FOR_FU1013 ,           & !! 121 111 1011   ERROR2 = DL1(FU1011,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1014 , FOR_FU1014 , FU1015 , FOR_FU1015 ,           & !! 122 112 1012   ERROR2 = DL1(FU1012,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1016 , FOR_FU1016 , FU1017 , FOR_FU1017 ,           & !! 123 113 1013   ERROR2 = DL1(FU1013,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1018 , FOR_FU1018 , FU1019 , FOR_FU1019               !! 124 114 1014   ERROR2 = DL1(FU1014,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FU1010 = 1201101010 , FU1011 = 1211111011 ,           & !! 125 115 1015   ERROR2 = DL1(FU1015,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1012 = 1221121012 , FU1013 = 1231131013 ,           & !! 126 116 1016   ERROR2 = DL1(FU1016,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1014 = 1241141014 , FU1015 = 1251151015 ,           & !! 127 117 1017   ERROR2 = DL1(FU1017,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1016 = 1261161016 , FU1017 = 1271171017 ,           & !! 128 118 1018   ERROR2 = DL1(FU1018,ARG001,ARG002,ARG003,....,ARG128)
     &             FU1018 = 1281181018 , FU1019 = 1281191019 )             !! 128 119 1019   ERROR2 = DL1(FU1019,ARG001,ARG002,ARG003,....,ARG128)
!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
      INTEGER*4    FU2000 , FOR_FU2000 , FU2001 , FOR_FU2001 ,           & !! 020 010 2000   ERROR2 = DL1(FU2000,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2002 , FOR_FU2002 , FU2003 , FOR_FU2003 ,           & !! 021 011 2001   ERROR2 = DL1(FU2001,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2004 , FOR_FU2004 , FU2005 , FOR_FU2005 ,           & !! 022 012 2002   ERROR2 = DL1(FU2002,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2006 , FOR_FU2006 , FU2007 , FOR_FU2007 ,           & !! 023 013 2003   ERROR2 = DL1(FU2003,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2008 , FOR_FU2008 , FU2009 , FOR_FU2009               !! 024 014 2004   ERROR2 = DL1(FU2004,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FU2000 = 0200102000 , FU2001 = 0210112001 ,           & !! 025 015 2005   ERROR2 = DL1(FU2005,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2002 = 0220122002 , FU2003 = 0230132003 ,           & !! 026 016 2006   ERROR2 = DL1(FU2006,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2004 = 0240142004 , FU2005 = 0250152005 ,           & !! 027 017 2007   ERROR2 = DL1(FU2007,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2006 = 0260162006 , FU2007 = 0270172007 ,           & !! 028 018 2008   ERROR2 = DL1(FU2008,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2008 = 0280182008 , FU2009 = 0290192009 )             !! 029 019 2009   ERROR2 = DL1(FU2009,ARG001,ARG002,ARG003,....,ARG128)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4    FU2010 , FOR_FU2010 , FU2011 , FOR_FU2011 ,           & !! 120 110 2010   ERROR2 = DL1(FU2010,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2012 , FOR_FU2012 , FU2013 , FOR_FU2013 ,           & !! 121 111 2011   ERROR2 = DL1(FU2011,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2014 , FOR_FU2014 , FU2015 , FOR_FU2015 ,           & !! 122 112 2012   ERROR2 = DL1(FU2012,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2016 , FOR_FU2016 , FU2017 , FOR_FU2017 ,           & !! 123 113 2013   ERROR2 = DL1(FU2013,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2018 , FOR_FU2018 , FU2019 , FOR_FU2019               !! 124 114 2014   ERROR2 = DL1(FU2014,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
      PARAMETER(   FU2010 = 1201102010 , FU2011 = 1211112011 ,           & !! 125 115 2015   ERROR2 = DL1(FU2015,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2012 = 1221122012 , FU2013 = 1231132013 ,           & !! 126 116 2016   ERROR2 = DL1(FU2016,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2014 = 1241142014 , FU2015 = 1251152015 ,           & !! 127 117 2017   ERROR2 = DL1(FU2017,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2016 = 1261162016 , FU2017 = 1271172017 ,           & !! 128 118 2018   ERROR2 = DL1(FU2018,ARG001,ARG002,ARG003,....,ARG128)
     &             FU2018 = 1281182018 , FU2019 = 1281192019 )             !! 128 119 2019   ERROR2 = DL1(FU2019,ARG001,ARG002,ARG003,....,ARG128)
!###################################################################################################################################################
!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!***************************************************************************************************************************************************
!*==================================================================================================================================================
!*--------------------------------------------------------------------------------------------------------------------------------------------------
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!###################################################################################################################################################

!###########################################################################################################################
!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!***************************************************************************************************************************
!*==========================================================================================================================
!*--------------------------------------------------------------------------------------------------------------------------
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!###########################################################################################################################

!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!     INTEGER*4  PELFLD , FLDFLD , RECFLD , ROTFLD , RUBFLD,             & ! PELFLD,FLDFLD,RECFLD,ROTFLD,RUBFLD,
!    &           FUN415 , FUN416 , FUN417 , FUN418 , FUN419              !!! S05FLD,S06FLD,S07FLD,S08FLD,S09FLD;
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!     PARAMETER( PELFLD = 0010010410 , FUN415 = 0010010415,              & ! ERROR = DL1(PELFLD,DESTIN...ATTNUM)
!    &           FLDFLD = 0130050411 , FUN416 = 0010010416,              & ! ERROR = DL1(FLDFLD,DESTIN...ATTNUM)
!    &           RECFLD = 0130050412 , FUN417 = 0010010417,              & ! ERROR = DL1(RECFLD,DESTIN...ATTNUM)
!    &           ROTFLD = 0010010413 , FUN418 = 0010010418,              & ! ERROR = DL1(ROTFLD,DESTIN...??????)
!    &           RUBFLD = 0170050414 , FUN419 = 0010010419 )             !!! ERROR = DL1(RUBFLD,DESTIN...PY4SRC)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!rocEXTN  HLG_FUN030       ; 0000h,000000000h,000000000h ; 0030  000 000  ERROR2 = DL1(FUN030,ARG001,...,ARG128)
!rocEXTN  HLG_FUN031       ; 0000h,000000000h,000000000h ; 0031  000 000  ERROR2 = DL1(FUN031,ARG001,...,ARG128)
!rocEXTN  HLG_FUN032       ; 0000h,000000000h,000000000h ; 0032  000 000  ERROR2 = DL1(FUN032,ARG001,...,ARG128)
!rocEXTN  HLG_FUN033       ; 0000h,000000000h,000000000h ; 0033  000 000  ERROR2 = DL1(FUN033,ARG001,...,ARG128)
!rocEXTN  HLG_FUN034       ; 0000h,000000000h,000000000h ; 0034  000 000  ERROR2 = DL1(FUN034,ARG001,...,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -


!***************************************************************************************************************************
!     PROGRAM    F1TESTMM                                                !!!
!     IMPLICIT   NONE                                                    !!!
!############################################################################################################### DECLARATION
!     INCLUDE        'F1DspLib.inc'                                      !!!
!     INCLUDE        'F1MinMax.inc'                                      !!!
!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% VARIABLES
!?    INTEGER*4       HLMEN1,HLMEN2,HLMEN3,HLMEN4,HLMEN5,CTRLAN,NPCTRL,  & !
!?   &                I,J,K,L,M,N,K1,K2,N2,DEMO00,DEMO46,DEMO1M,DEMO2M,  & ! DEMO46
!?   &  DUMMY0,DUMMY2,DUMMY3,DUMMY4,DUMMY5,IS3,IS4,IS5,IS6,IS8,E1,BM     & !
!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!***************************************************************************************************************************




!!***************************************************************************
!!*  D1DL.inc  is a file to be included from an  Absoft F77 or F90 FORTRAN  *
!!*  program using DspLib.  The "INCLUDE D1DL.inc"   statement should       *
!!*  be placed ...                                                          * 
!!*  If you use in any SUBROUTINE only functions like DRWLIN.. you need     *
!!*  not to include always DL1F77.inc, when you make a local parameter      *
!!*  declaration, only for the used DspLib functions.                       *
!!*                                                                         *
!!*=========================================================================*
!!*                                                                         *
!!*      System   FUNCTIONS:                      For easy programming you  *
!!*                                               can copy any function to  *
!!*      ERROR  = DL1(OPNDL1,DL1CBK)              a clipboard or asci file  *
!!*      ERROR  = DL1(CLSDL1,DL1CBK)              and insert it into your   *
!!*                                               program code. Deleting    *
!!*                                               the comment star places   *
!!*      LOCATN = DL1(LOC,DATA)                   the function to first     *
!!*      RESULT = DL1(GETBYT,LOCATN)              FORTRAN position 7.       *
!!*      RESULT = DL1(GETWRD,LOCATN)                                        *
!!*      RESULT = DL1(DLREAD,FILE,LOCATN,LENGTH,DL1CBK)                     *
!!*      RESULT = DL1(DWRITE,FILE,LOCATN,LENGTH,DL1CBK)                     *
!!*                                                                         *
!!*      MEMPTR = DL1(OPNMEM,MEMSIZ,CONTRL)                                 *
!!*      ERROR  = DL1(CLSMEM,MEMPTR,MEMSIZ)                                 *
!!*                                                                         *
!!*                                                                         *
!!*=========================================================================*
!!*                                                                         *
!!*  Copyright (C)  1993   Wolfgang  Renner    Created in:    26. Sep 2000  *
!!*             &   2001   Gimbacher Weg 34    Last Change:   04. Oct 2002  *
!!*                        D-65779 Kelkheim                                 *
!!*  All rights reserved   Germany / Hessen    For Windows PC               *
!!*                                                                         *
!!***************************************************************************
!!*##############################################################################################################
!!*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!!*==============================================================================================================
!!*--------------------------------------------------------------------------------------------------------------
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!!* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!
!!***************************************************************************************************************
!!*                                                                                                             *
!!*=============================================================================================================*
!!*  Copyright (C)  1993   Wolfgang  Renner    Created in:   11.10.1997   !!! In the frame of my DspLib project *
!!*             &   2005   Gimbacher Weg 34    Last Change:  25.01.2006   !!! some source files are published   *
!!*                        D-65779 Kelkheim                               !!! for evaluation. OpenSource means  *
!!*  All rights reserved   Germany / Hessen    For all Fortran Compiler   !!! not that it is Free Software !!   *
!!***************************************************************************************************************
!
!!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!      INTEGER*4  FUNAAA , FUNBBB , FUNCCC , FUNDDD , FUNEEE,             & !
!     &           FUNFFF , FUNGGG , FUNHHH , OPNDLB , CLSDLB              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUNAAA = 0060000000 , FUNBBB = 0060000001,              & !
!     &           FUNCCC = 0060000002 , FUNDDD = 0060000003,              & !
!     &           FUNEEE = 0060000004 , FUNFFF = 0060000005,              & !
!     &           FUNGGG = 0060000006 , FUNHHH = 0060000007,              & !
!     &           OPNDLB = 0050030008 , CLSDLB = 0030010009 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  NEWPAG , FUN012 , FUN014 , FUN016 , FUN018,             & !
!     &           TABSEX , FUN013 , FUN015 , FUN017 , FUN019              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( NEWPAG = 0020020010 , TABSEX = 0040020011,              & !
!     &           FUN012 = 0010010012 , FUN013 = 0010010013,              & !
!     &           FUN014 = 0010010014 , FUN015 = 0010010015,              & !
!     &           FUN016 = 0010010016 , FUN017 = 0010010017,              & !
!     &           FUN018 = 0010010018 , FUN019 = 0010010019 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN020 , FUN022 , FUN024 , FUN026 , FUN028,             & !
!     &           FUN021 , FUN023 , FUN025 , FUN027 , FUN029              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN020 = 0010010020 , FUN021 = 0010010021,              & !
!     &           FUN022 = 0010010022 , FUN023 = 0010010023,              & !
!     &           FUN024 = 0010010024 , FUN025 = 0010010025,              & !
!     &           FUN026 = 0010010026 , FUN027 = 0010010027,              & !
!     &           FUN028 = 0010010028 , FUN029 = 0010010029 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN030 , FUN032 , FUN034 , FUN036 , FUN038,             & !
!     &           FUN031 , FUN033 , FUN035 , FUN037 , FUN039              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN030 = 0010010030 , FUN031 = 0010010031,              & !
!     &           FUN032 = 0010010032 , FUN033 = 0010010033,              & !
!     &           FUN034 = 0010010034 , FUN035 = 0010010035,              & !
!     &           FUN036 = 0010010036 , FUN037 = 0010010037,              & !
!     &           FUN038 = 0010010038 , FUN039 = 0010010039 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN040 , FUN042 , FUN044 , FUN046 , FUN048,             & !
!     &           FUN041 , FUN043 , FUN045 , FUN047 , FUN049              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN040 = 0010010040 , FUN041 = 0010010041,              & !
!     &           FUN042 = 0010010042 , FUN043 = 0010010043,              & !
!     &           FUN044 = 0010010044 , FUN045 = 0010010045,              & !
!     &           FUN046 = 0010010046 , FUN047 = 0010010047,              & !
!     &           FUN048 = 0010010048 , FUN049 = 0010010049 )             !!!
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN050 , FUN052 , FUN054 , FUN056 , FUN058,             & !
!     &           FUN051 , FUN053 , FUN055 , FUN057 , FUN059              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN050 = 0010010050 , FUN051 = 0010010051,              & !
!     &           FUN052 = 0010010052 , FUN053 = 0010010053,              & !
!     &           FUN054 = 0010010054 , FUN055 = 0010010055,              & !
!     &           FUN056 = 0010010056 , FUN057 = 0010010057,              & !
!     &           FUN058 = 0010010058 , FUN059 = 0010010059 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  STPHYS , STPOCM , STFHCC , STOVLM , FUN068,             & ! FUN060,FUN062,FUN064,FUN066,FUN068
!     &           GTPHYS , GTPOCM , GTFHCC , GTOVLM , FUN069              !!! FUN061,FUN063,FUN065,FUN067,FUN069
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( STPHYS = 0110070060 , GTPHYS = 0110030061,              & ! ERROR = DL1(STPHYS,DESTIN...IY2PXL)
!     &           STPOCM = 0190190062 , GTPOCM = 0190030063,              & ! ERROR = DL1(STPOCM,DESTIN...IDMERG)
!     &           STFHCC = 0190190064 , GTFHCC = 0190030065,              & ! ERROR = DL1(STFHCC,DESTIN...IDRSVD)
!     &           STOVLM = 0190190066 , GTOVLM = 0190030067,              & ! ERROR = DL1(STOVLM,DESTIN...IDMDOM)
!     &           FUN068 = 0010010068 , FUN069 = 0010010069 )             !!! ERROR = DL1( )
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  STDRAW , STBRSH , STDASH , STPATT , FUN078,             & ! FUN070,FUN072,FUN074,FUN076,FUN078
!     &           GTDRAW , GTBRSH , GTDASH , GTPATT , FUN079              !!! FUN071,FUN073,FUN075,FUN077,FUN079
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( STDRAW = 0110110070 , GTDRAW = 0110110071,              & ! ERROR = DL1(STDRAW,DESTIN...DUMMY2)
!     &           STBRSH = 0110110072 , GTBRSH = 0110110073,              & ! ERROR = DL1(STBRSH,DESTIN...BRSDAT)
!     &           STDASH = 0070070074 , GTDASH = 0070070075,              & ! ERROR = DL1(STDASH,DESTIN...DSHDAT)
!     &           STPATT = 0110110076 , GTPATT = 0110110077,              & ! ERROR = DL1(STPATT,DESTIN...PATDAT)
!     &           FUN078 = 0010010078 , FUN079 = 0010010079 )             !!! ERROR = DL1( )
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  STPENS , FUN082 , STPGRY , STPRGB , STPCHN,             & ! FUN080,FUN082,FUN084,FUN086,FUN088
!     &           GTPENS , FUN083 , GTPGRY , GTPRGB , GTPCHN              !!! FUN081,FUN083,FUN085,FUN087,FUN089
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( STPENS = 0110110080 , GTPENS = 0110030081,              & ! ERROR = DL1(STPENS,DESTIN...I4DOVL)
!     &           FUN082 = 0010010082 , FUN083 = 0010010083,              & ! ERROR = DL1( )
!     &           STPGRY = 0050050084 , GTPGRY = 0050030085,              & ! ERROR = DL1(STPGRY,DESTIN...CONTRL)
!     &           STPRGB = 0070070086 , GTPRGB = 0070030087,              & ! ERROR = DL1(STPRGB,DESTIN...CONTRL)
!     &           STPCHN = 0130130088 , GTPCHN = 0130040089 )             !!! ERROR = DL1(STPCHN,DESTIN...CH8IRB)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  STGRYS , STBRGB , STDRGB , STBCHN , STDCHN,             & ! FUN090,FUN092,FUN094,FUN096,FUN098
!     &           GTGRYS , GTBRGB , GTDRGB , GTBCHN , GTDCHN              !!! FUN091,FUN093,FUN095,FUN097,FUN099
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( STGRYS = 0110110090 , GTGRYS = 0110030091,              & ! ERROR = DL1(STGRYS,DESTIN...C9DCOV)
!     &           STBRGB = 0110110092 , GTBRGB = 0110030093,              & ! ERROR = DL1(STBRGB,DESTIN...C9DCOV)
!     &           STDRGB = 0110110094 , GTDRGB = 0110030095,              & ! ERROR = DL1(STDRBB,DESTIN...C9DCOV)
!     &           STBCHN = 0220220096 , GTBCHN = 0220040097,              & ! ERROR = DL1(STBCHN,DESTIN...C8DIRB)
!     &           STDCHN = 0220220098 , GTDCHN = 0220040099 )             !!! ERROR = DL1(STDCHN,DESTIN...C8DIRB)
!!*==============================================================================================================
!!* 1-Dimensional Line Drawing Functions
!!*==============================================================================================================
!      INTEGER*4  DRWLIN , PENLIN , GRYLIN , RGBLIN , CHNLIN,             & ! LINe
!     &           DRWFRM , PENFRM , GRYFRM , RGBFRM , CHNFRM              !!! FRaMe
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWLIN = 0070030100 , DRWFRM = 0070030105,              & ! ERROR = DL1(DRWLIN,DESTIN...ATTNUM)
!     &           PENLIN = 0080040101 , PENFRM = 0080040106,              & ! ERROR = DL1(PENLIN,DESTIN...C1APEN)
!     &           GRYLIN = 0090050102 , GRYFRM = 0090050107,              & ! ERROR = DL1(GRYLIN,DESTIN...C9ACOV)
!     &           RGBLIN = 0110070103 , RGBFRM = 0110070108,              & ! ERROR = DL1(RGBLIN,DESTIN...C9ACOV)
!     &           CHNLIN = 0160120104 , CHNFRM = 0160120109 )             !!! ERROR = DL1(CHNLIN,DESTIN...C8AIRB)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  DRWBRC , PENBRC , GRYBRC , RGBBRC , CHNBRC,             & ! Border  ReCt
!     &           DRWPLN , PENPLN , GRYPLN , RGBPLN , CHNPLN              !!! Poly    LiNe
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWBRC = 0070030110 , DRWPLN = 0070030115,              & ! ERROR = DL1(DRWLIN,DESTIN...ATTNUM)
!     &           PENBRC = 0080040111 , PENPLN = 0080040116,              & ! ERROR = DL1(PENLIN,DESTIN...C1APEN)
!     &           GRYBRC = 0090050112 , GRYPLN = 0090050117,              & ! ERROR = DL1(GRYLIN,DESTIN...C9ACOV)
!     &           RGBBRC = 0110070113 , RGBPLN = 0110070118,              & ! ERROR = DL1(RGBLIN,DESTIN...C9ACOV)
!     &           CHNBRC = 0160120114 , CHNPLN = 0160120119 )             !!! ERROR = DL1(CHNLIN,DESTIN...C8AIRB)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  DRWARC , PENARC , GRYARC , RGBARC , CHNARC,             & ! ARC
!     &           DRWBEZ , PENBEZ , GRYBEZ , RGBBEZ , CHNBEZ              !!! BEZier
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWARC = 0070030120 , DRWBEZ = 0070030125,              & ! ERROR = DL1(DRWBEZ,DESTIN...ATTNUM)
!     &           PENARC = 0080040121 , PENBEZ = 0080040126,              & ! ERROR = DL1(PENBEZ,DESTIN...C1APEN)
!     &           GRYARC = 0090050122 , GRYBEZ = 0090050127,              & ! ERROR = DL1(GRYBEZ,DESTIN...C9ACOV)
!     &           RGBARC = 0110070123 , RGBBEZ = 0110070128,              & ! ERROR = DL1(RGBBEZ,DESTIN...C9ACOV)
!     &           CHNARC = 0160120124 , CHNBEZ = 0160120129 )             !!! ERROR = DL1(CHNBEZ,DESTIN...C9AIRB)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  DRWPBZ , PENPBZ , GRYPBZ , RGBPBZ , CHNPBZ,             & ! PolyBeZier
!     &           FUN135 , FUN136 , FUN137 , FUN138 , FUN139              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWPBZ = 0010010130 , FUN135 = 0010010135,              & !
!     &           PENPBZ = 0010010131 , FUN136 = 0010010136,              & !
!     &           GRYPBZ = 0010010132 , FUN137 = 0010010137,              & !
!     &           RGBPBZ = 0010010133 , FUN138 = 0010010138,              & !
!     &           CHNPBZ = 0010010134 , FUN139 = 0010010139 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN140 , FUN141 , FUN142 , FUN143 , FUN144,             & !
!     &           FUN145 , FUN146 , FUN147 , FUN148 , FUN149              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN140 = 0010010140 , FUN145 = 0010010141,              & !
!     &           FUN141 = 0010010142 , FUN146 = 0010010143,              & !
!     &           FUN142 = 0010010144 , FUN147 = 0010010145,              & !
!     &           FUN143 = 0010010146 , FUN148 = 0010010147,              & !
!     &           FUN144 = 0010010148 , FUN149 = 0010010149 )             !!!
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN150 , FUN151 , FUN152 , FUN153 , FUN154,             & !
!     &           FUN155 , FUN156 , FUN157 , FUN158 , FUN159              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN150 = 0010010150 , FUN155 = 0010010155,              & !
!     &           FUN151 = 0010010151 , FUN156 = 0010010156,              & !
!     &           FUN152 = 0010010152 , FUN157 = 0010010157,              & !
!     &           FUN153 = 0010010153 , FUN158 = 0010010158,              & !
!     &           FUN154 = 0010010154 , FUN159 = 0010010159 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN160 , FUN162 , FUN164 , FUN166 , FUN168,             & !
!     &           FUN161 , FUN163 , FUN165 , FUN167 , FUN169              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN160 = 0010010160 , FUN161 = 0010010161,              & !
!     &           FUN162 = 0010010162 , FUN163 = 0010010163,              & !
!     &           FUN164 = 0010010164 , FUN165 = 0010010165,              & !
!     &           FUN166 = 0010010166 , FUN167 = 0010010167,              & !
!     &           FUN168 = 0010010168 , FUN169 = 0010010169 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN170 , FUN172 , FUN174 , FUN176 , FUN178,             & !
!     &           FUN171 , FUN173 , FUN175 , FUN177 , FUN179              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN170 = 0010010170 , FUN171 = 0010010171,              & !
!     &           FUN172 = 0010010172 , FUN173 = 0010010173,              & !
!     &           FUN174 = 0010010174 , FUN175 = 0010010175,              & !
!     &           FUN176 = 0010010176 , FUN177 = 0010010177,              & !
!     &           FUN178 = 0010010178 , FUN179 = 0010010179 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN180 , FUN182 , FUN184 , FUN186 , FUN188,             & !
!     &           FUN181 , FUN183 , FUN185 , FUN187 , FUN189              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN180 = 0010010180 , FUN181 = 0010010181,              & !
!     &           FUN182 = 0010010182 , FUN183 = 0010010183,              & !
!     &           FUN184 = 0010010184 , FUN185 = 0010010185,              & !
!     &           FUN186 = 0010010186 , FUN187 = 0010010187,              & !
!     &           FUN188 = 0010010188 , FUN189 = 0010010189 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  DRWBRS , PENBRS , GRYBRS , RGBBRS , CHNBRS,             & ! BRuSh
!     &           DRWSYM , PENSYM , GRYSYM , RGBSYM , CHNSYM              !!! SYMbol
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWBRS = 0070030190 , DRWSYM = 0070030195,              & ! ERROR1 = DL1(DRWBRS,DESTIN..ATTNUM)
!     &           PENBRS = 0080040191 , PENSYM = 0080040196,              & ! ERROR1 = DL1(PENBRS,DESTIN..C1APEN)
!     &           GRYBRS = 0090050192 , GRYSYM = 0090050197,              & ! ERROR1 = DL1(GRYBRS,DESTIN..C9ACOV)
!     &           RGBBRS = 0110070193 , RGBSYM = 0110070198,              & ! ERROR1 = DL1(RGBBRS,DESTIN..C9ACOV)
!     &           CHNBRS = 0160120194 , CHNSYM = 0160120199 )             !!! ERROR1 = DL1(CHNBRS,DESTIN..C8AIRB)
!!*==============================================================================================================
!!* 2-Dimensional Area Drawing Functions
!!*==============================================================================================================
!      INTEGER*4  DRWREC , PENREC , GRYREC , RGBREC , CHNREC,             & ! RECt
!     &           DRWRRC , PENRRC , GRYRRC , RGBRRC , CHNRRC              !!! Round ReCt
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWREC = 0070030200 , DRWRRC = 0090030205,              & ! ERROR = DL1(DRWREC,DESTIN...ATTNUM)
!     &           PENREC = 0080040201 , PENRRC = 0100040206,              & ! ERROR = DL1(PENREC,DESTIN...C1APEN)
!     &           GRYREC = 0090050202 , GRYRRC = 0110050207,              & ! ERROR = DL1(GRYREC,DESTIN...C9ACOV)
!     &           RGBREC = 0110070203 , RGBRRC = 0130070208,              & ! ERROR = DL1(RGBREC,DESTIN...C9ACOV)
!     &           CHNREC = 0160120204 , CHNRRC = 0180120209 )             !!! ERROR = DL1(CHNREC,DESTIN...C8AIRB)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  DRWFRC , PENFRC , GRYFRC , RGBFRC , CHNFRC,             & ! Fill ReCt
!     &           DRWPLG , PENPLG , GRYPLG , RGBPLG , CHNPLG              !!! Polygon
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWFRC = 0070030210 , DRWPLG = 0070030215,              & ! ERROR = DL1(DRWSRC,DESTIN...ATTNUM)
!     &           PENFRC = 0080040211 , PENPLG = 0080040216,              & ! ERROR = DL1(PENSRC,DESTIN...C1APEN)
!     &           GRYFRC = 0090050212 , GRYPLG = 0090050217,              & ! ERROR = DL1(GRYSRC,DESTIN...C9ACOV)
!     &           RGBFRC = 0110070213 , RGBPLG = 0110070218,              & ! ERROR = DL1(RGBSRC,DESTIN...C9ACOV)
!     &           CHNFRC = 0160120214 , CHNPLG = 0160120219 )             !!! ERROR = DL1(CHNSRC,DESTIN...C8AIRB)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  DRWPIE , PENPIE , GRYPIE , RGBPIE , CHNPIE,             & ! PIE
!     &           DRWELL , PENELL , GRYELL , RGBELL , CHNELL              !!! ELLipse
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWPIE = 0070030220 , DRWELL = 0070030225,              & ! ERROR = DL1(DRWPIE,DESTIN...ATTNUM)
!     &           PENPIE = 0080040221 , PENELL = 0080040226,              & ! ERROR = DL1(PENPIE,DESTIN...C1APEN)
!     &           GRYPIE = 0090050222 , GRYELL = 0090050227,              & ! ERROR = DL1(GRYPIE,DESTIN...C9ACOV)
!     &           RGBPIE = 0110070223 , RGBELL = 0110070228,              & ! ERROR = DL1(RGBPIE,DESTIN...C9ACOV)
!     &           CHNPIE = 0160120224 , CHNELL = 0160120229 )             !!! ERROR = DL1(CHNPIE,DESTIN...C8AIRB)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  DRWCRD , PENCRD , GRYCRD , RGBCRD , CHNCRD,             & ! ChoRD
!     &           DRWELF , PENELF , GRYELF , RGBELF , CHNELF              !!! ?
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWCRD = 0070030230 , DRWELF = 0070030235,              & ! ERROR = DL1(DRWCRD,DESTIN...ATTNUM)
!     &           PENCRD = 0080040231 , PENELF = 0080040236,              & ! ERROR = DL1(PENCRD,DESTIN...C1APEN)
!     &           GRYCRD = 0090050232 , GRYELF = 0090050237,              & ! ERROR = DL1(GRYCRD,DESTIN...C9ACOV)
!     &           RGBCRD = 0110070233 , RGBELF = 0110070238,              & ! ERROR = DL1(RGBCRD,DESTIN...C9ACOV)
!     &           CHNCRD = 0160120234 , CHNELF = 0160120239 )             !!! ERROR = DL1(CHNCRD,DESTIN...C8AIRB)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN240 , FUN241 , FUN242 , FUN243 , FUN244,             & !
!     &           FUN245 , FUN246 , FUN247 , FUN248 , FUN249              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN240 = 0010010240 , FUN245 = 0010010245,              & !
!     &           FUN241 = 0010010241 , FUN246 = 0010010246,              & !
!     &           FUN242 = 0010010242 , FUN247 = 0010010247,              & !
!     &           FUN243 = 0010010243 , FUN248 = 0010010248,              & !
!     &           FUN244 = 0010010244 , FUN249 = 0010010249 )             !!!
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN250 , FUN252 , FUN254 , FUN256 , FUN258,             & !
!     &           FUN251 , FUN253 , FUN255 , FUN257 , FUN259              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN250 = 0010010250 , FUN251 = 0010010251,              & !
!     &           FUN252 = 0010010252 , FUN253 = 0010010253,              & !
!     &           FUN254 = 0010010254 , FUN255 = 0010010255,              & !
!     &           FUN256 = 0010010256 , FUN257 = 0010010257,              & !
!     &           FUN258 = 0010010258 , FUN259 = 0010010259 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN260 , FUN262 , FUN264 , FUN266 , FUN268,             & !
!     &           FUN261 , FUN263 , FUN265 , FUN267 , FUN269              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN260 = 0010010260 , FUN261 = 0010010261,              & !
!     &           FUN262 = 0010010262 , FUN263 = 0010010263,              & !
!     &           FUN264 = 0010010264 , FUN265 = 0010010265,              & !
!     &           FUN266 = 0010010266 , FUN267 = 0010010267,              & !
!     &           FUN268 = 0010010268 , FUN269 = 0010010269 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN270 , FUN272 , FUN274 , FUN276 , FUN278,             & !
!     &           FUN271 , FUN273 , FUN275 , FUN277 , FUN279              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN270 = 0010010270 , FUN271 = 0010010271,              & !
!     &           FUN272 = 0010010272 , FUN273 = 0010010273,              & !
!     &           FUN274 = 0010010274 , FUN275 = 0010010275,              & !
!     &           FUN276 = 0010010276 , FUN277 = 0010010277,              & !
!     &           FUN278 = 0010010278 , FUN279 = 0010010279 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN280 , FUN282 , FUN284 , FUN286 , FUN288,             & !
!     &           FUN281 , FUN283 , FUN285 , FUN287 , FUN289              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN280 = 0010010280 , FUN281 = 0010010281,              & !
!     &           FUN282 = 0010010282 , FUN283 = 0010010283,              & !
!     &           FUN284 = 0010010284 , FUN285 = 0010010285,              & !
!     &           FUN286 = 0010010286 , FUN287 = 0010010287,              & !
!     &           FUN288 = 0010010288 , FUN289 = 0010010289 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN290 , FUN292 , FUN294 , FUN296 , FUN298,             & !
!     &           FUN291 , FUN293 , FUN295 , FUN297 , FUN299              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN290 = 0010010290 , FUN291 = 0010010291,              & !
!     &           FUN292 = 0010010292 , FUN293 = 0010010293,              & !
!     &           FUN294 = 0010010294 , FUN295 = 0010010295,              & !
!     &           FUN296 = 0010010296 , FUN297 = 0010010297,              & !
!     &           FUN298 = 0010010298 , FUN299 = 0010010299 )             !!!
!!*==============================================================================================================
!!* Text and other complex drawing Functions
!!*==============================================================================================================
!      INTEGER*4  DRWTXT , PENTXT , GRYTXT , RGBTXT , CHNTXT,             & ! drawing TeXT
!     &           DRWTEX , PENTEX , GRYTEX , RGBTEX , CHNTEX              !!! drawing TEX
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( DRWTXT = 0090060300 , DRWTEX = 0090060305,              & ! ERROR = DL1(DRWTXT,DESTIN...TXTSTR)
!     &           PENTXT = 0100070301 , PENTEX = 0100070306,              & ! ERROR = DL1(PENTXT,DESTIN...TXTSTR)
!     &           GRYTXT = 0110080302 , GRYTEX = 0110080307,              & ! ERROR = DL1(GRYTXT,DESTIN...TXTSTR)
!     &           RGBTXT = 0130100303 , RGBTEX = 0130100308,              & ! ERROR = DL1(RGBTXT,DESTIN...TXTSTR)
!     &           CHNTXT = 0180150304 , CHNTEX = 0180150309 )             !!! ERROR = DL1(CHNTXT,DESTIN...TXTSTR)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN310 , FUN312 , FUN314 , FUN316 , FUN318,             & !
!     &           FUN311 , FUN313 , FUN315 , FUN317 , FUN319              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN310 = 0010010310 , FUN311 = 0010010311,              & !
!     &           FUN312 = 0010010312 , FUN313 = 0010010313,              & !
!     &           FUN314 = 0010010314 , FUN315 = 0010010315,              & !
!     &           FUN316 = 0010010316 , FUN317 = 0010010317,              & !
!     &           FUN318 = 0010010318 , FUN319 = 0010010319 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN320 , FUN322 , FUN324 , FUN326 , FUN328,             & !
!     &           FUN321 , FUN323 , FUN325 , FUN327 , FUN329              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN320 = 0010010320 , FUN321 = 0010010321,              & !
!     &           FUN322 = 0010010322 , FUN323 = 0010010323,              & !
!     &           FUN324 = 0010010324 , FUN325 = 0010010325,              & !
!     &           FUN326 = 0010010326 , FUN327 = 0010010327,              & !
!     &           FUN328 = 0010010328 , FUN329 = 0010010329 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN330 , FUN332 , FUN334 , FUN336 , FUN338,             & !
!     &           FUN331 , FUN333 , FUN335 , FUN337 , FUN339              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN330 = 0010010330 , FUN331 = 0010010331,              & !
!     &           FUN332 = 0010010332 , FUN333 = 0010010333,              & !
!     &           FUN334 = 0010010334 , FUN335 = 0010010335,              & !
!     &           FUN336 = 0010010336 , FUN337 = 0010010337,              & !
!     &           FUN338 = 0010010338 , FUN339 = 0010010339 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN340 , FUN342 , FUN344 , FUN346 , FUN348,             & !
!     &           FUN341 , FUN343 , FUN345 , FUN347 , FUN349              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN340 = 0010010340 , FUN341 = 0010010341,              & !
!     &           FUN342 = 0010010342 , FUN343 = 0010010343,              & !
!     &           FUN344 = 0010010344 , FUN345 = 0010010345,              & !
!     &           FUN346 = 0010010346 , FUN347 = 0010010347,              & !
!     &           FUN348 = 0010010348 , FUN349 = 0010010349 )             !!!
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN350 , FUN352 , FUN354 , FUN356 , FUN358,             & !
!     &           FUN351 , FUN353 , FUN355 , FUN357 , FUN359              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN350 = 0010010350 , FUN351 = 0010010351,              & !
!     &           FUN352 = 0010010352 , FUN353 = 0010010353,              & !
!     &           FUN354 = 0010010354 , FUN355 = 0010010355,              & !
!     &           FUN356 = 0010010356 , FUN357 = 0010010357,              & !
!     &           FUN358 = 0010010358 , FUN359 = 0010010359 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN360 , FUN362 , FUN364 , FUN366 , FUN368,             & !
!     &           FUN361 , FUN363 , FUN365 , FUN367 , FUN369              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN360 = 0010010360 , FUN361 = 0010010361,              & !
!     &           FUN362 = 0010010362 , FUN363 = 0010010363,              & !
!     &           FUN364 = 0010010364 , FUN365 = 0010010365,              & !
!     &           FUN366 = 0010010366 , FUN367 = 0010010367,              & !
!     &           FUN368 = 0010010368 , FUN369 = 0010010369 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN370 , FUN372 , FUN374 , FUN376 , FUN378,             & !
!     &           FUN371 , FUN373 , FUN375 , FUN377 , FUN379              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN370 = 0010010370 , FUN371 = 0010010371,              & !
!     &           FUN372 = 0010010372 , FUN373 = 0010010373,              & !
!     &           FUN374 = 0010010374 , FUN375 = 0010010375,              & !
!     &           FUN376 = 0010010376 , FUN377 = 0010010377,              & !
!     &           FUN378 = 0010010378 , FUN379 = 0010010379 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN380 , FUN382 , FUN384 , FUN386 , FUN388,             & !
!     &           FUN381 , FUN383 , FUN385 , FUN387 , FUN389              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN380 = 0010010380 , FUN381 = 0010010381,              & !
!     &           FUN382 = 0010010382 , FUN383 = 0010010383,              & !
!     &           FUN384 = 0010010384 , FUN385 = 0010010385,              & !
!     &           FUN386 = 0010010386 , FUN387 = 0010010387,              & !
!     &           FUN388 = 0010010388 , FUN389 = 0010010389 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN390 , FUN392 , FUN394 , FUN396 , FUN398,             & !
!     &           FUN391 , FUN393 , FUN395 , FUN397 , FUN399              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN390 = 0010010390 , FUN391 = 0010010391,              & !
!     &           FUN392 = 0010010392 , FUN393 = 0010010393,              & !
!     &           FUN394 = 0010010394 , FUN395 = 0010010395,              & !
!     &           FUN396 = 0010010396 , FUN397 = 0010010397,              & !
!     &           FUN398 = 0010010398 , FUN399 = 0010010399 )             !!!
!!*==============================================================================================================
!!old  INTEGER*4         DRWTXT,RGBTXT,RECTXT,TRITXT,RUBTXT,PLGTXT,       & !         300,301,302,303,304,305,
!!old &                  RADTXT,POLTXT,ROTTXT,ELLTXT,DRWTEX,RGBTEX,       & !         306,307,308,309,310,311,
!!old &    RECTEX,TRITEX,RUBTEX,PLGTEX,RADTEX,POLTEX,ROTTEX,ELLTEX,       & ! 312,313,314,315,316,317,318,319,
!!old &    FUN320,FUN321,RECREC,TRIREC,RUBREC,PLGREC,RADREC,POLREC,       & ! 320,321,322,323,324,325,326,327,
!!old &    ROTREC,ELLREC,DRWTRI,RGBTRI,RECTRI,TRITRI,RUBTRI,PLGTRI,       & ! 328,329,330,331,332,333,334,335,
!!old &    RADTRI,POLTRI,ROTTRI,ELLTRI,DRWRUB,RGBRUB,RECRUB,TRIRUB,       & ! 336,337,338,339,340,341,342,343,
!!old &    RUBRUB,PLGRUB,RADRUB,POLRUB,ROTRUB,ELLRUB,FUN350,FUN351,       & ! 344,345,346,347,348,349,350,351,
!!old &    RECPLG,TRIPLG,RUBPLG,PLGPLG,RADPLG,POLPLG,ROTPLG,ELLPLG,       & ! 352,353,354,355,356,357,358,359,
!!old &    DRWRAD,RGBRAD,RECRAD,TRIRAD,RUBRAD,PLGRAD,RADRAD,POLRAD,       & ! 360,361,362,363,364,365,366,367,
!!old &    ROTRAD,ELLRAD,DRWPOL,RGBPOL,RECPOL,TRIPOL,RUBPOL,PLGPOL,       & ! 368,369,370,371,372,373,374,375,
!!old &    RADPOL,POLPOL,ROTPOL,ELLPOL,DRWROT,RGBROT,RECROT,TRIROT,       & ! 376,377,378,379,380,381,382,383,
!!old &    RUBROT,PLGROT,RADROT,POLROT,ROTROT,ELLROT,DRWELL,RGBELL,       & ! 384,385,386,387,388,389,390,391,
!!old &    RECELL,TRIELL,RUBELL,PLGELL,RADELL,POLELL,ROTELL,ELLELL        !!! 392,393,394,395,396,397,398,399
!!*==============================================================================================================
!!* Copy Picture Functions
!!*==============================================================================================================
!      INTEGER*4  FUN400 , FUN401 , FUN402 , FUN403 , FUN404,             & ! PELPEL,FLDPEL,RECPEL,ROTPEL,RUBPEL,
!     &           FUN405 , FUN406 , FUN407 , FUN408 , FUN409              !!! S05PEL,S06PEL,S07PEL,S08PEL,S09PEL;
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN400 = 0010010400 , FUN405 = 0010010405,              & !
!     &           FUN401 = 0010010401 , FUN406 = 0010010406,              & !
!     &           FUN402 = 0010010402 , FUN407 = 0010010407,              & !
!     &           FUN403 = 0010010403 , FUN408 = 0010010408,              & !
!     &           FUN404 = 0010010404 , FUN409 = 0010010409 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  PELFLD , FLDFLD , RECFLD , ROTFLD , RUBFLD,             & ! PELFLD,FLDFLD,RECFLD,ROTFLD,RUBFLD,
!     &           FUN415 , FUN416 , FUN417 , FUN418 , FUN419              !!! S05FLD,S06FLD,S07FLD,S08FLD,S09FLD;
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( PELFLD = 0010010410 , FUN415 = 0010010415,              & ! ERROR = DL1(PELFLD,DESTIN...ATTNUM)
!     &           FLDFLD = 0130050411 , FUN416 = 0010010416,              & ! ERROR = DL1(FLDFLD,DESTIN...ATTNUM)
!     &           RECFLD = 0130050412 , FUN417 = 0010010417,              & ! ERROR = DL1(RECFLD,DESTIN...ATTNUM)
!     &           ROTFLD = 0010010413 , FUN418 = 0010010418,              & ! ERROR = DL1(ROTFLD,DESTIN...??????)
!     &           RUBFLD = 0170050414 , FUN419 = 0010010419 )             !!! ERROR = DL1(RUBFLD,DESTIN...PY4SRC)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  PELREC , FLDREC , RECREC , ROTREC , RUBREC,             & ! PELREC,FLDREC,RECREC,ROTREC,RUBREC,
!     &           FUN425 , FUN426 , FUN427 , FUN428 , FUN429              !!! S05REC,S06REC,S07REC,S08REC,S09REC;
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( PELREC = 0010010420 , FUN425 = 0010010425,              & ! ERROR = DL1(PELREC,DESTIN...ATTNUM)
!     &           FLDREC = 0130050421 , FUN426 = 0010010426,              & ! ERROR = DL1(FLDREC,DESTIN...ATTNUM)
!     &           RECREC = 0130050422 , FUN427 = 0010010427,              & ! ERROR = DL1(RECREC,DESTIN...ATTNUM)
!     &           ROTREC = 0010010423 , FUN428 = 0010010428,              & ! ERROR = DL1(ROTREC,DESTIN...??????)
!     &           RUBREC = 0170050424 , FUN429 = 0010010429 )             !!! ERROR = DL1(RUBREC,DESTIN...PY4SRC)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  PELROT , FLDROT , RECROT , ROTROT , RUBROT,             & ! PELROT,FLDROT,RECROT,ROTROT,RUBROT,
!     &           FUN435 , FUN436 , FUN437 , FUN438 , FUN439              !!! S05ROT,S06ROT,S07ROT,S08ROT,S09ROT;
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( PELROT = 0010010430 , FUN435 = 0010010435,              & ! ERROR = DL1(PELROT,DESTIN...ATTNUM)
!     &           FLDROT = 0010010431 , FUN436 = 0010010436,              & ! ERROR = DL1(FLDROT,DESTIN...ATTNUM)
!     &           RECROT = 0010010432 , FUN437 = 0010010437,              & ! ERROR = DL1(RECROT,DESTIN...ATTNUM)
!     &           ROTROT = 0010010433 , FUN438 = 0010010438,              & ! ERROR = DL1(ROTROT,DESTIN...??????)
!     &           RUBROT = 0010010434 , FUN439 = 0010010439 )             !!! ERROR = DL1(RUBROT,DESTIN...PY4SRC)
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  PELRUB , FLDRUB , RECRUB , ROTRUB , RUBRUB,             & ! PELRUB,FLDRUB,RECRUB,ROTRUB,RUBRUB,
!     &           FUN445 , FUN446 , FUN447 , FUN448 , FUN449              !!! S05RUB,S06RUB,S07RUB,S08RUB,S09RUB;
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( PELRUB = 0010010440 , FUN445 = 0010010445,              & ! ERROR = DL1(PELRUB,DESTIN...ATTNUM)
!     &           FLDRUB = 0010010441 , FUN446 = 0010010446,              & ! ERROR = DL1(FLDRUB,DESTIN...ATTNUM)
!     &           RECRUB = 0010010442 , FUN447 = 0010010447,              & ! ERROR = DL1(RECRUB,DESTIN...ATTNUM)
!     &           ROTRUB = 0010010443 , FUN448 = 0010010448,              & ! ERROR = DL1(ROTRUB,DESTIN...??????)
!     &           RUBRUB = 0010010444 , FUN449 = 0010010449 )             !!! ERROR = DL1(RUBRUB,DESTIN...PY4SRC)
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN450 , FUN452 , FUN454 , FUN456 , FUN458,             & !
!     &           FUN451 , FUN453 , FUN455 , FUN457 , FUN459              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN450 = 0010010450 , FUN451 = 0010010451,              & !
!     &           FUN452 = 0010010452 , FUN453 = 0010010453,              & !
!     &           FUN454 = 0010010454 , FUN455 = 0010010455,              & !
!     &           FUN456 = 0010010456 , FUN457 = 0010010457,              & !
!     &           FUN458 = 0010010458 , FUN459 = 0010010459 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN460 , FUN462 , FUN464 , FUN466 , FUN468,             & !
!     &           FUN461 , FUN463 , FUN465 , FUN467 , FUN469              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN460 = 0010010460 , FUN461 = 0010010461,              & !
!     &           FUN462 = 0010010462 , FUN463 = 0010010463,              & !
!     &           FUN464 = 0010010464 , FUN465 = 0010010465,              & !
!     &           FUN466 = 0010010466 , FUN467 = 0010010467,              & !
!     &           FUN468 = 0010010468 , FUN469 = 0010010469 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN470 , FUN472 , FUN474 , FUN476 , FUN478,             & !
!     &           FUN471 , FUN473 , FUN475 , FUN477 , FUN479              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN470 = 0010010470 , FUN471 = 0010010471,              & !
!     &           FUN472 = 0010010472 , FUN473 = 0010010473,              & !
!     &           FUN474 = 0010010474 , FUN475 = 0010010475,              & !
!     &           FUN476 = 0010010476 , FUN477 = 0010010477,              & !
!     &           FUN478 = 0010010478 , FUN479 = 0010010479 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN480 , FUN482 , FUN484 , FUN486 , FUN488,             & !
!     &           FUN481 , FUN483 , FUN485 , FUN487 , FUN489              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN480 = 0010010480 , FUN481 = 0010010481,              & !
!     &           FUN482 = 0010010482 , FUN483 = 0010010483,              & !
!     &           FUN484 = 0010010484 , FUN485 = 0010010485,              & !
!     &           FUN486 = 0010010486 , FUN487 = 0010010487,              & !
!     &           FUN488 = 0010010488 , FUN489 = 0010010489 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN490 , FUN492 , FUN494 , FUN496 , FUN498,             & !
!     &           FUN491 , FUN493 , FUN495 , FUN497 , FUN499              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN490 = 0010010490 , FUN491 = 0010010491,              & !
!     &           FUN492 = 0010010492 , FUN493 = 0010010493,              & !
!     &           FUN494 = 0010010494 , FUN495 = 0010010495,              & !
!     &           FUN496 = 0010010496 , FUN497 = 0010010497,              & !
!     &           FUN498 = 0010010498 , FUN499 = 0010010499 )             !!!
!!*==============================================================================================================
!!* Unspecified Picture Functions
!!*==============================================================================================================
!      INTEGER*4  FUN500 , FUN502 , FUN504 , FUN506 , FUN508,             & !
!     &           FUN501 , FUN503 , FUN505 , FUN507 , FUN509              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN500 = 0010010500 , FUN501 = 0010010501,              & !
!     &           FUN502 = 0010010502 , FUN503 = 0010010503,              & !
!     &           FUN504 = 0010010504 , FUN505 = 0010010505,              & !
!     &           FUN506 = 0010010506 , FUN507 = 0010010507,              & !
!     &           FUN508 = 0010010508 , FUN509 = 0010010509 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN510 , FUN512 , FUN514 , FUN516 , FUN518,             & !
!     &           FUN511 , FUN513 , FUN515 , FUN517 , FUN519              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN510 = 0010010510 , FUN511 = 0010010511,              & !
!     &           FUN512 = 0010010512 , FUN513 = 0010010513,              & !
!     &           FUN514 = 0010010514 , FUN515 = 0010010515,              & !
!     &           FUN516 = 0010010516 , FUN517 = 0010010517,              & !
!     &           FUN518 = 0010010518 , FUN519 = 0010010519 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN520 , FUN522 , FUN524 , FUN526 , FUN528,             & !
!     &           FUN521 , FUN523 , FUN525 , FUN527 , FUN529              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN520 = 0010010520 , FUN521 = 0010010521,              & !
!     &           FUN522 = 0010010522 , FUN523 = 0010010523,              & !
!     &           FUN524 = 0010010524 , FUN525 = 0010010525,              & !
!     &           FUN526 = 0010010526 , FUN527 = 0010010527,              & !
!     &           FUN528 = 0010010528 , FUN529 = 0010010529 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN530 , FUN532 , FUN534 , FUN536 , FUN538,             & !
!     &           FUN531 , FUN533 , FUN535 , FUN537 , FUN539              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN530 = 0010010530 , FUN531 = 0010010531,              & !
!     &           FUN532 = 0010010532 , FUN533 = 0010010533,              & !
!     &           FUN534 = 0010010534 , FUN535 = 0010010535,              & !
!     &           FUN536 = 0010010536 , FUN537 = 0010010537,              & !
!     &           FUN538 = 0010010538 , FUN539 = 0010010539 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN540 , FUN542 , FUN544 , FUN546 , FUN548,             & !
!     &           FUN541 , FUN543 , FUN545 , FUN547 , FUN549              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN540 = 0010010540 , FUN541 = 0010010541,              & !
!     &           FUN542 = 0010010542 , FUN543 = 0010010543,              & !
!     &           FUN544 = 0010010544 , FUN545 = 0010010545,              & !
!     &           FUN546 = 0010010546 , FUN547 = 0010010547,              & !
!     &           FUN548 = 0010010548 , FUN549 = 0010010549 )             !!!
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN550 , FUN552 , FUN554 , FUN556 , FUN558,             & !
!     &           FUN551 , FUN553 , FUN555 , FUN557 , FUN559              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN550 = 0010010550 , FUN551 = 0010010551,              & !
!     &           FUN552 = 0010010552 , FUN553 = 0010010553,              & !
!     &           FUN554 = 0010010554 , FUN555 = 0010010555,              & !
!     &           FUN556 = 0010010556 , FUN557 = 0010010557,              & !
!     &           FUN558 = 0010010558 , FUN559 = 0010010559 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN560 , FUN562 , FUN564 , FUN566 , FUN568,             & !
!     &           FUN561 , FUN563 , FUN565 , FUN567 , FUN569              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN560 = 0010010560 , FUN561 = 0010010561,              & !
!     &           FUN562 = 0010010562 , FUN563 = 0010010563,              & !
!     &           FUN564 = 0010010564 , FUN565 = 0010010565,              & !
!     &           FUN566 = 0010010566 , FUN567 = 0010010567,              & !
!     &           FUN568 = 0010010568 , FUN569 = 0010010569 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN570 , FUN572 , FUN574 , FUN576 , FUN578,             & !
!     &           FUN571 , FUN573 , FUN575 , FUN577 , FUN579              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN570 = 0010010570 , FUN571 = 0010010571,              & !
!     &           FUN572 = 0010010572 , FUN573 = 0010010573,              & !
!     &           FUN574 = 0010010574 , FUN575 = 0010010575,              & !
!     &           FUN576 = 0010010576 , FUN577 = 0010010577,              & !
!     &           FUN578 = 0010010578 , FUN579 = 0010010579 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN580 , FUN582 , FUN584 , FUN586 , FUN588,             & !
!     &           FUN581 , FUN583 , FUN585 , FUN587 , FUN589              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN580 = 0010010580 , FUN581 = 0010010581,              & !
!     &           FUN582 = 0010010582 , FUN583 = 0010010583,              & !
!     &           FUN584 = 0010010584 , FUN585 = 0010010585,              & !
!     &           FUN586 = 0010010586 , FUN587 = 0010010587,              & !
!     &           FUN588 = 0010010588 , FUN589 = 0010010589 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN590 , FUN592 , FUN594 , FUN596 , FUN598,             & !
!     &           FUN591 , FUN593 , FUN595 , FUN597 , FUN599              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN590 = 0010010590 , FUN591 = 0010010591,              & !
!     &           FUN592 = 0010010592 , FUN593 = 0010010593,              & !
!     &           FUN594 = 0010010594 , FUN595 = 0010010595,              & !
!     &           FUN596 = 0010010596 , FUN597 = 0010010597,              & !
!     &           FUN598 = 0010010598 , FUN599 = 0010010599 )             !!!
!!*==============================================================================================================
!!* Console and File Management
!!*==============================================================================================================
!      INTEGER*4  SEXCON , MOXCON , FUN604 , FUN606 , SETCUR,             & !
!     &           GEXCON , FUN603 , FUN605 , FUN607 , FUN609              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( SEXCON = 0270260600 , GEXCON = 0270010601,              & !
!     &           MOXCON = 0060060602 , FUN603 = 0010010603,              & !
!     &           FUN604 = 0010010604 , FUN605 = 0010010605,              & !
!     &           FUN606 = 0010010606 , FUN607 = 0010010607,              & !
!     &           SETCUR = 0100100608 , FUN609 = 0010010609 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN610 , FUN612 , FUN614 , FUN616 , FUN618,             & !
!     &           FUN611 , FUN613 , FUN615 , FUN617 , FUN619              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN610 = 0010010610 , FUN611 = 0010010611,              & !
!     &           FUN612 = 0010010612 , FUN613 = 0010010613,              & !
!     &           FUN614 = 0010010614 , FUN615 = 0010010615,              & !
!     &           FUN616 = 0010010616 , FUN617 = 0010010617,              & !
!     &           FUN618 = 0010010618 , FUN619 = 0010010619 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN620 , FUN622 , FUN624 , FUN626 , FUN628,             & !
!     &           FUN621 , FUN623 , FUN625 , FUN627 , FUN629              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN620 = 0010010620 , FUN621 = 0010010621,              & !
!     &           FUN622 = 0010010622 , FUN623 = 0010010623,              & !
!     &           FUN624 = 0010010624 , FUN625 = 0010010625,              & !
!     &           FUN626 = 0010010626 , FUN627 = 0010010627,              & !
!     &           FUN628 = 0010010628 , FUN629 = 0010010629 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN630 , FUN632 , FUN634 , FUN636 , FUN638,             & !
!     &           FUN631 , FUN633 , FUN635 , FUN637 , FUN639              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN630 = 0010010630 , FUN631 = 0010010631,              & !
!     &           FUN632 = 0010010632 , FUN633 = 0010010633,              & !
!     &           FUN634 = 0010010634 , FUN635 = 0010010635,              & !
!     &           FUN636 = 0010010636 , FUN637 = 0010010637,              & !
!     &           FUN638 = 0010010638 , FUN639 = 0010010639 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN640 , FUN642 , FUN644 , FUN646 , FUN648,             & !
!     &           FUN641 , FUN643 , FUN645 , FUN647 , FUN649              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN640 = 0010010640 , FUN641 = 0010010641,              & !
!     &           FUN642 = 0010010642 , FUN643 = 0010010643,              & !
!     &           FUN644 = 0010010644 , FUN645 = 0010010645,              & !
!     &           FUN646 = 0010010646 , FUN647 = 0010010647,              & !
!     &           FUN648 = 0010010648 , FUN649 = 0010010649 )             !!!
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN650 , FUN652 , FUN654 , FUN656 , FUN658,             & !
!     &           FUN651 , FUN653 , FUN655 , FUN657 , FUN659              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN650 = 0010010650 , FUN651 = 0010010651,              & !
!     &           FUN652 = 0010010652 , FUN653 = 0010010653,              & !
!     &           FUN654 = 0010010654 , FUN655 = 0010010655,              & !
!     &           FUN656 = 0010010656 , FUN657 = 0010010657,              & !
!     &           FUN658 = 0010010658 , FUN659 = 0010010659 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN660 , FUN662 , FUN664 , FUN666 , FUN668,             & !
!     &           FUN661 , FUN663 , FUN665 , FUN667 , FUN669              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN660 = 0010010660 , FUN661 = 0010010661,              & !
!     &           FUN662 = 0010010662 , FUN663 = 0010010663,              & !
!     &           FUN664 = 0010010664 , FUN665 = 0010010665,              & !
!     &           FUN666 = 0010010666 , FUN667 = 0010010667,              & !
!     &           FUN668 = 0010010668 , FUN669 = 0010010669 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN670 , FUN672 , FUN674 , FUN676 , FUN678,             & !
!     &           FUN671 , FUN673 , FUN675 , FUN677 , FUN679              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN670 = 0010010670 , FUN671 = 0010010671,              & !
!     &           FUN672 = 0010010672 , FUN673 = 0010010673,              & !
!     &           FUN674 = 0010010674 , FUN675 = 0010010675,              & !
!     &           FUN676 = 0010010676 , FUN677 = 0010010677,              & !
!     &           FUN678 = 0010010678 , FUN679 = 0010010679 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN680 , FUN682 , FUN684 , FUN686 , FUN688,             & !
!     &           FUN681 , FUN683 , FUN685 , FUN687 , FUN689              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN680 = 0010010680 , FUN681 = 0010010681,              & !
!     &           FUN682 = 0010010682 , FUN683 = 0010010683,              & !
!     &           FUN684 = 0010010684 , FUN685 = 0010010685,              & !
!     &           FUN686 = 0010010686 , FUN687 = 0010010687,              & !
!     &           FUN688 = 0010010688 , FUN689 = 0010010689 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN690 , FUN692 , FUN694 , FUN696 , FUN698,             & !
!     &           FUN691 , FUN693 , FUN695 , FUN697 , FUN699              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN690 = 0010010690 , FUN691 = 0010010691,              & !
!     &           FUN692 = 0010010692 , FUN693 = 0010010693,              & !
!     &           FUN694 = 0010010694 , FUN695 = 0010010695,              & !
!     &           FUN696 = 0010010696 , FUN697 = 0010010697,              & !
!     &           FUN698 = 0010010698 , FUN699 = 0010010699 )             !!!
!!*==============================================================================================================
!!* Display Manament
!!*==============================================================================================================
!      INTEGER*4  OPNBMP , LODCFG , LODWIN , OPNWIN , SETWIN,             & !
!     &           CLSBMP , SAVCFG , SAVWIN , CLSWIN , GETWIN              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( OPNBMP = 0120050700 , CLSBMP = 0040020701,              & !
!     &           LODCFG = 0020010702 , SAVCFG = 0020010703,              & !
!     &           LODWIN = 0070060704 , SAVWIN = 0040040705,              & !
!     &           OPNWIN = 0170160706 , CLSWIN = 0040040707,              & !
!     &           SETWIN = 0170160708 , GETWIN = 0170020709 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  SETITM , STMCOL , FUN714 , OPNDSP , SETERR,             & !
!     &           GETITM , GTMCOL , FUN715 , FUN717 , GETMSG              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( SETITM = 0050050710 , GETITM = 0050030711,              & !
!     &           STMCOL = 0140140712 , GTMCOL = 0140030713,              & !
!     &           FUN714 = 0010010714 , FUN715 = 0010010715,              & !
!     &           OPNDSP = 0170160716 , FUN717 = 0010010717,              & !
!     &           SETERR = 0040040718 , GETMSG = 0270040719 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  LODMEN , LODBUT , LODGRP , LODEDI , LODLST,             & !
!     &           LODCMB , LODSLD , LODFLD , LODINF , LODSTA              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( LODMEN = 0080060720 , LODCMB = 0080060725,              & !
!     &           LODBUT = 0080060721 , LODSLD = 0080060726,              & !
!     &           LODGRP = 0080060722 , LODFLD = 0080060727,              & !
!     &           LODEDI = 0080060723 , LODINF = 0080060728,              & !
!     &           LODLST = 0080060724 , LODSTA = 0080060729 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  SETMEN , SETBUT , SETGRP , SETEDI , SETLST,             & !
!     &           SETCMB , SETSLD , SETFLD , SETINF , SETSTA              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( SETMEN = 0050050730 , SETCMB = 0110090735,              & !
!     &           SETBUT = 0050050731 , SETSLD = 0110110736,              & !
!     &           SETGRP = 0050050732 , SETFLD = 0110110737,              & !
!     &           SETEDI = 0110090733 , SETINF = 0110090738,              & !
!     &           SETLST = 0120010734 , SETSTA = 0050040739 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  GETMEN , GETBUT , GETGRP , GETEDI , GETLST,             & !
!     &           GETCMB , GETSLD , GETFLD , GETINF , GETSTA              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( GETMEN = 0110040740 , GETCMB = 0110050745,              & !
!     &           GETBUT = 0110040741 , GETSLD = 0110030746,              & !
!     &           GETGRP = 0050030742 , GETFLD = 0110030747,              & !
!     &           GETEDI = 0110040743 , GETINF = 0110040748,              & !
!     &           GETLST = 0170060744 , GETSTA = 0200040749 )             !!!
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN750 , FUN752 , FUN754 , FUN756 , FUN758,             & !
!     &           FUN751 , FUN753 , FUN755 , FUN757 , FUN759              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN750 = 0010010750 , FUN751 = 0010010751,              & !
!     &           FUN752 = 0010010752 , FUN753 = 0010010753,              & !
!     &           FUN754 = 0010010754 , FUN755 = 0010010755,              & !
!     &           FUN756 = 0010010756 , FUN757 = 0010010757,              & !
!     &           FUN758 = 0010010758 , FUN759 = 0010010759 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN760 , FUN762 , FUN764 , FUN766 , FUN768,             & !
!     &           FUN761 , FUN763 , FUN765 , FUN767 , FUN769              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN760 = 0010010760 , FUN761 = 0010010761,              & !
!     &           FUN762 = 0010010762 , FUN763 = 0010010763,              & !
!     &           FUN764 = 0010010764 , FUN765 = 0010010765,              & !
!     &           FUN766 = 0010010766 , FUN767 = 0010010767,              & !
!     &           FUN768 = 0010010768 , FUN769 = 0010010769 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN770 , FUN772 , FUN774 , FUN776 , FUN778,             & !
!     &           FUN771 , FUN773 , FUN775 , FUN777 , FUN779              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN770 = 0010010770 , FUN771 = 0010010771,              & !
!     &           FUN772 = 0010010772 , FUN773 = 0010010773,              & !
!     &           FUN774 = 0010010774 , FUN775 = 0010010775,              & !
!     &           FUN776 = 0010010776 , FUN777 = 0010010777,              & !
!     &           FUN778 = 0010010778 , FUN779 = 0010010779 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN780 , FUN782 , FUN784 , FUN786 , FUN788,             & !
!     &           FUN781 , FUN783 , FUN785 , FUN787 , FUN789              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN780 = 0010010780 , FUN781 = 0010010781,              & !
!     &           FUN782 = 0010010782 , FUN783 = 0010010783,              & !
!     &           FUN784 = 0010010784 , FUN785 = 0010010785,              & !
!     &           FUN786 = 0010010786 , FUN787 = 0010010787,              & !
!     &           FUN788 = 0010010788 , FUN789 = 0010010789 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN790 , FUN792 , FUN794 , FUN796 , FUN798,             & !
!     &           FUN791 , FUN793 , FUN795 , FUN797 , FUN799              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN790 = 0010010790 , FUN791 = 0010010791,              & !
!     &           FUN792 = 0010010792 , FUN793 = 0010010793,              & !
!     &           FUN794 = 0010010794 , FUN795 = 0010010795,              & !
!     &           FUN796 = 0010010796 , FUN797 = 0010010797,              & !
!     &           FUN798 = 0010010798 , FUN799 = 0010010799 )             !!!
!!*==============================================================================================================
!!* ???
!!*==============================================================================================================
!      INTEGER*4  FUN800 , FUN802 , FUN804 , FUN806 , FUN808,             & !
!     &           FUN801 , FUN803 , FUN805 , FUN807 , FUN809              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN800 = 0010010800 , FUN801 = 0010010801,              & !
!     &           FUN802 = 0010010802 , FUN803 = 0010010803,              & !
!     &           FUN804 = 0010010804 , FUN805 = 0010010805,              & !
!     &           FUN806 = 0010010806 , FUN807 = 0010010807,              & !
!     &           FUN808 = 0010010808 , FUN809 = 0010010809 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN810 , FUN812 , FUN814 , FUN816 , FUN818,             & !
!     &           FUN811 , FUN813 , FUN815 , FUN817 , FUN819              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN810 = 0010010810 , FUN811 = 0010010811,              & !
!     &           FUN812 = 0010010812 , FUN813 = 0010010813,              & !
!     &           FUN814 = 0010010814 , FUN815 = 0010010815,              & !
!     &           FUN816 = 0010010816 , FUN817 = 0010010817,              & !
!     &           FUN818 = 0010010818 , FUN819 = 0010010819 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN820 , FUN822 , FUN824 , FUN826 , FUN828,             & !
!     &           FUN821 , FUN823 , FUN825 , FUN827 , FUN829              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN820 = 0010010820 , FUN821 = 0010010821,              & !
!     &           FUN822 = 0010010822 , FUN823 = 0010010823,              & !
!     &           FUN824 = 0010010824 , FUN825 = 0010010825,              & !
!     &           FUN826 = 0010010826 , FUN827 = 0010010827,              & !
!     &           FUN828 = 0010010828 , FUN829 = 0010010829 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN830 , FUN832 , FUN834 , FUN836 , FUN838,             & !
!     &           FUN831 , FUN833 , FUN835 , FUN837 , FUN839              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN830 = 0010010830 , FUN831 = 0010010831,              & !
!     &           FUN832 = 0010010832 , FUN833 = 0010010833,              & !
!     &           FUN834 = 0010010834 , FUN835 = 0010010835,              & !
!     &           FUN836 = 0010010836 , FUN837 = 0010010837,              & !
!     &           FUN838 = 0010010838 , FUN839 = 0010010839 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN840 , FUN842 , FUN844 , FUN846 , FUN848,             & !
!     &           FUN841 , FUN843 , FUN845 , FUN847 , FUN849              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN840 = 0010010840 , FUN841 = 0010010841,              & !
!     &           FUN842 = 0010010842 , FUN843 = 0010010843,              & !
!     &           FUN844 = 0010010844 , FUN845 = 0010010845,              & !
!     &           FUN846 = 0010010846 , FUN847 = 0010010847,              & !
!     &           FUN848 = 0010010848 , FUN849 = 0010010849 )             !!!
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN850 , FUN852 , FUN854 , FUN856 , FUN858,             & !
!     &           FUN851 , FUN853 , FUN855 , FUN857 , FUN859              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN850 = 0010010850 , FUN851 = 0010010851,              & !
!     &           FUN852 = 0010010852 , FUN853 = 0010010853,              & !
!     &           FUN854 = 0010010854 , FUN855 = 0010010855,              & !
!     &           FUN856 = 0010010856 , FUN857 = 0010010857,              & !
!     &           FUN858 = 0010010858 , FUN859 = 0010010859 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN860 , FUN862 , FUN864 , FUN866 , FUN868,             & !
!     &           FUN861 , FUN863 , FUN865 , FUN867 , FUN869              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN860 = 0010010860 , FUN861 = 0010010861,              & !
!     &           FUN862 = 0010010862 , FUN863 = 0010010863,              & !
!     &           FUN864 = 0010010864 , FUN865 = 0010010865,              & !
!     &           FUN866 = 0010010866 , FUN867 = 0010010867,              & !
!     &           FUN868 = 0010010868 , FUN869 = 0010010869 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  SETMAD , NLREAD , MADLIB , FUN876 , FUN878,             & !
!     &           GETMAD , NLWRIT , FUN875 , FUN877 , FUN879              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( SETMAD = 0030030870 , GETMAD = 0030010871,              & !
!     &           NLREAD = 0090040872 , NLWRIT = 0110070873,              & !
!     &           MADLIB = 0040010874 , FUN875 = 0010010875,              & !
!     &           FUN876 = 0010010876 , FUN877 = 0010010877,              & !
!     &           FUN878 = 0010010878 , FUN879 = 0010010879 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FRCHAR , FUN882 , FUN884 , INPLIB , SEDCON,             & !
!     &           FWCHAR , FUN883 , FUN885 , OUTLIB , GEDCON              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FRCHAR = 0110030880 , FWCHAR = 0110040881,              & !
!     &           FUN882 = 0010010882 , FUN883 = 0010010883,              & !
!     &           FUN884 = 0010010884 , FUN885 = 0010010885,              & !
!     &           INPLIB = 0310200886 , OUTLIB = 0310200887,              & !
!     &           SEDCON = 0320290888 , GEDCON = 0320030889 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  COPSTR , DIVSTR , OPNFIL , FNREAD , GEDINP,             & !
!     &           ADDSTR , FUN893 , CLSFIL , FNWRIT , FUN899              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( COPSTR = 0130070890 , ADDSTR = 0220120891,              & !
!     &           DIVSTR = 0220120892 , FUN893 = 0010010893,              & !
!     &           OPNFIL = 0150100894 , CLSFIL = 0090020895,              & !
!     &           FNREAD = 0230090896 , FNWRIT = 0250130897,              & !
!     &           GEDINP = 0250130898 , FUN899 = 0010010899 )             !!!
!!*==============================================================================================================
!!* Mixed
!!*==============================================================================================================
!      INTEGER*4  SETTIM , MILTIM , UNICOP , UNIDIV , OUTTST,             & ! FUN900,FUN901,FUN902,FUN903,FUN904
!     &           GETTIM , MSLEEP , UNIADD , TSTDLG , INPTST              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( SETTIM = 0110010900 , GETTIM = 0110010901,              & !      
!     &           MILTIM = 0020010902 , MSLEEP = 0020020903,              & !
!     &           UNICOP = 0110050904 , UNIADD = 0170080905,              & !
!     &           UNIDIV = 0170080906 , TSTDLG = 0050050907,              & !
!     &           OUTTST = 0050050908 , INPTST = 0050010909 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  SETMAT , MATLIB , MLREAD , FLREAD , GETINP,             & !
!     &           GETMAT , FUN913 , MLWRIT , FLWRIT , WRTOUT              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( SETMAT = 0030030910 , GETMAT = 0030010911,              & !
!     &           MATLIB = 0040010912 , FUN913 = 0010010913,              & !
!     &           MLREAD = 0040020914 , MLWRIT = 0060040915,              & !
!     &           FLREAD = 0100040916 , FLWRIT = 0110060917,              & !
!     &           GETINP = 0060030918 , WRTOUT = 0080050919 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  GETCHR , PRIPIC , FUN924 , LODZIP , LODPIC,             & !
!     &           WRTCHR , FUN923 , FUN925 , SAVZIP , SAVPIC              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( GETCHR = 0030020920 , WRTCHR = 0030030921,              & !
!     &           PRIPIC = 0120030922 , FUN923 = 0010010923,              & !
!     &           FUN924 = 0010010924 , FUN925 = 0010010925,              & !
!     &           LODZIP = 0090010926 , SAVZIP = 0090010927,              & !
!     &           LODPIC = 0320100928 , SAVPIC = 0320200929 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN930 , FUN932 , FUN934 , FUN936 , FUN938,             & !
!     &           FUN931 , FUN933 , FUN935 , FUN937 , FUN939              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN930 = 0010010930 , FUN931 = 0010010931,              & !
!     &           FUN932 = 0010010932 , FUN933 = 0010010933,              & !
!     &           FUN934 = 0010010934 , FUN935 = 0010010935,              & !
!     &           FUN936 = 0010010936 , FUN937 = 0010010937,              & !
!     &           FUN938 = 0010010938 , FUN939 = 0010010939 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN940 , FUN942 , FUN944 , FUN946 , FUN948,             & !
!     &           FUN941 , FUN943 , FUN945 , FUN947 , FUN949              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN940 = 0010010940 , FUN941 = 0010010941,              & !
!     &           FUN942 = 0010010942 , FUN943 = 0010010943,              & !
!     &           FUN944 = 0010010944 , FUN945 = 0010010945,              & !
!     &           FUN946 = 0010010946 , FUN947 = 0010010947,              & !
!     &           FUN948 = 0010010948 , FUN949 = 0010010949 )             !!!
!!*--------------------------------------------------------------------------------------------------------------
!      INTEGER*4  FUN950 , FUN952 , FUN954 , FUN956 , FUN958,             & !
!     &           FUN951 , FUN953 , FUN955 , FUN957 , FUN959              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN950 = 0010010950 , FUN951 = 0010010951,              & !
!     &           FUN952 = 0010010952 , FUN953 = 0010010953,              & !
!     &           FUN954 = 0010010954 , FUN955 = 0010010955,              & !
!     &           FUN956 = 0010010956 , FUN957 = 0010010957,              & !
!     &           FUN958 = 0010010958 , FUN959 = 0010010959 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN960 , FUN962 , FUN964 , FUN966 , FUN968,             & !
!     &           FUN961 , FUN963 , FUN965 , FUN967 , FUN969              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN960 = 0010010960 , FUN961 = 0010010961,              & !
!     &           FUN962 = 0010010962 , FUN963 = 0010010963,              & !
!     &           FUN964 = 0010010964 , FUN965 = 0010010965,              & !
!     &           FUN966 = 0010010966 , FUN967 = 0010010967,              & !
!     &           FUN968 = 0010010968 , FUN969 = 0010010969 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN970 , FUN972 , FUN974 , FUN976 , FUN978,             & !
!     &           FUN971 , FUN973 , FUN975 , FUN977 , FUN979              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN970 = 0010010970 , FUN971 = 0010010971,              & !
!     &           FUN972 = 0010010972 , FUN973 = 0010010973,              & !
!     &           FUN974 = 0010010974 , FUN975 = 0010010975,              & !
!     &           FUN976 = 0010010976 , FUN977 = 0010010977,              & !
!     &           FUN978 = 0010010978 , FUN979 = 0010010979 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN980 , FUN982 , FUN984 , FUN986 , FUN988,             & !
!     &           FUN981 , FUN983 , FUN985 , FUN987 , FUN989              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN980 = 0010010980 , FUN981 = 0010010981,              & !
!     &           FUN982 = 0010010982 , FUN983 = 0010010983,              & !
!     &           FUN984 = 0010010984 , FUN985 = 0010010985,              & !
!     &           FUN986 = 0010010986 , FUN987 = 0010010987,              & !
!     &           FUN988 = 0010010988 , FUN989 = 0010010989 )             !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      INTEGER*4  FUN990 , FUN992 , FUN994 , FUN996 , FUN998,             & !
!     &           FUN991 , FUN993 , FUN995 , FUN997 , FUN999              !!!
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!      PARAMETER( FUN990 = 0010010990 , FUN991 = 0010010991,              & !
!     &           FUN992 = 0010010992 , FUN993 = 0010010993,              & !
!     &           FUN994 = 0010010994 , FUN995 = 0010010995,              & !
!     &           FUN996 = 0010010996 , FUN997 = 0010010997,              & !
!     &           FUN998 = 0010010998 , FUN999 = 0010010999 )             !!!
!!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!!***************************************************************************************************************
!
!!###############################################################################################################
!!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!!*==============================================================================================================
!!*--------------------------------------------------------------------------------------------------------------
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!!* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
!!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!!***************************************************************************************************************!
!
!!###########################################################################
!!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!!*==========================================================================
!!*--------------------------------------------------------------------------
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!!* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
!!* -     -     -     -     -     -     -     -     -     -     -     -     -
!!***************************************************************************
!
!!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!!     INTEGER*4         FUN600,FUN601,FUN602,FUN603,FUN604,FUN605,       & !         600,601,602,603,604,605,
!!    &                  FUN606,FUN607,FUN608,FUN609,FUN610,FUN611,       & !         606,607,608,609,610,611,
!!    &    FUN612,FUN613,FUN614,FUN615,FUN616,FUN617,FUN618,FUN619,       & ! 612,613,614,615,616,617,618,619,
!!    &    FUN620,FUN621,FUN622,FUN623,FUN624,FUN625,FUN626,FUN627,       & ! 620,621,622,623,624,625,626,627,
!!    &    FUN628,FUN629,PENREC,GRYREC,RGBREC,CHNREC,FUN634,FUN635,       & ! 628,629,630,631,632,633,634,635,
!!    &    FUN636,FUN637,FUN638,FUN639,FUN640,FUN641,FUN642,FUN643,       & ! 636,637,638,639,640,641,642,643,
!!    &    FUN644,FUN645,FUN646,FUN647,FUN648,FUN649,FUN650,FUN651,       & ! 644,645,646,647,648,649,650,651,
!!    &    FUN652,FUN653,FUN654,FUN655,FUN656,FUN657,FUN658,FUN659,       & ! 652,653,654,655,656,657,658,659,
!!    &    FUN660,FUN661,FUN662,FUN663,FUN664,FUN665,FUN666,FUN667,       & ! 660,661,662,663,664,665,666,667,
!!    &    FUN668,FUN669,FUN670,FUN671,FUN672,FUN673,FUN674,FUN675,       & ! 668,669,670,671,672,673,674,675,
!!    &    FUN676,FUN677,FUN678,FUN679,FUN680,FUN681,FUN682,FUN683,       & ! 676,677,678,679,680,681,682,683,
!!    &    FUN684,FUN685,FUN686,FUN687,FUN688,FUN689,FUN690,FUN691,       & ! 684,685,686,687,688,689,690,691,
!!    &    FUN692,FUN693,FUN694,FUN695,FUN696,FUN697,FUN698,FUN699        !!! 692,693,694,695,696,697,698,699
!!*--------------------------------------------------------------------------------------------------------------
!!     PARAMETER( FUN600 = 0010010600 , FUN601 = 0050090601,              & !
!!    &           FUN602 = 0010010602 , FUN603 = 0120160603,              & !
!!    &           FUN604 = 0010010604 , FUN605 = 0010010605,              & !
!!    &           FUN606 = 0010010606 , FUN607 = 0010010607,              & !
!!    &           FUN608 = 0010010608 , FUN609 = 0010010609,              & !
!!    &           FUN610 = 0010010610 , FUN611 = 0010010611,              & !
!!    &           FUN612 = 0010010612 , FUN613 = 0010010613,              & !
!!    &           FUN614 = 0010010614 , FUN615 = 0010010615,              & !
!!    &           FUN616 = 0010010616 , FUN617 = 0010010617,              & !
!!    &           FUN618 = 0010010618 , FUN619 = 0010010619  )            !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!!     PARAMETER( FUN620 = 0010010620 , FUN621 = 0010010621,              & !
!!    &           FUN622 = 0010010622 , FUN623 = 0010010623,              & !
!!    &           FUN624 = 0010010624 , FUN625 = 0010010625,              & !
!!    &           FUN626 = 0010010626 , FUN627 = 0010010627,              & !
!!    &           FUN628 = 0010010628 , FUN629 = 0010010629,              & !
!!    &           PENREC = 0040080630 , GRYREC = 0050090631,              & !
!!    &           RGBREC = 0070110632 , CHNREC = 0120160633,              & !
!!    &           FUN634 = 0010010634 , FUN635 = 0010010635,              & !
!!    &           FUN636 = 0010010636 , FUN637 = 0010010637,              & !
!!    &           FUN638 = 0010010638 , FUN639 = 0010010639  )            !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!!     PARAMETER( FUN640 = 0010010640 , FUN641 = 0010010641,              & !
!!    &           FUN642 = 0010010642 , FUN643 = 0010010643,              & !
!!    &           FUN644 = 0010010644 , FUN645 = 0010010645,              & !
!!    &           FUN646 = 0010010646 , FUN647 = 0010010647,              & !
!!    &           FUN648 = 0010010648 , FUN649 = 0010010649,              & !
!!    &           FUN650 = 0010010650 , FUN651 = 0010010651,              & !
!!    &           FUN652 = 0010010652 , FUN653 = 0010010653,              & !
!!    &           FUN654 = 0010010654 , FUN655 = 0010010655,              & !
!!    &           FUN656 = 0010010656 , FUN657 = 0010010657,              & !
!!    &           FUN658 = 0010010658 , FUN659 = 0010010679  )            !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!!     PARAMETER( FUN660 = 0010010660 , FUN661 = 0010010661,              & !
!!    &           FUN662 = 0010010662 , FUN663 = 0010010663,              & !
!!    &           FUN664 = 0010010664 , FUN665 = 0010010665,              & !
!!    &           FUN666 = 0010010666 , FUN667 = 0010010667,              & !
!!    &           FUN668 = 0010010668 , FUN669 = 0010010669,              & !
!!    &           FUN670 = 0010010670 , FUN671 = 0010010671,              & !
!!    &           FUN672 = 0010010672 , FUN673 = 0010010673,              & !
!!    &           FUN674 = 0010010674 , FUN675 = 0010010675,              & !
!!    &           FUN676 = 0010010676 , FUN677 = 0010010677,              & !
!!    &           FUN678 = 0010010678 , FUN679 = 0010010679  )            !!!
!!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!!     PARAMETER( FUN680 = 0010010680 , FUN681 = 0010010681,              & !
!!    &           FUN682 = 0010010682 , FUN683 = 0010010683,              & !
!!    &           FUN684 = 0010010684 , FUN685 = 0010010685,              & !
!!    &           FUN686 = 0010010686 , FUN687 = 0010010687,              & !
!!    &           FUN688 = 0010010688 , FUN689 = 0010010689,              & !
!!    &           FUN690 = 0010010690 , FUN691 = 0010010691,              & !
!!    &           FUN692 = 0010010692 , FUN693 = 0010010693,              & !
!!    &           FUN694 = 0010010694 , FUN695 = 0010010695,              & !
!!    &           FUN696 = 0010010696 , FUN697 = 0010010697,              & !
!!    &           FUN698 = 0010010698 , FUN699 = 0010010699 )             !!!
!!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

