!***************************************************************************************************************************************************
!*  Include file F1MinMax.inc                                                                                                                      *
!*                                                                                                                                                 *
!*  DL1any12.asm  DL1U8OBJ\DL1any12.obj    DL1U8R2020.dll   DL1U8R2017.mak   DL1U8A.bat  DL1U8M.bat  DL1U8R.bat   DL1U8.bat   X87-128/256 Special  *
!*  DL1any12.asm  DL1U9OBJ\DL1any12.obj    DL1U8R2020.dll   DL1U9R2017.mak   DL1U9A.bat  DL1U9M.bat  DL1U9R.bat   DL1U9.bat   X87-128/512 Version  *
!*                                                                                                                                                 *
!*=================================================================================================================================================*
!*  Copyright (C)  1993   Wolfgang  Renner    Created in:   24.01.2020   & !! 01 In the frame of my DspLib project                 & !! 0001       *
!*             &   2005   Gimbacher Weg 34    Last Change:  25.01.2020   & !! 02 some source files are published                   & !! 0002       *
!*                        D-65779 Kelkheim                               & !! 03 for evaluation. OpenSource means                  & !! 0003       *
!*  All rights reserved   Germany / Hessen    For all Fortran Compiler     !! 04 not that it is Free Software !!                     !! 0004       *
!***************************************************************************************************************************************************

!***************************************************************************************************************************************************
!*  F0DspLib.inc          Fortran( All Bit )  Display Library Includes                                                                             *
!*  F1DspLib.inc          Fortran( 032 Bit )  Display Library Includes                                                                             *
!*  F2DspLib.inc          Fortran( 064 Bit )  Display Library Includes                                                                             *
!*  F3DspLib.inc          Fortran( 128 Bit )  Display Library Includes                                                                             *
!*  F4DspLib.inc          Fortran( 256 Bit )  Display Library Includes                                                                             *
!*  F1DspLib.inc          Fortran( 512 Bit )  Display Library Includes                                                                             *
!*                                                                                                                                                 *
!*=================================================================================================================================================*
!*345 ERROR1 = ANY_NORM72(ARG102,ARG103,ARG104,ARG105,ARG106,ARG107,     & !! 01 Comment                                                           *
!*   &             ARG201,ARG202,ARG203,ARG204,ARG205,ARG206,ARG207,     & !! 02 Comment                                                           *
!*   &             ARG301,ARG302,ARG303,ARG304,ARG305,ARG306,ARG307)       !! 03 Comment                                                           *
!*-------------------------------------------------------------------------------------------------------------------------------------------------*
!*345 ERROR2 = ANY_WID132(ARG102,ARG103,ARG104,ARG105,ARG106,ARG107,ARG108,ARG109,ARG110,ARG111,ARG112,ARG113,ARG114,ARG115,       & !! 01 Comment *
!*   &             ARG201,ARG202,ARG203,ARG204,ARG205,ARG206,ARG207,ARG208,ARG209,ARG210,ARG211,ARG212,ARG213,ARG214,ARG215,       & !! 02 Comment *
!*   &             ARG301,ARG302,ARG303,ARG304,ARG305,ARG306,ARG307,ARG308,ARG309,ARG310,ARG311,ARG312,ARG313,ARG314,ARG315)         !! 03 Comment *
!*=================================================================================================================================================*
!*  Copyright (C)  1993   Wolfgang  Renner    Created in:   07.11.2005   & !! 01                                                     !! 01 Comment *
!*             &   2008   Gimbacher Weg 34    Last Change:  25.01.2006   & !! 02                                                     !! 02 Comment *
!*                        D-65779 Kelkheim                               & !!                                                        !! 03 Comment *
!*  All rights reserved   Germany / Hessen    For all Fortran Compiler     !! Arg Ref Func                                           !! 04 Comment *
!***************************************************************************************************************************************************
!     INTEGER*4    SETHLG , ANY_SETHLG , OUTPUT , FOR_OUTPUT ,           & !! 002 001 0000   ERROR2 = ANY_SETHLG(ARG001,ARG002,ARG003,....,ARG128)
!    &             OUTLIB , FOR_OUTLIB , INPLIB , FOR_INPLIB ,           & !! 019 004 0001   ERROR2 = DL1(OUTPUT,INPLCX,INPLDX,INPL08,....,DASTRG)
!    &             EM1BOX , FOR_EM1BOX , EMSBOX , FOR_EMSBOX ,           & !! 037 011 0002   ERROR2 = DL1(OUTLIB,INPLCX,INPLDX,INPL08,....,NASTRG)
!    &             MSLEEP , FOR_MSLEEP , MILTIM , FOR_MILTIM ,           & !! 037 011 0003   ERROR2 = DL1(INPLIB,INPLCX,INPLDX,INPL08,....,NASTRG)
!    &             OPNDLB , FOR_OPNDLB , CLSDLB , FOR_CLSDLB               !! 019 004 0004   ERROR2 = DL1(EM1BOX,INPLCX,INPLDX,INPL08,....,DASTRG)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!     PARAMETER(   SETHLG = 0020010000 , OUTPUT = 0190040001 ,           & !! 019 004 0005   ERROR2 = DL1(EMSBOX,INPLCX,INPLDX,INPL08,....,DASTRG)
!    &             OUTLIB = 0370110002 , INPLIB = 0370110003 ,           & !! 002 000 0006   ERROR2 = DL1(MSLEEP,CONTRL,MILSEC)
!    &             EM1BOX = 0190040004 , EMSBOX = 0190040005 ,           & !! 002 001 0007   ERROR2 = DL1(MILTIM,CONTRL,MILSEC)
!    &             MSLEEP = 0020000006 , MILTIM = 0020010007 ,           & !! 002 001 0008   ERROR2 = DL1(OPNDLB,CONNUM,ARG002,ARG003,....,STRING)
!    &             OPNDLB = 0020010008 , CLSDLB = 0020010009 )             !! 002 001 0009   ERROR2 = DL1(CLSDLB,CONNUM,ARG002,ARG003,....,STRING)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!     INTEGER*4    SETMAT , FOR_SETMAT , GETMAT , FOR_GETMAT ,           & !! 005 001 0010   ERROR2 = DL1(SETMAT,CONTRL,THRNUM,MAXPRC,....,DUMMY1)
!    &             MATCST , FOR_MATCST , MATLIB , FOR_MATLIB ,           & !! 005 003 0011   ERROR2 = DL1(GETMAT,CONTRL,THRNUM,MAXPRC,....,DUMMY1)
!    &             MLWRIT , FOR_MLWRIT , MLREAD , FOR_MLREAD ,           & !! 002 001 0012   ERROR2 = DL1(MATCST,ARG001,ARG002,ARG003,....,ARG128)
!    &             MKWRIT , FOR_MKWRIT , MKREAD , FOR_MKREAD ,           & !! 005 003 0013   ERROR2 = DL1(MATLIB,CONTRL,I04AR3,P64RES,....,P64AR2)
!    &             FUN018 , FOR_FUN018 , FUN019 , FOR_FUN019               !! 002 001 0014   ERROR2 = DL1(MLWRIT,ARG001,ARG002,ARG003,....,ARG128)
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!     PARAMETER(   SETMAT = 0050010010 , GETMAT = 0050030011 ,           & !! 009 005 0015   ERROR2 = DL1(MLREAD,DABSIZ,DABCNT,DAECNT,....,DASTRG)
!    &             MATCST = 0020010012 , MATLIB = 0050030013 ,           & !! 011 004 0016   ERROR2 = DL1(MKWRIT,DABSIZ,DABCNT,DAECNT,....,DASTRG)
!    &             MLWRIT = 0110040014 , MLREAD = 0090050015 ,           & !! 009 005 0017   ERROR2 = DL1(MKREAD,DABSIZ,DABCNT,DAECNT,....,DASTRG)
!    &             MKWRIT = 0110040016 , MKREAD = 0090050017 ,           & !! 011 004 0018   ERROR2 = DL1(FUN018,ARG001,ARG002,ARG003,....,ARG128)
!    &             FUN018 = 0020010018 , FUN019 = 0020010019 )             !! 002 001 0019   ERROR2 = DL1(FUN019,ARG001,ARG002,ARG003,....,ARG128)
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

!***************************************************************************************************************
!*  Include file F1MinMax.inc                                                                                  *
!*=============================================================================================================*
!*                                                                                                             *
!*=============================================================================================================*
!*  Copyright (C)  1993   Wolfgang  Renner    Created in:   14.11.2005   !!! In the frame of my DspLib project *
!*             &   2008   Gimbacher Weg 34    Last Change:  25.01.2006   !!! some source files are published   *
!*                        D-65779 Kelkheim                               !!! for evaluation. OpenSource means  *
!*  All rights reserved   Germany / Hessen    For all Fortran Compiler   !!! not that it is  free Software !!  *
!***************************************************************************************************************
      INTEGER*4       IS0MIN,IS1MIN,IS2MIN,IS3MIN,                       & ! SR0VEC( ),SI0VEC( ),...
     &                IS0MAX,IS1MAX,IS2MAX,IS3MAX                        !!! SR3ZZZ( ),SI3ZZZ( )
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4       ID0MIN,ID1MIN,ID2MIN,ID3MIN,                       & ! DR0VEC( ),DI0VEC( ),...
     &                ID0MAX,ID1MAX,ID2MAX,ID3MAX                        !!! DR3ZZZ( ),DI3ZZZ( )
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4       IQ0MIN,IQ1MIN,IQ2MIN,IQ3MIN,                       & ! QR0VEC( ),QI0VEC( ),...
     &                IQ0MAX,IQ1MAX,IQ2MAX,IQ3MAX                        !!! QR3ZZZ( ),QI3ZZZ( )
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INTEGER*4       IU0MIN,IU1MIN,IU2MIN,IU3MIN,                       & ! UR0VEC( ),UI0VEC( ),...
     &                IU0MAX,IU1MAX,IU2MAX,IU3MAX                        !!! UR3ZZZ( ),UI3ZZZ( )
!*--------------------------------------------------------------------------------------------------------------
      PARAMETER(      IS0MIN = 000001 , IS0MAX = 000200 ,                & ! Integer Sngl 0 Minimum , Maximum
     &                IS1MIN = 000001 , IS1MAX = 000200 ,                & ! Integer Sngl 1 Minimum , Maximum
     &                IS2MIN = 000001 , IS2MAX = 000200 ,                & ! Integer Sngl 2 Minimum , Maximum
     &                IS3MIN = 000000 , IS3MAX = 000009 )                !!! Integer Sngl 3 Minimum , Maximum
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      PARAMETER(      ID0MIN = 000001 , ID0MAX = 000200 ,                & ! Integer Dble 0 Minimum , Maximum
     &                ID1MIN = 000001 , ID1MAX = 000200 ,                & ! Integer Dble 1 Minimum , Maximum
     &                ID2MIN = 000001 , ID2MAX = 000200 ,                & ! Integer Dble 2 Minimum , Maximum
     &                ID3MIN = 000000 , ID3MAX = 000009 )                !!! Integer Dble 3 Minimum , Maximum
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      PARAMETER(      IQ0MIN = 000001 , IQ0MAX = 000200 ,                & ! Integer Quad 0 Minimum , Maximum
     &                IQ1MIN = 000001 , IQ1MAX = 000200 ,                & ! Integer Quad 1 Minimum , Maximum
     &                IQ2MIN = 000001 , IQ2MAX = 000200 ,                & ! Integer Quad 2 Minimum , Maximum
     &                IQ3MIN = 000000 , IQ3MAX = 000009 )                !!! Integer Quad 3 Minimum , Maximum
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      PARAMETER(      IU0MIN = 000001 , IU0MAX = 000200 ,                & ! Integer UExt 0 Minimum , Maximum
     &                IU1MIN = 000001 , IU1MAX = 000200 ,                & ! Integer UExt 1 Minimum , Maximum
     &                IU2MIN = 000001 , IU2MAX = 000200 ,                & ! Integer UExt 2 Minimum , Maximum
     &                IU3MIN = 000000 , IU3MAX = 000009 )                !!! Integer UExt 3 Minimum , Maximum
!*##############################################################################################################
!*    END                                                                !!!
!************************************************************************************************** END F0MinMax

!###################################################################################################################################################
!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!***************************************************************************************************************************************************
!*==================================================================================================================================================
!*--------------------------------------------------------------------------------------------------------------------------------------------------
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!###################################################################################################################################################

!*##############################################################################################################
!*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!*==============================================================================================================
!*--------------------------------------------------------------------------------------------------------------
!* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
!* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
!* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
!***************************************************************************************************************

