;MyLSTOFF
;***************************************************************************************************************
;* Z9CommCtrl.i   AssemblerVersion9( CommCtrl.h )    Include file                                              *
;*                                                                                                             *
;*=============================================================================================================*
;* Wolfgang  Renner                  Creation Date = 08. Apr 2016                                              *
;* Gimbacher Weg 34                  Creation Time = 00:00:00:000                                              *
;*                                                                                                             *
;* D-65779 Kelkheim                  Changing Last = 14. Apr 2016                                              *
;* Germany / Hessen                  Changing Time = 00:00:00:000                                              *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus  Assembler                                                           *
;*                                                                                                             *
;* 12345678901234567890123456789012345678901234567890 = "12345678901234567890123456789012345678901234567890",  *
;***************************************************************************************************************

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LVSZ ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;indStrc_Variable01        equ  00000000                       ; BINT:     BYTE  [00000 00000 00000 00000 00000]
;indStrc_Variable02        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00001 00001 00001 00001 00001]
;indStrc_Variable03        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00002 00002 00002 00002 00002]
;indStrc_Variable04        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00003 00003 00003 00003 00003]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable05        equ  WindStrc_Variable01+01         ; WINT:     WORD  [00004 00004 00004 00004 00004]
;indStrc_Variable06        equ  WindStrc_Variable01+02         ; WINT:     SHORT [00006 00006 00006 00006 00006]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;indStrc_Variable07        equ  WindStrc_Variable01+02         ; SINT:     LONG  [00008 00008 00008 00008 00008]
;indStrc_Variable08        equ  WindStrc_Variable01+04         ; SINT:     DWORD [00012 00012 00012 00012 00012]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;indStrc_Variable09        equ  WindStrc_Variable01+04         ; DINT:  LONGLONG [00016 00016 00016 00016 00016]
;indStrc_Variable10        equ  WindStrc_Variable01+RS         ; DINT:     QWORD [00020 00024 00024 00032 00024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;indStrc_Variable11        equ  WindStrc_Variable01+RS         ; QINT:    HANDLE [00024 00032 00032 00032 00032]
;indStrc_Variable12        equ  WindStrc_Variable01+QS         ; QINT:   POINTER [00028 00040 00048 00048 00048]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - - - -
;indStrc_Variable13        equ  WindStrc_Variable01+QS         ; UINT:   POINTER [00032 00048 00064 00064 00064]
;indStrc_Variable14        equ  WindStrc_Variable01+GZ         ; UINT:   POINTER [00036 00056 00080 00096 00096]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable15        equ  WindStrc_Variable01+GZ         ; VINT:   POINTER [00040 00064 00096 00128 00128]
;indStrc_Variable16        equ  WindStrc_Variable01+PS         ; VINT:   POINTER [00044 00072 00112 00160 00192]
;*==============================================================================================================
;indStrc_Variable17        equ  WindStrc_Variable01+PS         ; LINT:   POINTER [00048 00080 00128 00192 00256]
;indStrc_Variable18        equ  WindStrc_Variable01+LS         ; LINT:   POINTER [00052 00088 00144 00224 00320]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [00056 00096 00160 00256 00384]
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.H                                       ; /* GetSystemMetrics() codes */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SM_CXSCREEN                       equ          0  ; #define   SM_CXSCREEN               0
;SM_CYSCREEN                       equ          1  ; #define   SM_CYSCREEN               1
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###########################################################################
;12345678901234567890  equ  012345678h ;#def 12345678901234567890 0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% COMMCTRL.H                          ; WM_NOTIFY codes NMHDR.code values
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CLR_NONE               equ  0FFFFFFFFh ; #define CLR_NONE        0xFFFFFFFFL
CLR_DEFAULT            equ  0FF000000h ; #define CLR_DEFAULT     0xFF000000L
;*==========================================================================
;* COMMCTRL.H                          ; WM_NOTIFY codes NMHDR.code values
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
NM_FIRST                   equ   -0000 ; #def NM_FIRST  (0U-  0U) //generic
NM_LAST                    equ   -0099 ; #def NM_LAST   (0U- 99U)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVN_FIRST                  equ   -0100 ; #def LVN_FIRST (0U-100U) //listview
LVN_LAST                   equ   -0199 ; #def LVN_LAST  (0U-199U)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;*                                     ; Property sheet (0U-200U) - (0-299U)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
HDN_FIRST                  equ   -0300 ; #def HDN_FIRST (0U-300U) // header
HDN_LAST                   equ   -0399 ; #def HDN_LAST  (0U-399U)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
TVN_FIRST                  equ   -0400 ; #def TVN_FIRST (0U-400U) //treeview
TVN_LAST                   equ   -0499 ; #def TVN_LAST  (0U-499U)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
TTN_FIRST                  equ   -0520 ; #def TTN_FIRST (0U-520U) //tooltips
TTN_LAST                   equ   -0549 ; #def TTN_LAST  (0U-549U)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
TCN_FIRST                  equ   -0550 ; #def TCN_FIRST (0U-550U) //tab ctrl
TCN_LAST                   equ   -0580 ; #def TCN_LAST  (0U-580U)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;*                                     ; Shell reserved (0U-580U) - (0-589U)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
CDN_FIRST                  equ   -0601 ; #def CDN_FIRST (0U-601U) // dialog
CDN_LAST                   equ   -0699 ; #def CDN_LAST  (0U-699U)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
TBN_FIRST                  equ   -0700 ; #def TBN_FIRST (0U-700U) // toolbar
TBN_LAST                   equ   -0720 ; #def TBN_LAST  (0U-720U)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
UDN_FIRST                  equ   -0721 ; #def UDN_FIRST (0U-721)  // updown
UDN_LAST                   equ   -0740 ; #def UDN_LAST  (0U-740)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                       ; #if(_WIN32_IE >= 0x0300)
MCN_FIRST                  equ   -0750 ; #def MCN_FIRST (0U-750U) //monthcal
MCN_LAST                   equ   -0759 ; #def MCN_LAST  (0U-759U)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
DTN_FIRST                  equ   -0760 ; #def DTN_FIRST (0U-760U) //datetime
DTN_LAST                   equ   -0799 ; #def DTN_LAST  (0U-799U)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CBEN_FIRST                 equ   -0800 ; #def CBEN_FIRST(0U-800U) ComboboxEx
CBEN_LAST                  equ   -0830 ; #def CBEN_LAST (0U-830U)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
RBN_FIRST                  equ   -0831 ; #def RBN_FIRST (0U-831U) // rebar
RBN_LAST                   equ   -0859 ; #def RBN_LAST  (0U-859U)
                                       ; #endif
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890  equ  012345678h ;#def 12345678901234567890 0x12345678
;###########################################################################

;###########################################################################
;12345678901234567890  equ  012345678h ;#def 12345678901234567890 0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% CommCtrl.h                          ; /* ListView Window Styles */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVS_ICON               equ  000000000h ; #define LVS_ICON             0x0000
LVS_REPORT             equ  000000001h ; #define LVS_REPORT           0x0001
LVS_SMALLICON          equ  000000002h ; #define LVS_SMALLICON        0x0002
LVS_LIST               equ  000000003h ; #define LVS_LIST             0x0003
LVS_TYPEMASK           equ  000000003h ; #define LVS_TYPEMASK         0x0003
LVS_SINGLESEL          equ  000000004h ; #define LVS_SINGLESEL        0x0004
LVS_SHOWSELALWAYS      equ  000000008h ; #define LVS_SHOWSELALWAYS    0x0008
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVS_SORTASCENDING      equ  000000010h ; #define LVS_SORTASCENDING    0x0010
LVS_SORTDESCENDING     equ  000000020h ; #define LVS_SORTDESCENDING   0x0020
LVS_SHAREIMAGELISTS    equ  000000040h ; #define LVS_SHAREIMAGELISTS  0x0040
LVS_NOLABELWRAP        equ  000000080h ; #define LVS_NOLABELWRAP      0x0080
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVS_AUTOARRANGE        equ  000000100h ; #define LVS_AUTOARRANGE      0x0100
LVS_EDITLABELS         equ  000000200h ; #define LVS_EDITLABELS       0x0200
LVS_OWNERDRAWFIXED     equ  000000400h ; #define LVS_OWNERDRAWFIXED   0x0400
LVS_ALIGNTOP           equ  000000000h ; #define LVS_ALIGNTOP         0x0000
LVS_ALIGNLEFT          equ  000000800h ; #define LVS_ALIGNLEFT        0x0800
LVS_ALIGNMASK          equ  000000C00h ; #define LVS_ALIGNMASK        0x0c00
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVS_OWNERDATA          equ  000001000h ; #define LVS_OWNERDATA        0x1000
LVS_NOSCROLL           equ  000002000h ; #define LVS_NOSCROLL         0x2000
LVS_NOCOLUMNHEADER     equ  000004000h ; #define LVS_NOCOLUMNHEADER   0x4000
LVS_NOSORTHEADER       equ  000008000h ; #define LVS_NOSORTHEADER     0x8000
LVS_TYPESTYLEMASK      equ  00000FC00h ; #define LVS_TYPESTYLEMASK    0xfc00
;*==========================================================================
;* commctrl.h                          ; /* ListView Extended Styles
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVS_EX_GRIDLINES           equ  00001h ; #def LVS_EX_GRIDLINES     0x0000001
LVS_EX_SUBITEMIMAGES       equ  00002h ; #def LVS_EX_SUBITEMIMAGES 0x0000002
LVS_EX_CHECKBOXES          equ  00004h ; #def LVS_EX_CHECKBOXES    0x0000004
LVS_EX_TRACKSELECT         equ  00008h ; #def LVS_EX_TRACKSELECT   0x0000008
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVS_EX_HEADERDRAGDROP      equ  00010h ; #def LVS_EX_HEADERDRAGDROP 0x000010
LVS_EX_FULLROWSELECT       equ  00020h ; #def LVS_EX_FULLROWSELECT    000020
LVS_EX_ONECLICKACTIVATE    equ  00040h ; #def LVS_EX_ONECLICKACTIVATE 000040
LVS_EX_TWOCLICKACTIVATE    equ  00080h ; #def LVS_EX_TWOCLICKACTIVATE 000080
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVS_EX_FLATSB              equ  00100h ; #def LVS_EX_FLATSB       0x00000100
LVS_EX_REGIONAL            equ  00200h ; #def LVS_EX_REGIONAL     0x00000200
LVS_EX_INFOTIP             equ  00400h ; #def LVS_EX_INFOTIP      0x00000400
LVS_EX_UNDERLINEHOT        equ  00800h ; #def LVS_EX_UNDERLINEHOT 0x00000800
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVS_EX_UNDERLINECOLD       equ  01000h ; #def LVS_EX_UNDERLINECOLD 0x0001000
LVS_EX_MULTIWORKAREAS      equ  02000h ; #def LVS_EX_MULTIWORKAREAS x0002000
LVS_EX_LABELTIP            equ  04000h ; #def LVS_EX_LABELTIP      0x0004000
;*==========================================================================
;* commctrl.h                          ; /* ListView Messages */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVM_FIRST            equ      01000h   ; #def LVM_FIRST            0x1000
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LVM_GETBKCOLOR       equ  LVM_FIRST+00 ; #def LVM_GETBKCOLOR  (LVM_FIRST+ 0)
LVM_SETBKCOLOR       equ  LVM_FIRST+01 ; #def LVM_SETBKCOLOR   (VM_FIRST+ 1)
LVM_GETIMAGELIST     equ  LVM_FIRST+02 ; #def LVM_GETIMAGELIST (VM_FIRST+ 2)
LVM_SETIMAGELIST     equ  LVM_FIRST+03 ; #def LVM_SETIMAGELIST (VM_FIRST+ 3)
LVM_GETITEMCOUNT     equ  LVM_FIRST+04 ; #def LVM_GETITEMCOUNT (VM_FIRST+ 4)
LVM_GETITEMA         equ  LVM_FIRST+05 ; #def LVM_GETITEMA     (VM_FIRST+ 5)
LVM_SETITEMA         equ  LVM_FIRST+06 ; #def LVM_SETITEMA    (LVM_FIRST+ 6)
LVM_INSERTITEMA      equ  LVM_FIRST+07 ; #def LVM_INSERTITEMA (LVM_FIRST+ 7)
LVM_DELETEITEM       equ  LVM_FIRST+08 ; #def LVM_DELETEITEM     (_FIRST+ 8)
LVM_DELETEALLITEMS   equ  LVM_FIRST+09 ; #def LVM_DELETEALLITEMS (_FIRST+ 9)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_GETCALLBACKMASK  equ  LVM_FIRST+10 ; #def LVM_GETCALLBACKMASK (FIRST+10)
LVM_SETCALLBACKMASK  equ  LVM_FIRST+11 ; #def LVM_SETCALLBACKMASK (FIRST+11)
LVM_GETNEXTITEM      equ  LVM_FIRST+12 ; #def LVM_GETNEXTITEM     (FIRST+12)
LVM_FINDITEMA        equ  LVM_FIRST+13 ; #def LVM_FINDITEMA       (FIRST+13)
LVM_GETITEMRECT      equ  LVM_FIRST+14 ; #def LVM_GETITEMRECT     (FIRST+14)
LVM_SETITEMPOSITION  equ  LVM_FIRST+15 ; #def LVM_SETITEMPOSITION (FIRST+15)
LVM_GETITEMPOSITION  equ  LVM_FIRST+16 ; #def LVM_GETITEMPOSITION (FIRST+16)
LVM_GETSTRINGWIDTHA  equ  LVM_FIRST+17 ; #def LVM_GETSTRINGWIDTHA (FIRST+17)
LVM_HITTEST          equ  LVM_FIRST+18 ; #def LVM_HITTEST         (FIRST+18)
LVM_ENSUREVISIBLE    equ  LVM_FIRST+19 ; #def LVM_ENSUREVISIBLE   (FIRST+19)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_SCROLL           equ  LVM_FIRST+20 ; #def LVM_SCROLL          (FIRST+20)
LVM_REDRAWITEMS      equ  LVM_FIRST+21 ; #def LVM_REDRAWITEMS     (FIRST+21)
LVM_ARRANGE          equ  LVM_FIRST+22 ; #def LVM_ARRANGE         (FIRST+22)
LVM_EDITLABELA       equ  LVM_FIRST+23 ; #def LVM_EDITLABELA      (FIRST+23)
LVM_GETEDITCONTROL   equ  LVM_FIRST+24 ; #def LVM_GETEDITCONTROL  (FIRST+24)
LVM_GETCOLUMNA       equ  LVM_FIRST+25 ; #def LVM_GETCOLUMNA      (FIRST+25)
LVM_SETCOLUMNA       equ  LVM_FIRST+26 ; #def LVM_SETCOLUMNA      (FIRST+26)
LVM_INSERTCOLUMNA    equ  LVM_FIRST+27 ; #def LVM_INSERTCOLUMNA   (FIRST+27)
LVM_DELETECOLUMN     equ  LVM_FIRST+28 ; #def LVM_DELETECOLUMN    (FIRST+28)
LVM_GETCOLUMNWIDTH   equ  LVM_FIRST+29 ; #def LVM_GETCOLUMNWIDTH  (FIRST+29)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_SETCOLUMNWIDTH   equ  LVM_FIRST+30 ; #def LVM_SETCOLUMNWIDTH  (FIRST+30)
LVM_GETHEADER        equ  LVM_FIRST+31 ; #def LVM_GETHEADER       (FIRST+31)
LVM_CREATEDRAGIMAGE  equ  LVM_FIRST+33 ; #def LVM_CREATEDRAGIMAGE (FIRST+33)
LVM_GETVIEWRECT      equ  LVM_FIRST+34 ; #def LVM_GETVIEWRECT     (FIRST+34)
LVM_GETTEXTCOLOR     equ  LVM_FIRST+35 ; #def LVM_GETTEXTCOLOR    (FIRST+35)
LVM_SETTEXTCOLOR     equ  LVM_FIRST+36 ; #def LVM_SETTEXTCOLOR    (FIRST+36)
LVM_GETTEXTBKCOLOR   equ  LVM_FIRST+37 ; #def LVM_GETTEXTBKCOLOR  (FIRST+37)
LVM_SETTEXTBKCOLOR   equ  LVM_FIRST+38 ; #def LVM_SETTEXTBKCOLOR  (FIRST+38)
LVM_GETTOPINDEX      equ  LVM_FIRST+39 ; #def LVM_GETTOPINDEX     (FIRST+39)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_GETCOUNTPERPAGE  equ  LVM_FIRST+40 ; #def LVM_GETCOUNTPERPAGE (FIRST+40)
LVM_GETORIGIN        equ  LVM_FIRST+41 ; #def LVM_GETORIGIN       (FIRST+41)
LVM_UPDATE           equ  LVM_FIRST+42 ; #def LVM_UPDATE          (FIRST+42)
LVM_SETITEMSTATE     equ  LVM_FIRST+43 ; #def LVM_SETITEMSTATE    (FIRST+43)
LVM_GETITEMSTATE     equ  LVM_FIRST+44 ; #def LVM_GETITEMSTATE    (FIRST+44)
LVM_GETITEMTEXTA     equ  LVM_FIRST+45 ; #def LVM_GETITEMTEXTA    (FIRST+45)
LVM_SETITEMTEXTA     equ  LVM_FIRST+46 ; #def LVM_SETITEMTEXTA    (FIRST+46)
LVM_SETITEMCOUNT     equ  LVM_FIRST+47 ; #def LVM_SETITEMCOUNT    (FIRST+47)
LVM_SORTITEMS         equ LVM_FIRST+48 ; #def LVM_SORTITEMS       (FIRST+48)
LVM_SETITEMPOSITION32 equ LVM_FIRST+49 ; #def LVM_SETITEMPOSITION32 (RST+49)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_GETSELECTEDCOUNT  equ LVM_FIRST+50 ; def LVM_GETSELECTEDCOUNT (FIRST+50)
LVM_GETITEMSPACING    equ LVM_FIRST+51 ; def LVM_GETITEMSPACING   (FIRST+51)
LVM_GETISEARCHSTRINGA equ LVM_FIRST+52 ; def LVM_GETISEARCHSTRINGA(FIRST+52)
LVM_SETICONSPACING    equ LVM_FIRST+53 ; def LVM_SETICONSPACING   (FIRST+53)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_SETEXTENDEDLISTVIEWSTYLE      equ  LVM_FIRST+54
LVM_GETEXTENDEDLISTVIEWSTYLE      equ  LVM_FIRST+55
;#define LVM_SETEXTENDEDLISTVIEWSTYLE (LVM_FIRST+54)
;#define LVM_GETEXTENDEDLISTVIEWSTYLE (LVM_FIRST+55)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_GETSUBITEMRECT        equ LVM_FIRST+56   ; GETSUBITEMRECT     (FIRST+56)
LVM_SUBITEMHITTEST        equ LVM_FIRST+57   ; SUBITEMHITTEST     (FIRST+57)
LVM_SETCOLUMNORDERARRAY   equ LVM_FIRST+58   ; SETCOLUMNORDERARRAY FIRST+58)
LVM_GETCOLUMNORDERARRAY   equ LVM_FIRST+59   ; GETCOLUMNORDERARRAY FIRST+59)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_SETHOTITEM            equ LVM_FIRST+60   ; SETHOTITEM         (FIRST+60)
LVM_GETHOTITEM            equ LVM_FIRST+61   ; GETHOTITEM         (FIRST+61)
LVM_SETHOTCURSOR          equ LVM_FIRST+62   ; SETHOTCURSOR       (FIRST+62)
LVM_GETHOTCURSOR          equ LVM_FIRST+63   ; GETHOTCURSOR       (FIRST+63)
LVM_APPROXIMATEVIEWRECT   equ LVM_FIRST+64   ; APPROXIMATEVIEWRECT FIRST+64)
LVM_SETWORKAREAS          equ LVM_FIRST+65   ; SETWORKAREAS       (FIRST+65)
LVM_GETSELECTIONMARK      equ LVM_FIRST+66   ; GETSELECTIONMARK   (FIRST+66)
LVM_SETSELECTIONMARK      equ LVM_FIRST+67   ; SETSELECTIONMARK   (FIRST+67)
LVM_SETBKIMAGEA           equ LVM_FIRST+68   ; SETBKIMAGEA        (FIRST+68)
LVM_GETBKIMAGEA           equ LVM_FIRST+69   ; GETBKIMAGEA        (FIRST+69)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_GETWORKAREAS          equ LVM_FIRST+70   ; GETWORKAREAS       (FIRST+70)
LVM_SETHOVERTIME          equ LVM_FIRST+71   ; SETHOVERTIME       (FIRST+71)
LVM_GETHOVERTIME          equ LVM_FIRST+72   ; GETHOVERTIME         (FST+72)
LVM_GETNUMBEROFWORKAREAS  equ LVM_FIRST+73   ; GETNUMBEROFWORKAREAS (FST+73)
LVM_SETTOOLTIPS           equ LVM_FIRST+74   ; SETTOOLTIPS          (FST+74)
LVM_GETITEMW              equ LVM_FIRST+75   ; LVM_GETITEMW       (FIRST+75)
LVM_SETITEMW              equ LVM_FIRST+76   ; LVM_SETITEMW       (FIRST+76)
LVM_INSERTITEMW           equ LVM_FIRST+77   ; LVM_INSERTITEMW    (FIRST+77)
LVM_GETTOOLTIPS           equ LVM_FIRST+78   ; GETTOOLTIPS        (FIRST+78)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVM_SORTITEMSEX      equ  LVM_FIRST+81 ;#def LVM_SORTITEMSEX  (LVM_FIRST+81)
LVM_FINDITEMW        equ  LVM_FIRST+83 ;#def LVM_FINDITEMW       (_FIRST+83)
LVM_GETSTRINGWIDTHW  equ  LVM_FIRST+87 ;#def LVM_GETSTRINGWIDTHW  (FIRST+87)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_GETCOLUMNW       equ  LVM_FIRST+95 ;#def LVM_GETCOLUMNW       (FIRST+95)
LVM_SETCOLUMNW       equ  LVM_FIRST+96 ;#def LVM_SETCOLUMNW       (FIRST+96)
LVM_INSERTCOLUMNW    equ  LVM_FIRST+97 ;#def LVM_INSERTCOLUMNW    (FIRST+97)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LVM_GETITEMTEXTW     equ  LVM_FIRST+115;#def LVM_GETITEMTEXTW     (FIRST+115
LVM_SETITEMTEXTW     equ  LVM_FIRST+116;#def LVM_SETITEMTEXTW     (FIRST+116
LVM_GETISEARCHSTRINGW equ LVM_FIRST+117;#def LVM_GETISEARCHSTRINGW FIRST+117
LVM_EDITLABELW       equ  LVM_FIRST+118;#def LVM_EDITLABELW       (FIRST+118
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVM_SETBKIMAGEW      equ  LVM_FIRST+138;#def SETBKIMAGEW      (LVM_FIRST+138
LVM_GETBKIMAGEW      equ  LVM_FIRST+139;#def GETBKIMAGEW      (LVM_FIRST+139
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* #define LVM_SETUNICODEFORMAT          CCM_SETUNICODEFORMAT
;* #define LVM_GETUNICODEFORMAT          CCM_GETUNICODEFORMAT
;*==========================================================================
;* commctrl.h                          ; //* ListView GetColumn constants */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVCF_FMT                   equ  00001h ; #def LVCF_FMT                0x0001
LVCF_WIDTH                 equ  00002h ; #def LVCF_WIDTH              0x0002
LVCF_TEXT                  equ  00004h ; #def LVCF_TEXT               0x0004
LVCF_SUBITEM               equ  00008h ; #def LVCF_SUBITEM            0x0008
LVCF_IMAGE                 equ  00010h ; #def LVCF_IMAGE              0x0010
LVCF_ORDER                 equ  00020h ; #def LVCF_ORDER              0x0020
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVCFMT_LEFT                equ  00000h ; #def LVCFMT_LEFT             0x0000
LVCFMT_RIGHT               equ  00001h ; #def LVCFMT_RIGHT            0x0001
LVCFMT_CENTER              equ  00002h ; #def LVCFMT_CENTER           0x0002
LVCFMT_JUSTIFYMASK         equ  00003h ; #def LVCFMT_JUSTIFYMASK      0x0003
LVCFMT_IMAGE               equ  00800h ; #def LVCFMT_IMAGE            0x0800
LVCFMT_BITMAP_ON_RIGHT     equ  01000h ; #def LVCFMT_BITMAP_ON_RIGHT  0x1000
LVCFMT_COL_HAS_IMAGES      equ  08000h ; #def LVCFMT_COL_HAS_IMAGES   0x8000
;*--------------------------------------------------------------------------
;* commctrl.h                          ; ListView SetColumnWidth constants
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVSCW_AUTOSIZE              equ    -1  ; #define LVSCW_AUTOSIZE           -1
LVSCW_AUTOSIZE_USEHEADER    equ    -2  ; #define LVSCW_AUTOSIZE_USEHEADER -2
;*--------------------------------------------------------------------------
;* commctrl.h                          ; /* ListView LVITEM & FINDINFO flags
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVIF_TEXT                  equ  00001h ; #define LVIF_TEXT            0x0001
LVIF_IMAGE                 equ  00002h ; #define LVIF_IMAGE           0x0002
LVIF_PARAM                 equ  00004h ; #define LVIF_PARAM           0x0004
LVIF_STATE                 equ  00008h ; #define LVIF_STATE           0x0008
LVIF_INDENT                equ  00010h ; #define LVIF_INDENT          0x0010
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LVIF_GROUPID               equ  00100h ; #define LVIF_GROUPID         0x0100
LVIF_COLUMNS               equ  00200h ; #define LVIF_COLUMNS         0x0200
LVIF_NORECOMPUTE           equ  00800h ; #define LVIF_NORECOMPUTE     0x0800
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LVIF_DI_SETITEM            equ  01000h ; #define LVIF_DI_SETITEM      0x1000
;*--------------------------------------------------------------------------
;* commctrl.h                          ; /* ListView LVITEM stateMask */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVIS_FOCUSED               equ  00001h ; #define LVIS_FOCUSED         0x0001
LVIS_SELECTED              equ  00002h ; #define LVIS_SELECTED        0x0002
LVIS_CUT                   equ  00004h ; #define LVIS_CUT             0x0004
LVIS_DROPHILITED           equ  00008h ; #define LVIS_DROPHILITED     0x0008
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVIS_ACTIVATING            equ  00020h ; #define LVIS_ACTIVATING      0x0020
LVIS_OVERLAYMASK           equ  00F00h ; #define LVIS_OVERLAYMASK     0x0F00
LVIS_STATEIMAGEMASK        equ  0F000h ; #define LVIS_STATEIMAGEMASK  0xF000
;*==========================================================================
;* commctrl.h                          ; /* ListView FindItem constants */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVFI_PARAM                 equ  00001h ; #define LVFI_PARAM           0x0001
LVFI_STRING                equ  00002h ; #define LVFI_STRING          0x0002
LVFI_PARTIAL               equ  00008h ; #define LVFI_PARTIAL         0x0008
LVFI_WRAP                  equ  00020h ; #define LVFI_WRAP            0x0020
LVFI_NEARESTXY             equ  00040h ; #define LVFI_NEARESTXY       0x0040
;*--------------------------------------------------------------------------
;* commctrl.h                          ; /* ListView HitTest constants */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVHT_NOWHERE               equ  00001h ; #define LVHT_NOWHERE         0x0001
LVHT_ONITEMICON            equ  00002h ; #define LVHT_ONITEMICON      0x0002
LVHT_ONITEMLABEL           equ  00004h ; #define LVHT_ONITEMLABEL     0x0004
LVHT_ONITEMSTATEICON       equ  00008h ; #define LVHT_ONITEMSTATEICON 0x0008
LVHT_ONITEM                equ  0000Eh ; #define LVHT_ONITEM          0x000E
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVHT_ABOVE                 equ  00008h ; #define LVHT_ABOVE           0x0008
LVHT_BELOW                 equ  00010h ; #define LVHT_BELOW           0x0010
LVHT_TORIGHT               equ  00020h ; #define LVHT_TORIGHT         0x0020
LVHT_TOLEFT                equ  00040h ; #define LVHT_TOLEFT          0x0040
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* LVHT_ONITEM   (LVHT_ONITEMICON | LVHT_ONITEMLABEL | LVHT_ONITEMSTATEICON)
;*==========================================================================
;* commctrl.h                          ; /* ListView SetImageList constants
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVSIL_NORMAL               equ      0  ; #define LVSIL_NORMAL            0
LVSIL_SMALL                equ      1  ; #define LVSIL_SMALL             1
LVSIL_STATE                equ      2  ; #define LVSIL_STATE             2
;*--------------------------------------------------------------------------
;* commctrl.h                          ; /* ListView NextItem constants */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVNI_ALL                   equ  00000h ; #define LVNI_ALL             0x0000
LVNI_FOCUSED               equ  00001h ; #define LVNI_FOCUSED         0x0001
LVNI_SELECTED              equ  00002h ; #define LVNI_SELECTED        0x0002
LVNI_CUT                   equ  00004h ; #define LVNI_CUT             0x0004
LVNI_DROPHILITED           equ  00008h ; #define LVNI_DROPHILITED     0x0008
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVNI_ABOVE                 equ  00100h ; #define LVNI_ABOVE           0x0100
LVNI_BELOW                 equ  00200h ; #define LVNI_BELOW           0x0200
LVNI_TOLEFT                equ  00400h ; #define LVNI_TOLEFT          0x0400
LVNI_TORIGHT               equ  00800h ; #define LVNI_TORIGHT         0x0800
;*--------------------------------------------------------------------------
;* commctrl.h                          ; /* ListView ItemRect constants */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVIR_BOUNDS                equ     0   ; #define LVIR_BOUNDS             0
LVIR_ICON                  equ     1   ; #define LVIR_ICON               1
LVIR_LABEL                 equ     2   ; #define LVIR_LABEL              2
LVIR_SELECTBOUNDS          equ     3   ; #define LVIR_SELECTBOUNDS       3
;*--------------------------------------------------------------------------
;* commctrl.h                          ; /* ListView Arrange constants */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVA_DEFAULT                equ  00000h ; #define LVA_DEFAULT          0x0000
LVA_ALIGNLEFT              equ  00001h ; #define LVA_ALIGNLEFT        0x0001
LVA_ALIGNTOP               equ  00002h ; #define LVA_ALIGNTOP         0x0002
LVA_SNAPTOGRID             equ  00005h ; #define LVA_SNAPTOGRID       0x0005
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% commctrl.h                          ; /* ListView SetBkImage constants
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVBKIF_SOURCE_NONE         equ  00000h ; #def LVBKIF_SOURCE_NONE   0x0000000
LVBKIF_SOURCE_HBITMAP      equ  00001h ; #def LVBKIF_SOURCE_HBITMAP x0000001
LVBKIF_SOURCE_URL          equ  00002h ; #def LVBKIF_SOURCE_URL    0x0000002
LVBKIF_SOURCE_MASK         equ  00003h ; #def LVBKIF_SOURCE_MASK   0x0000003
LVBKIF_STYLE_NORMAL        equ  00000h ; #def LVBKIF_STYLE_NORMAL  0x0000000
LVBKIF_STYLE_TILE          equ  00010h ; #def LVBKIF_STYLE_TILE    0x0000010
LVBKIF_STYLE_MASK          equ  00010h ; #def LVBKIF_STYLE_MASK    0x0000010
;*--------------------------------------------------------------------------
;* commctrl.h                          ; LstView keyflags StoredIn uKeyFlags
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;LVKF_ALT                  equ  00001h ; #define LVKF_ALT             0x0001
;LVKF_CONTROL              equ  00002h ; #define LVKF_CONTROL         0x0002
;LVKF_SHIFT                equ  00004h ; #define LVKF_SHIFT           0x0004
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890  equ  012345678h ;#def 12345678901234567890 0x12345678
;###########################################################################

;###########################################################################
;12345678901234567890  equ  012345678h ;#def 12345678901234567890 0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% commctrl.h                          ; /* ListView Notifications */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* #define LVN_FIRST         (0U-100U) ; // listview
;* #define LVN_LAST          (0U-199U) ;
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;VN_FIRST           equ     -100       ; #def LVN_FIRST      (0U-100U)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LVN_ITEMCHANGING    equ  LVN_FIRST-000 ; #def LVN_ITEMCHANGING    (FIRST-00)
LVN_ITEMCHANGED     equ  LVN_FIRST-001 ; #def LVN_ITEMCHANGED     (FIRST-01)
LVN_INSERTITEM      equ  LVN_FIRST-002 ; #def LVN_INSERTITEM      (FIRST-02)
LVN_DELETEITEM      equ  LVN_FIRST-003 ; #def LVN_DELETEITEM      (FIRST-03)
LVN_DELETEALLITEMS  equ  LVN_FIRST-004 ; #def LVN_DELETEALLITEMS  (FIRST-04)
LVN_BEGINLABELEDITA equ  LVN_FIRST-005 ; #def LVN_BEGINLABELEDITA (FIRST-05)
LVN_ENDLABELEDITA   equ  LVN_FIRST-006 ; #def LVN_ENDLABELEDITA   (FIRST-06)
LVN_COLUMNCLICK     equ  LVN_FIRST-008 ; #def LVN_COLUMNCLICK     (FIRST-08)
LVN_BEGINDRAG       equ  LVN_FIRST-009 ; #def LVN_BEGINDRAG       (FIRST-09)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVN_BEGINRDRAG      equ  LVN_FIRST-011 ; #def LVN_BEGINRDRAG      (FIRST-11)
LVN_ODCACHEHINT     equ  LVN_FIRST-013 ; #def LVN_ODCACHEHINT     (FIRST-13)
LVN_ITEMACTIVATE    equ  LVN_FIRST-014 ; #def LVN_ITEMACTIVATE    (FIRST-14)
LVN_ODSTATECHANGED  equ  LVN_FIRST-015 ; #def LVN_ODSTATECHANGED  (FIRST-15)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVN_HOTTRACK        equ  LVN_FIRST-021 ; #def LVN_HOTTRACK    (LVN_FIRST-21)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
LVN_GETDISPINFOA    equ  LVN_FIRST-050 ; #def LVN_GETDISPINFOA (VN_FIRST-50)
LVN_SETDISPINFOA    equ  LVN_FIRST-051 ; #def LVN_SETDISPINFOA (VN_FIRST-51)
LVN_ODFINDITEMA     equ  LVN_FIRST-052 ; #def LVN_ODFINDITEMA  (VN_FIRST-52)
LVN_KEYDOWN         equ  LVN_FIRST-055 ; #def LVN_KEYDOWN      (VN_FIRST-55)
LVN_MARQUEEBEGIN    equ  LVN_FIRST-056 ; #def LVN_MARQUEEBEGIN (VN_FIRST-56)
LVN_GETINFOTIPA     equ  LVN_FIRST-057 ; #def LVN_GETINFOTIPA (LVN_FIRST-57)
LVN_GETINFOTIPW     equ  LVN_FIRST-058 ; #def LVN_GETINFOTIPW (LVN_FIRST-58)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
LVN_BEGINLABELEDITW equ  LVN_FIRST-075 ; #def LVN_BEGINLABELEDITW (FIRST-75)
LVN_ENDLABELEDITW   equ  LVN_FIRST-076 ; #def LVN_ENDLABELEDITW   (FIRST-76)
LVN_GETDISPINFOW    equ  LVN_FIRST-077 ; #def LVN_GETDISPINFOW    (FIRST-77)
LVN_SETDISPINFOW    equ  LVN_FIRST-078 ; #def LVN_SETDISPINFOW    (FIRST-78)
LVN_ODFINDITEMW     equ  LVN_FIRST-079 ; #def LVN_ODFINDITEMW     (FIRST-79)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;% LVIF_DI_SETITEM  equ     01000h     ; #def LVIF_DI_SETITEM        0x1000h
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% commctrl.h                          ; LstView keyflags StoredIn uKeyFlags
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVKF_ALT                   equ  00001h ; #define LVKF_ALT            0x0001h
LVKF_CONTROL               equ  00002h ; #define LVKF_CONTROL        0x0002h
LVKF_SHIFT                 equ  00004h ; #define LVKF_SHIFT          0x0004h
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890  equ  012345678h ;#def 12345678901234567890 0x12345678
;###########################################################################

;###########################################################################
;2345678_123456789012  equ  12345678_123456789012+LS ; 000 000 000 HINSTANCE
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% COMMCTRL.h          List View COLUMN              ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
lvcolumn_mask          equ  000                      ; 000 000 000 UINT
lvcolumn_fmt           equ  lvcolumn_mask+04         ; 004 004 004 int
lvcolumn_cx            equ  lvcolumn_fmt+04          ; 008 008 008 int
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
lvcolumn_pszText       equ  lvcolumn_cx+DV           ; 012 016 016 LPSTR
lvcolumn_cchTextMax    equ  lvcolumn_pszText+LV      ; 016 024 032 int
lvcolumn_iSubItem      equ  lvcolumn_cchTextMax+04   ; 020 028 036 int
;* -   -   -   -   -   -   -   -   -   -   -   -   - ; -   -   -   -   -   -
lvcolumn_iImage        equ  lvcolumn_iSubItem+04     ; 024 032 040 int
lvcolumn_iOrder        equ  lvcolumn_iImage+04       ; 028 036 044 int
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVCOLUMN               equ  lvcolumn_iOrder+04       ; 032 040 048 W95,NT351
;*--------------------------------------------------------------------------
;* COMMCTRL.h          List View ITEM                ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
lvitem_mask            equ  000                      ; 000 000 000 UINT
lvitem_iItem           equ  lvitem_mask+04           ; 004 004 004 int
lvitem_iSubItem        equ  lvitem_iItem+04          ; 008 008 008 int
lvitem_state           equ  lvitem_iSubItem+04       ; 012 012 012 UINT
lvitem_stateMask       equ  lvitem_state+04          ; 016 016 016 UINT
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
lvitem_pszText         equ  lvitem_stateMask+LV      ; 020 024 032 LPSTR
lvitem_cchTextMax      equ  lvitem_pszText+LV        ; 024 032 048 int
lvitem_iImage          equ  lvitem_cchTextMax+04     ; 028 036 052 int
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
lvitem_lParam          equ  lvitem_iImage+04+LV-DV   ; 032 040 064 LPARAM
lvitem_iIndent         equ  lvitem_lParam+LV         ; 036 048 080 int
;* -   -   -   -   -   -   -   -   -   -   -   -   - ; -   -   -   -   -   -
lvitem_iGroupId        equ  lvitem_iIndent+04        ; 040 052 084 int
lvitem_cColumns        equ  lvitem_iGroupId+04       ; 044 056 088 UINT
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
lvitem_puColumns       equ  lvitem_cColumns+DV       ; 048 064 096 PUINT
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVITEM                 equ  lvitem_puColumns+LV      ; 052 072 112 W95,NT351
;*==========================================================================
;* COMMCTRL.h          List View FINDINFO            ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
lvfindinfo_flags       equ  000                      ; 000 000 000 UINT 
lvfindinfo_psz         equ  lvfindinfo_flags+LV      ; 004 008 016 LPCSTR
lvfindinfo_lParam      equ  lvfindinfo_psz+LV        ; 008 016 032 LPARAM
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
lvfindinfo_pt_X        equ  lvfindinfo_lParam+LV     ; 012 024 048 POINT_X
lvfindinfo_pt_Y        equ  lvfindinfo_pt_X+04       ; 016 028 052 POINT_Y
lvfindinfo_vkDirection equ  lvfindinfo_pt_Y+04       ; 020 032 056 UINT
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVFINDINFO             equ  lvfindinfo_vkDirection+4 ; 024 036 060 W95,NT351
;*--------------------------------------------------------------------------
;* COMMCTRL.h          List View HITTESTINFO         ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
lvhittestinfo_pt_X     equ  000                      ; 000 000 000 POINT_X
lvhittestinfo_pt_Y     equ  lvhittestinfo_pt_X+04    ; 004 004 004 POINT_Y
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
lvhittestinfo_flags    equ  lvhittestinfo_pt_Y+04    ; 008 008 008 UINT
lvhittestinfo_iItem    equ  lvhittestinfo_flags+04   ; 012 012 012 int
;* -   -   -   -   -   -   -   -   -   -   -   -   - ; -   -   -   -   -   -
lvhittestinfo_iSubItem equ  lvhittestinfo_iItem+04   ; 016 016 016 int
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LVHITTESTINFO          equ  lvhittestinfo_iSubItem+4 ; 020 020 020 W95,NT351
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.h           MDI  NEXT  MENU               ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;2345678_123456789012  equ  12345678_123456789012+LS ; 000 000 000 HINSTANCE
;2345678_123456789012  equ  12345678_123456789012+LS ; 004 008 016 HINSTANCE
;2345678_123456789012  equ  12345678_123456789012+LS ; 008 016 032 HINSTANCE
;###########################################################################

;###########################################################################
;234567890_1234567890  equ  12345678_123456789012+LS ; 000 000 000 HINSTANCE
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.h           Notification Message HeaDeR   ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
nmhdr_hwndFrom         equ  000                      ; 000 000 000 HWND
nmhdr_idFrom           equ  nmhdr_hwndFrom+LV        ; 004 008 016 UINT_PTR
nmhdr_code             equ  nmhdr_idFrom+LV          ; 008 016 032 UINT
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
NMHDR                  equ  nmhdr_code+04            ; 012 020 036 sizeof();
;*--------------------------------------------------------------------------
;* COMMCTRL.h          Noti Mssg NMLISTVIEW          ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
nmlistview_hdr         equ  000                      ; 000 000 000 NMHDR
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
nmlistview_iItem       equ  nmlistview_hdr+NMHDR     ; 012 020 036 int
nmlistview_iSubItem    equ  nmlistview_iItem+04      ; 016 024 040 int
nmlistview_uNewState   equ  nmlistview_iSubItem+04   ; 020 028 044 UINT
nmlistview_uOldState   equ  nmlistview_uNewState+04  ; 024 032 048 UINT
nmlistview_uChanged    equ  nmlistview_uOldState+04  ; 028 036 052 UINT
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
nmlistview_ptAction_X  equ  nmlistview_uChanged+04   ; 032 040 056 POINT_X
nmlistview_ptAction_Y  equ  nmlistview_ptAction_X+04 ; 036 044 060 POINT_Y
nmlistview_lParam      equ  nmlistview_ptAction_Y+04 ; 040 048 064 LPARAM
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
NMLISTVIEW             equ  nmlistview_lParam+LV     ; 044 056 080 W95,W2000
;*--------------------------------------------------------------------------
;* COMMCTRL            Noti Mssg NMLVCACHEHINT       ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
nmlvcachehint_hdr      equ  000                      ; 000 000 000 NMHDR
nmlvcachehint_iFrom    equ  nmlvcachehint_hdr+NMHDR  ; 012 020 036 int
nmlvcachehint_iTo      equ  nmlvcachehint_iFrom+04   ; 016 024 040 int
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
NMLVCACHEHINT          equ  nmlvcachehint_iTo+04     ; 020 028 044 W95,W2000
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.h           MDI  NEXT  MENU               ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;2345678_123456789012  equ  12345678_123456789012+LS ; 000 000 000 HINSTANCE
;2345678_123456789012  equ  12345678_123456789012+LS ; 004 008 016 HINSTANCE
;2345678_123456789012  equ  12345678_123456789012+LS ; 008 016 032 HINSTANCE
;###########################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.H                                       ; /* GetSystemMetrics() codes */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SM_CXSCREEN                       equ          0  ; #define   SM_CXSCREEN               0
;SM_CYSCREEN                       equ          1  ; #define   SM_CYSCREEN               1
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###########################################################################
;12345678901234567890  equ  012345678h ; #def 1234567890123456789 0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* COMMCTRL.H                          ; // ===  TRACKBAR CONTROL ===
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TBS_AUTOTICKS          equ      00001h ; #define TBS_AUTOTICKS       0x0001h
TBS_HORZ               equ      00000h ; #define TBS_HORZ            0x0000h
TBS_VERT               equ      00002h ; #define TBS_VERT            0x0002h
TBS_BOTTOM             equ      00000h ; #define TBS_BOTTOM          0x0000h
TBS_TOP                equ      00004h ; #define TBS_TOP             0x0004h
TBS_RIGHT              equ      00000h ; #define TBS_RIGHT           0x0000h
TBS_LEFT               equ      00004h ; #define TBS_LEFT            0x0004h
TBS_BOTH               equ      00008h ; #define TBS_BOTH            0x0008h
TBS_NOTICKS            equ      00010h ; #define TBS_NOTICKS         0x0010h
TBS_ENABLESELRANGE     equ      00020h ; #define TBS_ENABLESELRANGE  0x0020h
TBS_FIXEDLENGTH        equ      00040h ; #define TBS_FIXEDLENGTH     0x0040h
TBS_NOTHUMB            equ      00080h ; #define TBS_NOTHUMB         0x0080h
TBS_TOOLTIPS           equ      00100h ; #define TBS_TOOLTIPS        0x0100h
TBS_REVERSED           equ      00200h ; #define TBS_REVERSED        0x0200h
;*--------------------------------------------------------------------------
;* COMMCTRL.H                          ; //===  TRACKBAR Messages ===
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;WM_USER               equ  00400h     ; #def  WM_USER           0x00000400h
TBM_GETPOS             equ  WM_USER+00 ; #def TBM_GETPOS        (WM_USER+00)
TBM_GETRANGEMIN        equ  WM_USER+01 ; #def TBM_GETRANGEMIN   (WM_USER+01)
TBM_GETRANGEMAX        equ  WM_USER+02 ; #def TBM_GETRANGEMAX   (WM_USER+02)
TBM_GETTIC             equ  WM_USER+03 ; #def TBM_GETTIC        (WM_USER+03)
TBM_SETTIC             equ  WM_USER+04 ; #def TBM_SETTIC        (WM_USER+04)
TBM_SETPOS             equ  WM_USER+05 ; #def TBM_SETPOS        (WM_USER+05)
TBM_SETRANGE           equ  WM_USER+06 ; #def TBM_SETRANGE      (WM_USER+06)
TBM_SETRANGEMIN        equ  WM_USER+07 ; #def TBM_SETRANGEMIN   (WM_USER+07)
TBM_SETRANGEMAX        equ  WM_USER+08 ; #def TBM_SETRANGEMAX   (WM_USER+08)
TBM_CLEARTICS          equ  WM_USER+09 ; #def TBM_CLEARTICS     (WM_USER+09)
TBM_SETSEL             equ  WM_USER+10 ; #def TBM_SETSEL        (WM_USER+10)
TBM_SETSELSTART        equ  WM_USER+11 ; #def TBM_SETSELSTART   (WM_USER+11)
TBM_SETSELEND          equ  WM_USER+12 ; #def TBM_SETSELEND     (WM_USER+12)
TBM_GETPTICS           equ  WM_USER+14 ; #def TBM_GETPTICS      (WM_USER+14)
TBM_GETTICPOS          equ  WM_USER+15 ; #def TBM_GETTICPOS     (WM_USER+15)
TBM_GETNUMTICS         equ  WM_USER+16 ; #def TBM_GETNUMTICS    (WM_USER+16)
TBM_GETSELSTART        equ  WM_USER+17 ; #def TBM_GETSELSTART   (WM_USER+17)
TBM_GETSELEND          equ  WM_USER+18 ; #def TBM_GETSELEND     (WM_USER+18)
TBM_CLEARSEL           equ  WM_USER+19 ; #def TBM_CLEARSEL      (WM_USER+19)
TBM_SETTICFREQ         equ  WM_USER+20 ; #def TBM_SETTICFREQ    (WM_USER+20)
TBM_SETPAGESIZE        equ  WM_USER+21 ; #def TBM_SETPAGESIZE   (WM_USER+21)
TBM_GETPAGESIZE        equ  WM_USER+22 ; #def TBM_GETPAGESIZE   (WM_USER+22)
TBM_SETLINESIZE        equ  WM_USER+23 ; #def TBM_SETLINESIZE   (WM_USER+23)
TBM_GETLINESIZE        equ  WM_USER+24 ; #def TBM_GETLINESIZE   (WM_USER+24)
TBM_GETTHUMBRECT       equ  WM_USER+25 ; #def TBM_GETTHUMBRECT    (_USER+25)
TBM_GETCHANNELRECT     equ  WM_USER+26 ; #def TBM_GETCHANNELRECT  (_USER+26)
TBM_SETTHUMBLENGTH     equ  WM_USER+27 ; #def TBM_SETTHUMBLENGTH  (_USER+27)
TBM_GETTHUMBLENGTH     equ  WM_USER+28 ; #def TBM_GETTHUMBLENGTH  (_USER+28)
TBM_SETTOOLTIPS        equ  WM_USER+29 ; #def TBM_SETTOOLTIPS     (_USER+29)
TBM_GETTOOLTIPS        equ  WM_USER+30 ; #def TBM_GETTOOLTIPS   (WM_USER+30)
TBM_SETTIPSIDE         equ  WM_USER+31 ; #def TBM_SETTIPSIDE    (WM_USER+31)
TBM_SETBUDDY           equ  WM_USER+32 ; #def TBM_SETBUDDY      (WM_USER+32)
TBM_GETBUDDY           equ  WM_USER+33 ; #def TBM_GETBUDDY      (WM_USER+33)
;*--------------------------------------------------------------------------
;* COMMCTRL.H                          ; //   TrackBar Tip Side flags
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TBTS_TOP               equ   0         ; #def TBTS_TOP                0
TBTS_LEFT              equ   1         ; #def TBTS_LEFT               1
TBTS_BOTTOM            equ   2         ; #def TBTS_BOTTOM             2
TBTS_RIGHT             equ   3         ; #def TBTS_RIGHT              3
;*--------------------------------------------------------------------------
;* #if    (_WIN32_IE >= 0x0400)
;* #define TBM_SETUNICODEFORMAT    CCM_SETUNICODEFORMAT
;* #define TBM_GETUNICODEFORMAT    CCM_GETUNICODEFORMAT
;* #endif
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* #define TBM_SETBUDDY      (WM_USER+32) // wparam = BOOL fLeft; (or right)
;* #define TBM_GETBUDDY      (WM_USER+33) // wparam = BOOL fLeft; (or right)
;*--------------------------------------------------------------------------
;* COMMCTRL.H                          ; // ===  TRACKBAR Messages ===
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TB_LINEUP              equ           0 ; #define TB_LINEUP               0
TB_LINEDOWN            equ           1 ; #define TB_LINEDOWN             1
TB_PAGEUP              equ           2 ; #define TB_PAGEUP               2
TB_PAGEDOWN            equ           3 ; #define TB_PAGEDOWN             3
TB_THUMBPOSITION       equ           4 ; #define TB_THUMBPOSITION        4
TB_THUMBTRACK          equ           5 ; #define TB_THUMBTRACK           5
TB_TOP                 equ           6 ; #define TB_TOP                  6
TB_BOTTOM              equ           7 ; #define TB_BOTTOM               7
TB_ENDTRACK            equ           8 ; #define TB_ENDTRACK             8
;*--------------------------------------------------------------------------
;* COMMCTRL.H                          ; // custom draw item specs
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TBCD_TICS              equ       00001 ; #define TBCD_TICS    0x0001
TBCD_THUMB             equ       00002 ; #define TBCD_THUMB   0x0002
TBCD_CHANNEL           equ       00003 ; #define TBCD_CHANNEL 0x0003
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890  equ  012345678h ; #def 1234567890123456789 0x12345678
;###########################################################################







;;###############################################################################################################
;;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;* WINNT.HH                                        ; /* Virtal Memory Flags */
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SECTION_QUERY                      equ      00001h ; #define   SECTION_QUERY                             0x0001h
;SECTION_MAP_WRITE                  equ      00002h ; #define   SECTION_MAP_WRITE                         0x0002h
;SECTION_MAP_READ                   equ      00004h ; #define   SECTION_MAP_READ                          0x0004h
;SECTION_MAP_EXECUTE                equ      00008h ; #define   SECTION_MAP_EXECUTE                       0x0008h
;SECTION_EXTEND_SIZE                equ      00010h ; #define   SECTION_EXTEND_SIZE                       0x0010h
;;*--------------------------------------------------------------------------------------------------------------
;PAGE_NOACCESS                      equ      00001h ; #define   PAGE_NOACCESS                             0x0001h
;PAGE_READONLY                      equ      00002h ; #define   PAGE_READONLY                             0x0002h
;PAGE_READWRITE                     equ      00004h ; #define   PAGE_READWRITE                            0x0004h
;PAGE_WRITECOPY                     equ      00008h ; #define   PAGE_WRITECOPY                            0x0008h
;PAGE_EXECUTE                       equ      00010h ; #define   PAGE_EXECUTE                              0x0010h
;PAGE_EXECUTE_READ                  equ      00020h ; #define   PAGE_EXECUTE_READ                         0x0020h
;PAGE_EXECUTE_READWRITE             equ      00040h ; #define   PAGE_EXECUTE_READWRITE                    0x0040h
;PAGE_EXECUTE_WRITECOPY             equ      00080h ; #define   PAGE_EXECUTE_WRITECOPY                    0x0080h
;PAGE_GUARD                         equ      00100h ; #define   PAGE_GUARD                                0x0100h
;PAGE_NOCACHE                       equ      00200h ; #define   PAGE_NOCACHE                              0x0200h
;;*--------------------------------------------------------------------------------------------------------------
;MEM_COMMIT                         equ  000001000h ; #define   MEM_COMMIT                            0x00001000h
;MEM_RESERVE                        equ  000002000h ; #define   MEM_RESERVE                           0x00002000h
;MEM_DECOMMIT                       equ  000004000h ; #define   MEM_DECOMMIT                          0x00004000h
;MEM_RELEASE                        equ  000008000h ; #define   MEM_RELEASE                           0x00008000h
;MEM_FREE                           equ  000010000h ; #define   MEM_FREE                              0x00010000h
;MEM_PRIVATE                        equ  000020000h ; #define   MEM_PRIVATE                           0x00020000h
;MEM_MAPPED                         equ  000040000h ; #define   MEM_MAPPED                            0x00040000h
;MEM_RESET                          equ  000080000h ; #define   MEM_RESET                             0x00080000h
;MEM_TOP_DOWN                       equ  000100000h ; #define   MEM_TOP_DOWN                          0x00100000h
;;*--------------------------------------------------------------------------------------------------------------
;SEC_FILE                           equ  000800000h ; #define   SEC_FILE                              0x00800000h
;SEC_IMAGE                          equ  001000000h ; #define   SEC_IMAGE                             0x01000000h
;SEC_RESERVE                        equ  004000000h ; #define   SEC_RESERVE                           0x04000000h
;SEC_COMMIT                         equ  008000000h ; #define   SEC_COMMIT                            0x08000000h
;SEC_NOCACHE                        equ  010000000h ; #define   SEC_NOCACHE                           0x10000000h
;;MEM_IMAGE                         equ   SEC_IMAGE ; #define   MEM_IMAGE              SEC_IMAGE
;;*==============================================================================================================
;;#define SECTION_ALL_ACCESS (STANDARD_RIGHTS_REQUIRED|SECTION_QUERY|\
;;                            SECTION_MAP_WRITE |      \
;;                            SECTION_MAP_READ |       \
;;                            SECTION_MAP_EXECUTE |    \
;;                            SECTION_EXTEND_SIZE)
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;;###############################################################################################################

;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################
;MyLISTON


