;MyLSTOFF
;***************************************************************************************************************
;* Z9ShlObj.i      AssemblerVersion1( ShlObj.h   )   Include file                                              *
;*                                                                                                             *
;*=============================================================================================================*
;* Wolfgang  Renner                  Creation Date = 08. Apr 2016                                              *
;* Gimbacher Weg 34                  Creation Time = 00:00:00:000                                              *
;*                                                                                                             *
;* D-65779 Kelkheim                  Changing Last = 14. Apr 2016                                              *
;* Germany / Hessen                  Changing Time = 00:00:00:000                                              *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus  Assembler                                                           *
;*                                                                                                             *
;* 12345678901234567890123456789012345678901234567890 = "12345678901234567890123456789012345678901234567890",  *
;***************************************************************************************************************

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LSIZ ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;indStrc_Variable01        equ  00000000                       ; BINT:     BYTE  [00000 00000 00000 00000 00000]
;indStrc_Variable02        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00001 00001 00001 00001 00001]
;indStrc_Variable03        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00002 00002 00002 00002 00002]
;indStrc_Variable04        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00003 00003 00003 00003 00003]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable05        equ  WindStrc_Variable01+01         ; WINT:     WORD  [00004 00004 00004 00004 00004]
;indStrc_Variable06        equ  WindStrc_Variable01+02         ; WINT:     SHORT [00006 00006 00006 00006 00006]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;indStrc_Variable07        equ  WindStrc_Variable01+02         ; SINT:     LONG  [00008 00008 00008 00008 00008]
;indStrc_Variable08        equ  WindStrc_Variable01+04         ; SINT:     DWORD [00012 00012 00012 00012 00012]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;indStrc_Variable09        equ  WindStrc_Variable01+04         ; DINT:  LONGLONG [00016 00016 00016 00016 00016]
;indStrc_Variable10        equ  WindStrc_Variable01+RS         ; DINT:     QWORD [00020 00024 00024 00032 00024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;indStrc_Variable11        equ  WindStrc_Variable01+RS         ; QINT:    HANDLE [00024 00032 00032 00032 00032]
;indStrc_Variable12        equ  WindStrc_Variable01+QS         ; QINT:   POINTER [00028 00040 00048 00048 00048]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - - - -
;indStrc_Variable13        equ  WindStrc_Variable01+QS         ; UINT:   POINTER [00032 00048 00064 00064 00064]
;indStrc_Variable14        equ  WindStrc_Variable01+GZ         ; UINT:   POINTER [00036 00056 00080 00096 00096]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable15        equ  WindStrc_Variable01+GZ         ; VINT:   POINTER [00040 00064 00096 00128 00128]
;indStrc_Variable16        equ  WindStrc_Variable01+PS         ; VINT:   POINTER [00044 00072 00112 00160 00192]
;*==============================================================================================================
;indStrc_Variable17        equ  WindStrc_Variable01+PS         ; LINT:   POINTER [00048 00080 00128 00192 00256]
;indStrc_Variable18        equ  WindStrc_Variable01+LZ         ; LINT:   POINTER [00052 00088 00144 00224 00320]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [00056 00096 00160 00256 00384]
;###############################################################################################################

;;###############################################################################################################
;;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;* WINNT.HH                                        ; /* Virtal Memory Flags */
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SECTION_QUERY                      equ      00001h ; #define   SECTION_QUERY                             0x0001h
;SECTION_MAP_WRITE                  equ      00002h ; #define   SECTION_MAP_WRITE                         0x0002h
;SECTION_MAP_READ                   equ      00004h ; #define   SECTION_MAP_READ                          0x0004h
;SECTION_MAP_EXECUTE                equ      00008h ; #define   SECTION_MAP_EXECUTE                       0x0008h
;SECTION_EXTEND_SIZE                equ      00010h ; #define   SECTION_EXTEND_SIZE                       0x0010h
;;*--------------------------------------------------------------------------------------------------------------
;PAGE_NOACCESS                      equ      00001h ; #define   PAGE_NOACCESS                             0x0001h
;PAGE_READONLY                      equ      00002h ; #define   PAGE_READONLY                             0x0002h
;PAGE_READWRITE                     equ      00004h ; #define   PAGE_READWRITE                            0x0004h
;PAGE_WRITECOPY                     equ      00008h ; #define   PAGE_WRITECOPY                            0x0008h
;PAGE_EXECUTE                       equ      00010h ; #define   PAGE_EXECUTE                              0x0010h
;PAGE_EXECUTE_READ                  equ      00020h ; #define   PAGE_EXECUTE_READ                         0x0020h
;PAGE_EXECUTE_READWRITE             equ      00040h ; #define   PAGE_EXECUTE_READWRITE                    0x0040h
;PAGE_EXECUTE_WRITECOPY             equ      00080h ; #define   PAGE_EXECUTE_WRITECOPY                    0x0080h
;PAGE_GUARD                         equ      00100h ; #define   PAGE_GUARD                                0x0100h
;PAGE_NOCACHE                       equ      00200h ; #define   PAGE_NOCACHE                              0x0200h
;;*--------------------------------------------------------------------------------------------------------------
;MEM_COMMIT                         equ  000001000h ; #define   MEM_COMMIT                            0x00001000h
;MEM_RESERVE                        equ  000002000h ; #define   MEM_RESERVE                           0x00002000h
;MEM_DECOMMIT                       equ  000004000h ; #define   MEM_DECOMMIT                          0x00004000h
;MEM_RELEASE                        equ  000008000h ; #define   MEM_RELEASE                           0x00008000h
;MEM_FREE                           equ  000010000h ; #define   MEM_FREE                              0x00010000h
;MEM_PRIVATE                        equ  000020000h ; #define   MEM_PRIVATE                           0x00020000h
;MEM_MAPPED                         equ  000040000h ; #define   MEM_MAPPED                            0x00040000h
;MEM_RESET                          equ  000080000h ; #define   MEM_RESET                             0x00080000h
;MEM_TOP_DOWN                       equ  000100000h ; #define   MEM_TOP_DOWN                          0x00100000h
;;*--------------------------------------------------------------------------------------------------------------
;SEC_FILE                           equ  000800000h ; #define   SEC_FILE                              0x00800000h
;SEC_IMAGE                          equ  001000000h ; #define   SEC_IMAGE                             0x01000000h
;SEC_RESERVE                        equ  004000000h ; #define   SEC_RESERVE                           0x04000000h
;SEC_COMMIT                         equ  008000000h ; #define   SEC_COMMIT                            0x08000000h
;SEC_NOCACHE                        equ  010000000h ; #define   SEC_NOCACHE                           0x10000000h
;;MEM_IMAGE                         equ   SEC_IMAGE ; #define   MEM_IMAGE              SEC_IMAGE
;;*==============================================================================================================
;;#define SECTION_ALL_ACCESS (STANDARD_RIGHTS_REQUIRED|SECTION_QUERY|\
;;                            SECTION_MAP_WRITE |      \
;;                            SECTION_MAP_READ |       \
;;                            SECTION_MAP_EXECUTE |    \
;;                            SECTION_EXTEND_SIZE)
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;;###############################################################################################################



;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################
;MyLISTON


