;MyLSTOFF
;***************************************************************************************************************
;* Z9WinBase.i    AssemblerVersion9( WinBase.h   )   Include file                                              *
;*                                                                                                             *
;*=============================================================================================================*
;* Wolfgang  Renner                  Creation Date = 08. Apr 2016                                              *
;* Gimbacher Weg 34                  Creation Time = 00:00:00:000                                              *
;*                                                                                                             *
;* D-65779 Kelkheim                  Changing Last = 14. Apr 2016                                              *
;* Germany / Hessen                  Changing Time = 00:00:00:000                                              *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus  Assembler                                                           *
;*                                                                                                             *
;* 12345678901234567890123456789012345678901234567890 = "12345678901234567890123456789012345678901234567890",  *
;***************************************************************************************************************

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LVSZ ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;indStrc_Variable01        equ  00000000                       ; BINT:     BYTE  [00000 00000 00000 00000 00000]
;indStrc_Variable02        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00001 00001 00001 00001 00001]
;indStrc_Variable03        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00002 00002 00002 00002 00002]
;indStrc_Variable04        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00003 00003 00003 00003 00003]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable05        equ  WindStrc_Variable01+01         ; WINT:     WORD  [00004 00004 00004 00004 00004]
;indStrc_Variable06        equ  WindStrc_Variable01+02         ; WINT:     SHORT [00006 00006 00006 00006 00006]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;indStrc_Variable07        equ  WindStrc_Variable01+02         ; SINT:     LONG  [00008 00008 00008 00008 00008]
;indStrc_Variable08        equ  WindStrc_Variable01+04         ; SINT:     DWORD [00012 00012 00012 00012 00012]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;indStrc_Variable09        equ  WindStrc_Variable01+04         ; DINT:  LONGLONG [00016 00016 00016 00016 00016]
;indStrc_Variable10        equ  WindStrc_Variable01+RS         ; DINT:     QWORD [00020 00024 00024 00032 00024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;indStrc_Variable11        equ  WindStrc_Variable01+RS         ; QINT:    HANDLE [00024 00032 00032 00032 00032]
;indStrc_Variable12        equ  WindStrc_Variable01+QS         ; QINT:   POINTER [00028 00040 00048 00048 00048]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - - - -
;indStrc_Variable13        equ  WindStrc_Variable01+QS         ; UINT:   POINTER [00032 00048 00064 00064 00064]
;indStrc_Variable14        equ  WindStrc_Variable01+GZ         ; UINT:   POINTER [00036 00056 00080 00096 00096]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable15        equ  WindStrc_Variable01+GZ         ; VINT:   POINTER [00040 00064 00096 00128 00128]
;indStrc_Variable16        equ  WindStrc_Variable01+PS         ; VINT:   POINTER [00044 00072 00112 00160 00192]
;*==============================================================================================================
;indStrc_Variable17        equ  WindStrc_Variable01+PS         ; LINT:   POINTER [00048 00080 00128 00192 00256]
;indStrc_Variable18        equ  WindStrc_Variable01+LZ         ; LINT:   POINTER [00052 00088 00144 00224 00320]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [00056 00096 00160 00256 00384]
;###############################################################################################################

;;*==========================================================================
;;* WINBASE.h           SYSTEMTIME                        ; I32 A64 CPP-TYPE:
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;systime_wYear          equ  0                            ; 000 000 WORD
;systime_wMonth         equ  systime_wYear+2              ; 002 002 WORD
;systime_wDayOfWeek     equ  systime_wMonth+2             ; 004 004 WORD
;systime_wDay           equ  systime_wDayOfWeek+2         ; 006 006 WORD
;systime_wHour          equ  systime_wDay+2               ; 008 008 WORD
;systime_wMinute        equ  systime_wHour+2              ; 010 010 WORD
;systime_wSecond        equ  systime_wMinute+2            ; 012 012 WORD
;systime_wMilliseconds  equ  systime_wSecond+2            ; 014 014 WORD
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SYSTIME                equ  systime_wMilliseconds+2      ; 016 016 sizeof()
;;*--------------------------------------------------------------------------


;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WinBase.h                                       ; /* dwCreationFlag values */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
INVALID_HANDLE_VALUE               equ       -001  ; #define   INVALID_HANDLE_VALUE                   (HANDLE)-1
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
STD_INPUT_HANDLE                   equ       -010  ; #define   STD_INPUT_HANDLE                       (DWORD)-10
STD_OUTPUT_HANDLE                  equ       -011  ; #define   STD_OUTPUT_HANDLE                      (DWORD)-11
STD_ERROR_HANDLE                   equ       -012  ; #define   STD_ERROR_HANDLE                       (DWORD)-12
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WinBase.h                                       ; /*  for   Waiting  */                       ( WinNT.h ! ) %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
WAIT_OBJECT_00                     equ  000000000h ; #define   STATUS_WAIT_0  +  0000  ( (DWORD) 0x00000000L ) %
WAIT_OBJECT_01                     equ  000000001h ; #define   STATUS_WAIT_0  +  0001  ( (DWORD) 0x00000001L ) %
WAIT_OBJECT_02                     equ  000000002h ; #define   STATUS_WAIT_0  +  0002  ( (DWORD) 0x00000002L ) %
WAIT_OBJECT_03                     equ  000000003h ; #define   STATUS_WAIT_0  +  0003  ( (DWORD) 0x00000003L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
WAIT_OBJECT_04                     equ  000000004h ; #define   STATUS_WAIT_0  +  0004  ( (DWORD) 0x00000004L ) %
WAIT_OBJECT_05                     equ  000000005h ; #define   STATUS_WAIT_0  +  0005  ( (DWORD) 0x00000005L ) %
WAIT_OBJECT_06                     equ  000000006h ; #define   STATUS_WAIT_0  +  0006  ( (DWORD) 0x00000006L ) %
WAIT_OBJECT_07                     equ  000000007h ; #define   STATUS_WAIT_0  +  0007  ( (DWORD) 0x00000007L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
WAIT_OBJECT_62                     equ  00000003Eh ; #define   STATUS_WAIT_0  +  0062  ( (DWORD) 0x0000003EL ) %
WAIT_OBJECT_63                     equ  00000003Fh ; #define   STATUS_WAIT_0  +  0063  ( (DWORD) 0x0000003FL ) %
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  %
WAIT_ABANDONED_00                  equ  000000080h ; STATUS_ABANDONED_WAIT_0  +  0000  ( (DWORD) 0x00000080L ) %
WAIT_ABANDONED_01                  equ  000000081h ; STATUS_ABANDONED_WAIT_0  +  0001  ( (DWORD) 0x00000081L ) %
WAIT_ABANDONED_02                  equ  000000082h ; STATUS_ABANDONED_WAIT_0  +  0002  ( (DWORD) 0x00000082L ) %
WAIT_ABANDONED_03                  equ  000000083h ; STATUS_ABANDONED_WAIT_0  +  0003  ( (DWORD) 0x00000083L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
WAIT_ABANDONED_04                  equ  000000084h ; STATUS_ABANDONED_WAIT_0  +  0004  ( (DWORD) 0x00000084L ) %
WAIT_ABANDONED_05                  equ  000000085h ; STATUS_ABANDONED_WAIT_0  +  0005  ( (DWORD) 0x00000085L ) %
WAIT_ABANDONED_06                  equ  000000086h ; STATUS_ABANDONED_WAIT_0  +  0006  ( (DWORD) 0x00000086L ) %
WAIT_ABANDONED_07                  equ  000000087h ; STATUS_ABANDONED_WAIT_0  +  0007  ( (DWORD) 0x00000087L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
WAIT_ABANDONED_62                  equ  0000000BEh ; STATUS_ABANDONED_WAIT_0  +  0062  ( (DWORD) 0x000000BEL ) %
WAIT_ABANDONED_63                  equ  0000000BFh ; STATUS_ABANDONED_WAIT_0  +  0063  ( (DWORD) 0x000000BFL ) %
;*-------------------------------------------------------------------------------------------------------------%
WAIT_IO_COMPLRTION                 equ  0000000C0h ; #define   STATUS_USER_APC         ( (DWORD) 0x000000C0L ) %
WAIT_TIMEOUT                       equ  000000102h ; #define   STATUS_TIMEOUT          ( (DWORD) 0x00000102L ) %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
MAX_PATH                           equ  0000000260 ; #define   MAX_PATH                ( (DWORD) 00000000260 ) %
MAXIMUM_WAIT_OBJECTS               equ  0000000064 ; #define   MAXIMUM_WAIT_OBJECTS    ( (DWORD) 00000000064 ) %
WAIT_FAILED                        equ  0FFFFFFFFh ; #define           WAIT_FAILED     ( (DWORD) 0xFFFFFFFFL ) %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WINBASE.H                                       ; #define   FormatMessage  FormatMessageA|W        Flags
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FORMAT_MESSAGE_MAX_WIDTH_MASK      equ  0000000FFh ; #define   FORMAT_MESSAGE_MAX_WIDTH_MASK         0x000000FFh
;*--------------------------------------------------------------------------------------------------------------
FORMAT_MESSAGE_ALLOCATE_BUFFER     equ  000000100h ; #define   FORMAT_MESSAGE_ALLOCATE_BUFFER        0x00000100h
FORMAT_MESSAGE_IGNORE_INSERTS      equ  000000200h ; #define   FORMAT_MESSAGE_IGNORE_INSERTS         0x00000200h
FORMAT_MESSAGE_FROM_STRING         equ  000000400h ; #define   FORMAT_MESSAGE_FROM_STRING            0x00000400h
FORMAT_MESSAGE_FROM_HMODULE        equ  000000800h ; #define   FORMAT_MESSAGE_FROM_HMODULE           0x00000800h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FORMAT_MESSAGE_FROM_SYSTEM         equ  000001000h ; #define   FORMAT_MESSAGE_FROM_SYSTEM            0x00001000h
FORMAT_MESSAGE_ARGUMENT_ARRAY      equ  000002000h ; #define   FORMAT_MESSAGE_ARGUMENT_ARRAY         0x00002000h
;*==============================================================================================================
;* WINBASE.H                                       ;           // File Types 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FILE_TYPE_UNKNOWN                  equ      00000h ; #define   FILE_TYPE_UNKNOWN   0x0000h
FILE_TYPE_DISK                     equ      00001h ; #define   FILE_TYPE_DISK      0x0001h
FILE_TYPE_CHAR                     equ      00002h ; #define   FILE_TYPE_CHAR      0x0002h
FILE_TYPE_PIPE                     equ      00003h ; #define   FILE_TYPE_PIPE      0x0003h
FILE_TYPE_REMOTE                   equ      08000h ; #define   FILE_TYPE_REMOTE    0x8000h
;*==============================================================================================================
;* WINBASE.H                                       ;           // File creation flags 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FILE_FLAG_WRITE_THROUGH            equ  080000000h ; #define   FILE_FLAG_WRITE_THROUGH               0x80000000h
FILE_FLAG_OVERLAPPED               equ  040000000h ; #define   FILE_FLAG_OVERLAPPED                  0x40000000h
FILE_FLAG_NO_BUFFERING             equ  020000000h ; #define   FILE_FLAG_NO_BUFFERING                0x20000000h
FILE_FLAG_RANDOM_ACCESS            equ  010000000h ; #define   FILE_FLAG_RANDOM_ACCESS               0x10000000h
FILE_FLAG_SEQUENTIAL_SCAN          equ  008000000h ; #define   FILE_FLAG_SEQUENTIAL_SCAN             0x08000000h
FILE_FLAG_DELETE_ON_CLOSE          equ  004000000h ; #define   FILE_FLAG_DELETE_ON_CLOSE             0x04000000h
FILE_FLAG_BACKUP_SEMANTICS         equ  002000000h ; #define   FILE_FLAG_BACKUP_SEMANTICS            0x02000000h
FILE_FLAG_POSIX_SEMANTICS          equ  001000000h ; #define   FILE_FLAG_POSIX_SEMANTICS             0x01000000h
FILE_FLAG_OPEN_REPARSE_POINT       equ  000200000h ; #define   FILE_FLAG_OPEN_REPARSE_POINT          0x00200000h
FILE_FLAG_OPEN_NO_RECALL           equ  000100000h ; #define   FILE_FLAG_OPEN_NO_RECALL              0x00100000h
FILE_FLAG_FIRST_PIPE_INSTANCE      equ  000080000h ; #define   FILE_FLAG_FIRST_PIPE_INSTANCE         0x00080000h
;*--------------------------------------------------------------------------------------------------------------
;* WINBASE.H                                       ;           // File creation Disposition flags 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CREATE_NEW                         equ         1   ; #define   CREATE_NEW          1
CREATE_ALWAYS                      equ         2   ; #define   CREATE_ALWAYS       2
OPEN_EXISTING                      equ         3   ; #define   OPEN_EXISTING       3
OPEN_ALWAYS                        equ         4   ; #define   OPEN_ALWAYS         4
TRUNCATE_EXISTING                  equ         5   ; #define   TRUNCATE_EXISTING   5
;*==============================================================================================================
;* WINBASE.H                           ; // Security Quality of Service bits
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* #define SECURITY_ANONYMOUS          ( SecurityAnonymous      << 16 )
;* #define SECURITY_IDENTIFICATION     ( SecurityIdentification << 16 )
;* #define SECURITY_IMPERSONATION      ( SecurityImpersonation  << 16 )
;* #define SECURITY_DELEGATION         ( SecurityDelegation     << 16 )
;*--------------------------------------------------------------------------------------------------------------
SECURITY_CONTEXT_TRACKING          equ  000040000h ; #define   SECURITY_CONTEXT_TRACKING             0x00040000h
SECURITY_EFFECTIVE_ONLY            equ  000080000h ; #define   SECURITY_EFFECTIVE_ONLY               0x00080000h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
SECURITY_SQOS_PRESENT              equ  000100000h ; #define   SECURITY_SQOS_PRESENT                 0x00100000h
SECURITY_VALID_SQOS_FLAGS          equ  0001F0000h ; #define   SECURITY_VALID_SQOS_FLAGS             0x001F0000h
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define 12345678901234567890123456789012h  equ  0x12345678h
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WINBASE.H                                       ; /* dwCreationFlag values */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
DEBUG_PROCESS                      equ  000000001h ; #define DEBUG_PROCESS                      equ  0x00000001h
DEBUG_ONLY_THIS_PROCESS            equ  000000002h ; #define DEBUG_ONLY_THIS_PROCESS            equ  0x00000002h
CREATE_SUSPENDED                   equ  000000004h ; #define CREATE_SUSPENDED                   equ  0x00000004h
DETACHED_PROCESS                   equ  000000008h ; #define DETACHED_PROCESS                   equ  0x00000008h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
CREATE_NEW_CONSOLE                 equ  000000010h ; #define CREATE_NEW_CONSOLE                 equ  0x00000010h
NORMAL_PRIORITY_CLASS              equ  000000020h ; #define NORMAL_PRIORITY_CLASS              equ  0x00000020h
IDLE_PRIORITY_CLASS                equ  000000040h ; #define IDLE_PRIORITY_CLASS                equ  0x00000040h
HIGH_PRIORITY_CLASS                equ  000000080h ; #define HIGH_PRIORITY_CLASS                equ  0x00000080h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
REALTIME_PRIORITY_CLASS            equ  000000100h ; #define REALTIME_PRIORITY_CLASS            equ  0x00000100h
CREATE_NEW_PROCESS_GROUP           equ  000000200h ; #define CREATE_NEW_PROCESS_GROUP           equ  0x00000200h
CREATE_UNICODE_ENVIRONMENT         equ  000000400h ; #define CREATE_UNICODE_ENVIRONMENT         equ  0x00000400h
CREATE_SEPARATE_WOW_VDM            equ  000000800h ; #define CREATE_SEPARATE_WOW_VDM            equ  0x00000800h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
CREATE_SHARED_WOW_VDM              equ  000001000h ; #define CREATE_SHARED_WOW_VDM              equ  0x00001000h
CREATE_FORCEDOS                    equ  000002000h ; #define CREATE_FORCEDOS                    equ  0x00002000h
BELOW_NORMAL_PRIORITY_CLASS        equ  000004000h ; #define BELOW_NORMAL_PRIORITY_CLASS        equ  0x00004000h
ABOVE_NORMAL_PRIORITY_CLASS        equ  000008000h ; #define ABOVE_NORMAL_PRIORITY_CLASS        equ  0x00008000h
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
STACK_SIZE_PARAM_IS_A_RESERVATION  equ  000010000h ; #define STACK_SIZE_PARAM_IS_A_RESERVATION  equ  0x00010000h
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
CREATE_BREAKAWAY_FROM_JOB          equ  001000000h ; #define CREATE_BREAKAWAY_FROM_JOB          equ  0x01000000h
CREATE_PRESERVE_CODE_AUTHZ_LEVEL   equ  002000000h ; #define CREATE_PRESERVE_CODE_AUTHZ_LEVEL   equ  0x02000000h
CREATE_DEFAULT_ERROR_MODE          equ  004000000h ; #define CREATE_DEFAULT_ERROR_MODE          equ  0x04000000h
CREATE_NO_WINDOW                   equ  008000000h ; #define CREATE_NO_WINDOW                   equ  0x08000000h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
PROFILE_USER                       equ  010000000h ; #define PROFILE_USER                       equ  0x10000000h
PROFILE_KERNEL                     equ  020000000h ; #define PROFILE_KERNEL                     equ  0x20000000h
PROFILE_SERVER                     equ  040000000h ; #define PROFILE_SERVER                     equ  0x40000000h
CREATE_IGNORE_SYSTEM_DEFAULT       equ  080000000h ; #define CREATE_IGNORE_SYSTEM_DEFAULT       equ  0x80000000h
;*==============================================================================================================
;* WINNT.H                                         ; /* Thread_Base_priority  values */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
THREAD_BASE_PRIORITY_LOWRT         equ         15  ; value of a thread to LowRealtime-1
THREAD_BASE_PRIORITY_MAX           equ          2  ; maximum thread base priority boost
THREAD_BASE_PRIORITY_MIN           equ         -2  ; minimum thread base priority boost
THREAD_BASE_PRIORITY_IDLE          equ        -15  ; value that gets a thread to idle
;*--------------------------------------------------------------------------------------------------------------
;* WINBASE.H                                       ; /* Thread_priority  values */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
THREAD_PRIORITY_LOWEST             equ  THREAD_BASE_PRIORITY_MIN     ; ( -02 )
THREAD_PRIORITY_BELOW_NORMAL       equ  THREAD_PRIORITY_LOWEST+1     ; ( -01 )
THREAD_PRIORITY_NORMAL             equ  000000                       ; ( 000 )
THREAD_PRIORITY_HIGHEST            equ  THREAD_BASE_PRIORITY_MAX     ; ( +02 )
THREAD_PRIORITY_ABOVE_NORMAL       equ  THREAD_PRIORITY_HIGHEST-1    ; ( +01 )
THREAD_PRIORITY_ERROR_RETURN       equ  07fffffffh  ; ( MAXLONG )    ; ( +2^31-1 )
THREAD_PRIORITY_TIME_CRITICAL      equ  THREAD_BASE_PRIORITY_LOWRT   ; ( +15 )
THREAD_PRIORITY_IDLE               equ  THREAD_BASE_PRIORITY_IDLE    ; ( -15 )
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
COLOR_SCROLLBAR                    equ          0  ; #define   COLOR_SCROLLBAR                              0  %
COLOR_BACKGROUND                   equ          1  ; #define   COLOR_BACKGROUND                             1  %
COLOR_ACTIVECAPTION                equ          2  ; #define   COLOR_ACTIVECAPTION                          2  %
COLOR_INACTIVECAPTION              equ          3  ; #define   COLOR_INACTIVECAPTION                        3  %
COLOR_MENU                         equ          4  ; #define   COLOR_MENU                                   4  %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
COLOR_WINDOW                       equ          5  ; #define   COLOR_WINDOW                                 5  %
COLOR_WINDOWFRAME                  equ          6  ; #define   COLOR_WINDOWFRAME                            6  %
COLOR_MENUTEXT                     equ          7  ; #define   COLOR_MENUTEXT                               7  %
COLOR_WINDOWTEXT                   equ          8  ; #define   COLOR_WINDOWTEXT                             8  %
COLOR_CAPTIONTEXT                  equ          9  ; #define   COLOR_CAPTIONTEXT                            9  %
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   %
COLOR_ACTIVEBORDER                 equ         10  ; #define   COLOR_ACTIVEBORDER                          10  %
COLOR_INACTIVEBORDER               equ         11  ; #define   COLOR_INACTIVEBORDER                        11  %
COLOR_APPWORKSPACE                 equ         12  ; #define   COLOR_APPWORKSPACE                          12  %
COLOR_HIGHLIGHT                    equ         13  ; #define   COLOR_HIGHLIGHT                             13  %
COLOR_HIGHLIGHTTEXT                equ         14  ; #define   COLOR_HIGHLIGHTTEXT                         14  %
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  %
COLOR_BTNFACE                      equ         15  ; #define   COLOR_BTNFACE                               15  %
COLOR_BTNSHADOW                    equ         16  ; #define   COLOR_BTNSHADOW                             16  %
COLOR_GRAYTEXT                     equ         17  ; #define   COLOR_GRAYTEXT                              17  %
COLOR_BTNTEXT                      equ         18  ; #define   COLOR_BTNTEXT                               18  %
COLOR_INACTIVECAPTIONTEXT          equ         19  ; #define   COLOR_INACTIVECAPTIONTEXT                   19  %
COLOR_BTNHIGHLIGHT                 equ         20  ; #define   COLOR_BTNHIGHLIGHT                          20  %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
COLOR_3DDKSHADOW                   equ         21  ; #define   COLOR_3DDKSHADOW                            21  %
COLOR_3DLIGHT                      equ         22  ; #define   COLOR_3DLIGHT                               22  %
COLOR_INFOTEXT                     equ         23  ; #define   COLOR_INFOTEXT                              23  %
COLOR_INFOBK                       equ         24  ; #define   COLOR_INFOBK                                24  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LVSZ ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WinNT.h ?                    OVERLAPPED                     ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
OverLapp_Internal          equ  00000000                       ; PNTR: ULONG_PTR [00000 00000 00000 00000 00000]
OverLapp_InternalHigh      equ  OverLapp_Internal+LV           ; PNTR: ULONG_PTR [00004 00008 00016 00032 00064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
OverLapp_Offset            equ  OverLapp_InternalHigh+LV       ; EVAL: DWORD     [00008 00016 00032 00064 00128]
OverLapp_OffsetHigh        equ  OverLapp_Offset+04             ; EVAL: DWORD     [00012 00024 00036 00096 00192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
OverLapp_Pointer           equ  OverLapp_InternalHigh+LV       ; PNTR: PVOID     [00008 00016 00032 00064 00128]
OverLapp_hEvent            equ  OverLapp_OffsetHigh+LV         ; HNDL: HANDLE ?  [00012 00024 00048 00096 00192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
OVERLAPP                   equ  OverLapp_hEvent+LV             ; SIZE: PARAMETER [00016 00032 00064 00128 00256]
;*--------------------------------------------------------------------------------------------------------------
;* WINBASE.h                    SECURITY_ATTRIBUTES            ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SecuAttr_nLength           equ  00000000                       ; EVAL: DWORD     [00000 00000 00000 00000 00000]
SecuAttr_lpSecDescriptor   equ  SecuAttr_nLength+LV            ; PNTR: LPVOID    [00004 00008 00016 00032 00064]
SecuAttr_bInheritHandle    equ  SecuAttr_lpSecDescriptor+LV    ; EVAL: BOOL      [00008 00016 00032 00064 00128]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SECUATTR                   equ  SecuAttr_bInheritHandle+04     ; SIZE: PARAMETER [00012 00020 00036 00068 00132]
;*--------------------------------------------------------------------------------------------------------------
;* WINBASE.h                    PROCESS_INFORMATION            ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ProcInfo_hProcess          equ  0000                           ; HNDL: HANDLE    [00000 00000 00000 00000 00000]
ProcInfo_hThread           equ  ProcInfo_hProcess+LV           ; HNDL: HANDLE    [00004 00008 00016 00032 00064]
ProcInfo_dwProcessId       equ  ProcInfo_hThread+LV            ; EVAL: DWORD     [00008 00016 00032 00064 00128]
ProcInfo_dwThreadId        equ  ProcInfo_dwProcessId+04        ; EVAL: DWORD     [00012 00020 00036 00068 00132]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PROCINFO                   equ  ProcInfo_dwThreadId+04         ; SIZE: PARAMETER [00016 00024 00040 00072 00136]
;*==============================================================================================================
;* WINBASE.h                    FILETIME                       ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FileTime_dwLowDateTime     equ  00000000                       ; EVAL: DWORD     [00000 00000 00000 00000 00000]
FileTime_dwHighDateTime    equ  FileTime_dwLowDateTime+04      ; EVAL: DWORD     [00004 00004 00004 00004 00004]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FILETIME                   equ  FileTime_dwHighDateTime+04     ; SIZE: PARAMETER [00008 00008 00008 00008 00008]
;*--------------------------------------------------------------------------------------------------------------
;* WinNT.h ?                    SYSTEMTIME                     ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SystTime_wYear             equ  00000000                       ; WORD: WORD      [00000 00000 00000 00000 00000]
SystTime_wMonth            equ  SystTime_wYear+02              ; WORD: WORD      [00002 00002 00002 00002 00002]
SystTime_wDayOfWeek        equ  SystTime_wMonth+02             ; WORD: WORD      [00004 00004 00004 00004 00004]
SystTime_wDay              equ  SystTime_wDayOfWeek+02         ; WORD: WORD      [00006 00006 00006 00006 00006]
SystTime_wHour             equ  SystTime_wDay+02               ; WORD: WORD      [00008 00008 00008 00008 00008]
SystTime_wMinute           equ  SystTime_wHour+02              ; WORD: WORD      [00010 00010 00010 00010 00010]
SystTime_wSecond           equ  SystTime_wMinute+02            ; WORD: WORD      [00012 00012 00012 00012 00012]
SystTime_wMillisecond      equ  SystTime_wSecond+02            ; WORD: WORD      [00014 00014 00014 00014 00014]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SYSTTIME                   equ  SystTime_wMillisecond+02       ; SIZE: PARAMETER [00016 00016 00016 00016 00016]
;*--------------------------------------------------------------------------------------------------------------
;* WinNT.h ?                    FILE_NOTIFY_INFORMATION        ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FiNotInf_NextEntrOffs      equ  00000000                       ; EVAL: DWORD     [00000 00000 00000 00000 00000]
FiNotInf_Action            equ  FiNotInf_NextEntrOffs+04       ; EVAL: DWORD     [00004 00004 00004 00004 00004]
FiNotInf_FileNameLeng      equ  FiNotInf_Action+04             ; EVAL: DWORD     [00008 00008 00008 00008 00008]
FiNotInf_FileName0001      equ  FiNotInf_FileNameLeng+04       ; EVAL: WCHAR     [00012 00012 00012 00012 00012]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FINOTINF                   equ  FiNotInf_FileName0001+02       ; SIZE: PARAMETER [00016 00016 00016 00016 00016]
;*==============================================================================================================
;* WINBASE.h                    WMESSAGE                       ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WMessage_hWnd              equ  00000000                       ; HNDL: HWND      [00000 00000 00000 00000 00000]
WMessage_message           equ  WMessage_hWnd+LV               ; EVAL: UINT      [00004 00008 00016 00032 00064]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WMessage_wParam            equ  WMessage_message+LV            ; LVAL: WPARAM !? [00008 00016 00032 00064 00128]
WMessage_lParam            equ  WMessage_wParam+LV             ; LVAL: LPARAM !? [00012 00024 00048 00096 00192]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
WMessage_time              equ  WMessage_lParam+LV             ; EVAL: DWORD     [00016 00032 00064 00128 00256]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WMessage_ptX               equ  WMessage_time+04               ; EVAL: DWORD     [00020 00036 00068 00132 00260]
WMessage_ptY               equ  WMessage_ptX+04                ; EVAL: DWORD     [00024 00040 00072 00136 00264]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WMESSAGE                   equ  WMessage_ptY+04                ; SIZE: PARAMETER [00028 00044 00076 00140 00268]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [00056 00096 00160 00256 00384]
;###############################################################################################################


;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################
;MyLISTON


