;MyLSTOFF
;***************************************************************************************************************
;* Z9WinCon.i     AssemblerVersion9( WinCon.h    )   Include file                                              *
;*                                                                                                             *
;*=============================================================================================================*
;* Wolfgang  Renner                  Creation Date = 08. Apr 2016                                              *
;* Gimbacher Weg 34                  Creation Time = 00:00:00:000                                              *
;*                                                                                                             *
;* D-65779 Kelkheim                  Changing Last = 14. Apr 2016                                              *
;* Germany / Hessen                  Changing Time = 00:00:00:000                                              *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus  Assembler                                                           *
;*                                                                                                             *
;* 12345678901234567890123456789012345678901234567890 = "12345678901234567890123456789012345678901234567890",  *
;***************************************************************************************************************

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LSIZ ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;indStrc_Variable01        equ  00000000                       ; BINT:     BYTE  [00000 00000 00000 00000 00000]
;indStrc_Variable02        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00001 00001 00001 00001 00001]
;indStrc_Variable03        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00002 00002 00002 00002 00002]
;indStrc_Variable04        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00003 00003 00003 00003 00003]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable05        equ  WindStrc_Variable01+01         ; WINT:     WORD  [00004 00004 00004 00004 00004]
;indStrc_Variable06        equ  WindStrc_Variable01+02         ; WINT:     SHORT [00006 00006 00006 00006 00006]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;indStrc_Variable07        equ  WindStrc_Variable01+02         ; SINT:     LONG  [00008 00008 00008 00008 00008]
;indStrc_Variable08        equ  WindStrc_Variable01+04         ; SINT:     DWORD [00012 00012 00012 00012 00012]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;indStrc_Variable09        equ  WindStrc_Variable01+04         ; DINT:  LONGLONG [00016 00016 00016 00016 00016]
;indStrc_Variable10        equ  WindStrc_Variable01+RS         ; DINT:     QWORD [00020 00024 00024 00032 00024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;indStrc_Variable11        equ  WindStrc_Variable01+RS         ; QINT:    HANDLE [00024 00032 00032 00032 00032]
;indStrc_Variable12        equ  WindStrc_Variable01+QS         ; QINT:   POINTER [00028 00040 00048 00048 00048]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - - - -
;indStrc_Variable13        equ  WindStrc_Variable01+QS         ; UINT:   POINTER [00032 00048 00064 00064 00064]
;indStrc_Variable14        equ  WindStrc_Variable01+GZ         ; UINT:   POINTER [00036 00056 00080 00096 00096]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable15        equ  WindStrc_Variable01+GZ         ; VINT:   POINTER [00040 00064 00096 00128 00128]
;indStrc_Variable16        equ  WindStrc_Variable01+PS         ; VINT:   POINTER [00044 00072 00112 00160 00192]
;*==============================================================================================================
;indStrc_Variable17        equ  WindStrc_Variable01+PS         ; LINT:   POINTER [00048 00080 00128 00192 00256]
;indStrc_Variable18        equ  WindStrc_Variable01+LZ         ; LINT:   POINTER [00052 00088 00144 00224 00320]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [00056 00096 00160 00256 00384]
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;STD_INPUT_HANDLE                   equ        -10  ; #define STD_INPUT_HANDLE           -10
;STD_OUTPUT_HANDLE                  equ        -11  ; #define STD_OUTPUT_HANDLE          -11
;INVALID_HANDLE_VALUE               equ        -01  ; #define INVALID_HANDLE_VALUE       -01
;*==============================================================================================================
;* WinCon.h                                        ; // ControlKeyState flags //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;RIGHT_ALT_PRESSED                 equ      00001h ; RIGHT_ALT_PRESSED   0x0001 // the right alt key is pressed.
;LEFT_ALT_PRESSED                  equ      00002h ; LEFT_ALT_PRESSED    0x0002 // the left alt key is pressed.
;RIGHT_CTRL_PRESSED                equ      00004h ; RIGHT_CTRL_PRESSED  0x0004 // the right ctrl key is pressed.
;LEFT_CTRL_PRESSED                 equ      00008h ; LEFT_CTRL_PRESSED   0x0008 // the left ctrl key is pressed.
;SHIFT_PRESSED                     equ      00010h ; SHIFT_PRESSED       0x0010 // the shift key is pressed.
;NUMLOCK_ON                        equ      00020h ; NUMLOCK_ON          0x0020 // the numlock light is on.
;SCROLLLOCK_ON                     equ      00040h ; SCROLLLOCK_ON       0x0040 // the scrolllock light is on.
;CAPSLOCK_ON                       equ      00080h ; CAPSLOCK_ON         0x0080 // the capslock light is on.
;ENHANCED_KEY                      equ      00100h ; ENHANCED_KEY        0x0100 // the key is enhanced.
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
RIGHT_ALT_PRESSED                  equ      00001h ; #define RIGHT_ALT_PRESSED   0x0001h
LEFT_ALT_PRESSED                   equ      00002h ; #define LEFT_ALT_PRESSED    0x0002h
RIGHT_CTRL_PRESSED                 equ      00004h ; #define RIGHT_CTRL_PRESSED  0x0004h
LEFT_CTRL_PRESSED                  equ      00008h ; #define LEFT_CTRL_PRESSED   0x0008h
SHIFT_PRESSED                      equ      00010h ; #define SHIFT_PRESSED       0x0010h
NUMLOCK_ON                         equ      00020h ; #define NUMLOCK_ON          0x0020h
SCROLLLOCK_ON                      equ      00040h ; #define SCROLLLOCK_ON       0x0040h
CAPSLOCK_ON                        equ      00080h ; #define CAPSLOCK_ON         0x0080h
ENHANCED_KEY                       equ      00100h ; #define ENHANCED_KEY        0x0100h
;*--------------------------------------------------------------------------------------------------------------
NLS_DBCSCHAR           equ  0x00010000 ; NLS_DBCSCHAR        0x00010000 // DBCS for JPN: SBCS/DBCS mode.
NLS_ALPHANUMERIC       equ  0x00000000 ; NLS_ALPHANUMERIC    0x00000000 // DBCS for JPN: Alphanumeric mode.
NLS_KATAKANA           equ  0x00020000 ; NLS_KATAKANA        0x00020000 // DBCS for JPN: Katakana mode.
NLS_HIRAGANA           equ  0x00040000 ; NLS_HIRAGANA        0x00040000 // DBCS for JPN: Hiragana mode.
NLS_ROMAN              equ  0x00400000 ; NLS_ROMAN           0x00400000 // DBCS for JPN: Roman/Noroman mode.
NLS_IME_CONVERSION     equ  0x00800000 ; NLS_IME_CONVERSION  0x00800000 // DBCS for JPN: IME conversion.
NLS_IME_DISABLE        equ  0x20000000 ; NLS_IME_DISABLE     0x20000000 // DBCS for JPN: IME enable/disable.
;*==============================================================================================================
;* WinCon.h                                        ;           // ButtonState flags //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FROM_LEFT_1ST_BUTTON_PRESSED       equ        001h ; #define   FROM_LEFT_1ST_BUTTON_PRESSED  0x0001h
RIGHTMOST_BUTTON_PRESSED           equ        002h ; #define   RIGHTMOST_BUTTON_PRESSED      0x0002h
FROM_LEFT_2ND_BUTTON_PRESSED       equ        004h ; #define   FROM_LEFT_2ND_BUTTON_PRESSED  0x0004h
FROM_LEFT_3RD_BUTTON_PRESSED       equ        008h ; #define   FROM_LEFT_3RD_BUTTON_PRESSED  0x0008h
FROM_LEFT_4TH_BUTTON_PRESSED       equ        010h ; #define   FROM_LEFT_4TH_BUTTON_PRESSED  0x0010h
;*--------------------------------------------------------------------------------------------------------------
;* WinCon.h                                        ;           // EventFlags //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
MOUSE_MOVED                        equ      00001h ; #define   MOUSE_MOVED                   0x0001h
DOUBLE_CLICK                       equ      00002h ; #define   DOUBLE_CLICK                  0x0002h
MOUSE_WHEELED                      equ      00004h ; #define   MOUSE_WHEELED                 0x0004h
MOUSE_HWHEELED                     equ      00008h ; #define   MOUSE_HWHEELED                0x0008h
;*--------------------------------------------------------------------------------------------------------------
;* WinCon.h                                        ; // EventType flags: //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
KEY_EVENT                equ 0001h ;#def KEY_EVENT                0x0001h ; // Event contains key  event record
MOUSE_EVENT              equ 0002h ;#def MOUSE_EVENT              0x0002h ; // Event contains mouseevent record
WINDOW_BUFFER_SIZE_EVENT equ 0004h ;#def WINDOW_BUFFER_SIZE_EVENT 0x0004h ; // Event contains windowchangeevent
MENU_EVENT               equ 0008h ;#def MENU_EVENT               0x0008h ; // Event contains menu event record
FOCUS_EVENT              equ 0010h ;#def FOCUS_EVENT              0x0010h ; // event contains focus change
;*--------------------------------------------------------------------------------------------------------------
;* WinCon.h                                        ; // Attributes flags: //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FOREGROUND_BLUE                    equ      00001h ; FOREGROUND_BLUE      0x0001h // text color contains blue.
FOREGROUND_GREEN                   equ      00002h ; FOREGROUND_GREEN     0x0002h // text color contains green.
FOREGROUND_RED                     equ      00004h ; FOREGROUND_RED       0x0004h // text color contains red.
FOREGROUND_INTENSITY               equ      00008h ; FOREGROUND_INTENSITY 0x0008h // text color is intensified.
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
BACKGROUND_BLUE                    equ      00010h ; BACKGROUND_BLUE      0x0010h // back color contains blue.
BACKGROUND_GREEN                   equ      00020h ; BACKGROUND_GREEN     0x0020h // back color contains green.
BACKGROUND_RED                     equ      00040h ; BACKGROUND_RED       0x0040h // back color contains red.
BACKGROUND_INTENSITY               equ      00080h ; BACKGROUND_INTENSITY 0x0080h // back color is intensified.
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
COMMON_LVB_LEADING_BYTE            equ      00100h ; #define   COMMON_LVB_LEADING_BYTE                   0x0100h
COMMON_LVB_TRAILING_BYTE           equ      00200h ; #define   COMMON_LVB_TRAILING_BYTE                  0x0200h
COMMON_LVB_SBCSDBCS                equ      00300h ; #define   COMMON_LVB_SBCSDBCS                       0x0300h
COMMON_LVB_GRID_HORIZONTAL         equ      00400h ; #define   COMMON_LVB_GRID_HORIZONTAL                0x0400h
COMMON_LVB_GRID_LVERTICAL          equ      00800h ; #define   COMMON_LVB_GRID_LVERTICAL                 0x0800h
COMMON_LVB_GRID_RVERTICAL          equ      01000h ; #define   COMMON_LVB_GRID_RVERTICAL                 0x1000h
COMMON_LVB_REVERSE_VIDEO           equ      04000h ; #define   COMMON_LVB_REVERSE_VIDEO                  0x4000h
COMMON_LVB_UNDERSCORE              equ      08000h ; #define   COMMON_LVB_UNDERSCORE                     0x8000h
;*--------------------------------------------------------------------------------------------------------------
;* COMMON_LVB_LEADING_BYTE                 0x0100h ; // Leading  Byte of DBCS
;* COMMON_LVB_TRAILING_BYTE                0x0200h ; // Trailing Byte of DBCS
;* COMMON_LVB_SBCSDBCS                     0x0300h ; // SBCS  or DBCS flag.
;* COMMON_LVB_GRID_HORIZONTAL              0x0400h ; // DBCS: GridAttributeTop  Horizont
;* COMMON_LVB_GRID_LVERTICAL               0x0800h ; // DBCS: GridAttributeLeft Vertical
;* COMMON_LVB_GRID_RVERTICAL               0x1000h ; // DBCS: GridAttributeRght Vertical
;* COMMON_LVB_REVERSE_VIDEO                0x4000h ; // DBCS: Reverse fore/back Ground
;* COMMON_LVB_UNDERSCORE                   0x8000h ; // DBCS: Underscore.
;*==============================================================================================================
;* WinCon.h                                        ; // Selection flags //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CONSOLE_NO_SELECTION               equ         00h ; CONSOLE_NO_SELECTION          0x00h
CONSOLE_SELECTION_IN_PROGRESS      equ         01h ; CONSOLE_SELECTION_IN_PROGRESS 0x01h // selection has begun
CONSOLE_SELECTION_NOT_EMPTY        equ         02h ; CONSOLE_SELECTION_NOT_EMPTY   0x02h // non-null  selectrect
CONSOLE_MOUSE_SELECTION            equ         04h ; CONSOLE_MOUSE_SELECTION       0x04h // selecting with mouse
CONSOLE_MOUSE_DOWN                 equ         08h ; CONSOLE_MOUSE_DOWN            0x08h // mouse is  down
;*--------------------------------------------------------------------------------------------------------------
;* WinCon.h                   :// typedef for ctrl-c handler routines //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CTRL_C_EVENT                       equ          0  ; #define   CTRL_C_EVENT                    0
CTRL_BREAK_EVENT                   equ          1  ; #define   CTRL_BREAK_EVENT                1
CTRL_CLOSE_EVENT                   equ          2  ; #define   CTRL_CLOSE_EVENT                2
;*                                                 ; //        3 is reserved!
;*                                                 ; //        4 is reserved!
CTRL_LOGOFF_EVENT                  equ          5  ; #define   CTRL_LOGOFF_EVENT               5
CTRL_SHUTDOWN_EVENT                equ          6  ; #define   CTRL_SHUTDOWN_EVENT             6
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* typedef BOOL (WINAPI *PHANDLER_ROUTINE)(DWORD CtrlType);
;*--------------------------------------------------------------------------------------------------------------
;* WinCon.h                                        ; // Input  Mode flags:  //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ENABLE_PROCESSED_INPUT             equ      00001h ; #define   ENABLE_PROCESSED_INPUT                    0x0001h
ENABLE_LINE_INPUT                  equ      00002h ; #define   ENABLE_LINE_INPUT                         0x0002h
ENABLE_ECHO_INPUT                  equ      00004h ; #define   ENABLE_ECHO_INPUT                         0x0004h
ENABLE_WINDOW_INPUT                equ      00008h ; #define   ENABLE_WINDOW_INPUT                       0x0008h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ENABLE_MOUSE_INPUT                 equ      00010h ; #define   ENABLE_MOUSE_INPUT                        0x0010h
ENABLE_INSERT_MODE                 equ      00020h ; #define   ENABLE_INSERT_MODE                        0x0020h
ENABLE_QUICK_EDIT_MODE             equ      00040h ; #define   ENABLE_QUICK_EDIT_MODE                    0x0040h
ENABLE_EXTENDED_FLAGS              equ      00080h ; #define   ENABLE_EXTENDED_FLAGS                     0x0080h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ENABLE_VIRTUAL_TERMINAL_INPUT      equ      00200h ; #define   ENABLE_VIRTUAL_TERMINAL_INPUT             0x0200h
;*--------------------------------------------------------------------------------------------------------------
;* WinCon.h                                        ; // Output Mode flags: //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ENABLE_PROCESSED_OUTPUT              equ    00001h ; #define   ENABLE_PROCESSED_OUTPUT                   0x0001h
ENABLE_WRAP_AT_EOL_OUTPUT            equ    00002h ; #define   ENABLE_WRAP_AT_EOL_OUTPUT                 0x0002h
ENABLE_VIRTUAL_TERMINAL_PROCESSING   equ    00004h ; #define   ENABLE_VIRTUAL_TERMINAL_PROCESSING        0x0004h
DISABLE_NEWLINE_AUTO_RETURN          equ    00008h ; #define   DISABLE_NEWLINE_AUTO_RETURN               0x0008h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ENABLE_LVB_GRID_WORLDWIDE            equ    00010h ; #define   ENABLE_LVB_GRID_WORLDWIDE                 0x0010h
;*--------------------------------------------------------------------------------------------------------------
;* WinCon.h                                        ; // direct API definitions. //
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CONSOLE_TEXTMODE_BUFFER            equ           1 ; CONSOLE_TEXTMODE_BUFFER      1
CONSOLE_FULLSCREEN                 equ           1 ; CONSOLE_FULLSCREEN           1 // fullscreen console
CONSOLE_FULLSCREEN_HARDWARE        equ           2 ; CONSOLE_FULLSCREEN_HARDWARE  2 // console owns the hardware
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;;###############################################################################################################
;;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;* WINNT.HH                                        ; /* Virtal Memory Flags */
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SECTION_QUERY                      equ      00001h ; #define   SECTION_QUERY                             0x0001h
;SECTION_MAP_WRITE                  equ      00002h ; #define   SECTION_MAP_WRITE                         0x0002h
;SECTION_MAP_READ                   equ      00004h ; #define   SECTION_MAP_READ                          0x0004h
;SECTION_MAP_EXECUTE                equ      00008h ; #define   SECTION_MAP_EXECUTE                       0x0008h
;SECTION_EXTEND_SIZE                equ      00010h ; #define   SECTION_EXTEND_SIZE                       0x0010h
;;*--------------------------------------------------------------------------------------------------------------
;PAGE_NOACCESS                      equ      00001h ; #define   PAGE_NOACCESS                             0x0001h
;PAGE_READONLY                      equ      00002h ; #define   PAGE_READONLY                             0x0002h
;PAGE_READWRITE                     equ      00004h ; #define   PAGE_READWRITE                            0x0004h
;PAGE_WRITECOPY                     equ      00008h ; #define   PAGE_WRITECOPY                            0x0008h
;PAGE_EXECUTE                       equ      00010h ; #define   PAGE_EXECUTE                              0x0010h
;PAGE_EXECUTE_READ                  equ      00020h ; #define   PAGE_EXECUTE_READ                         0x0020h
;PAGE_EXECUTE_READWRITE             equ      00040h ; #define   PAGE_EXECUTE_READWRITE                    0x0040h
;PAGE_EXECUTE_WRITECOPY             equ      00080h ; #define   PAGE_EXECUTE_WRITECOPY                    0x0080h
;PAGE_GUARD                         equ      00100h ; #define   PAGE_GUARD                                0x0100h
;PAGE_NOCACHE                       equ      00200h ; #define   PAGE_NOCACHE                              0x0200h
;;*--------------------------------------------------------------------------------------------------------------
;MEM_COMMIT                         equ  000001000h ; #define   MEM_COMMIT                            0x00001000h
;MEM_RESERVE                        equ  000002000h ; #define   MEM_RESERVE                           0x00002000h
;MEM_DECOMMIT                       equ  000004000h ; #define   MEM_DECOMMIT                          0x00004000h
;MEM_RELEASE                        equ  000008000h ; #define   MEM_RELEASE                           0x00008000h
;MEM_FREE                           equ  000010000h ; #define   MEM_FREE                              0x00010000h
;MEM_PRIVATE                        equ  000020000h ; #define   MEM_PRIVATE                           0x00020000h
;MEM_MAPPED                         equ  000040000h ; #define   MEM_MAPPED                            0x00040000h
;MEM_RESET                          equ  000080000h ; #define   MEM_RESET                             0x00080000h
;MEM_TOP_DOWN                       equ  000100000h ; #define   MEM_TOP_DOWN                          0x00100000h
;;*--------------------------------------------------------------------------------------------------------------
;SEC_FILE                           equ  000800000h ; #define   SEC_FILE                              0x00800000h
;SEC_IMAGE                          equ  001000000h ; #define   SEC_IMAGE                             0x01000000h
;SEC_RESERVE                        equ  004000000h ; #define   SEC_RESERVE                           0x04000000h
;SEC_COMMIT                         equ  008000000h ; #define   SEC_COMMIT                            0x08000000h
;SEC_NOCACHE                        equ  010000000h ; #define   SEC_NOCACHE                           0x10000000h
;;MEM_IMAGE                         equ   SEC_IMAGE ; #define   MEM_IMAGE              SEC_IMAGE
;;*==============================================================================================================
;;#define SECTION_ALL_ACCESS (STANDARD_RIGHTS_REQUIRED|SECTION_QUERY|\
;;                            SECTION_MAP_WRITE |      \
;;                            SECTION_MAP_READ |       \
;;                            SECTION_MAP_EXECUTE |    \
;;                            SECTION_EXTEND_SIZE)
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;;###############################################################################################################

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LSIZ ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WinCon.h                CONSOLE_SCREEN_BUFFER_INFO          ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CSBuInfo_wSizeX            equ  00000000                       ; WORD: SHORT     [00000 00000 00000 00000 00000]
CSBuInfo_wSizeY            equ  CSBuInfo_wSizeX+02             ; WORD: SHORT     [00002 00002 00002 00002 00002]
CSBuInfo_wCursorPosX       equ  CSBuInfo_wSizeY+02             ; WORD: SHORT     [00004 00004 00004 00004 00004]
CSBuInfo_wCursorPosY       equ  CSBuInfo_wCursorPosX+02        ; WORD: SHORT     [00006 00006 00006 00006 00006]
CSBuInfo_wAttributes       equ  CSBuInfo_wCursorPosY+02        ; WORD: WORD      [00008 00008 00008 00008 00008]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
CSBuInfo_wWindowLeft       equ  CSBuInfo_wAttributes+02        ; WORD: SHORT     [00010 00010 00010 00010 00010]
CSBuInfo_wWindowTopp       equ  CSBuInfo_wWindowLeft+02        ; WORD: SHORT     [00012 00012 00012 00012 00012]
CSBuInfo_wWindowRght       equ  CSBuInfo_wWindowTopp+02        ; WORD: SHORT     [00014 00014 00014 00014 00014]
CSBuInfo_wWindowBott       equ  CSBuInfo_wWindowRght+02        ; WORD: SHORT     [00016 00016 00016 00016 00016]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
CSBuInfo_wMaxWinSizX       equ  CSBuInfo_wWindowBott+02        ; WVAL: SHORT     [00018 00018 00018 00018 00018]
CSBuInfo_wMaxWinSizY       equ  CSBuInfo_wMaxWinSizX+02        ; WVAL: SHORT     [00020 00020 00020 00020 00020]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CSBUINFO                   equ  CSBuInfo_wMaxWinSizY+02        ; SIZE: PARAMETER [00022 00022 00022 00022 00022]
;*==============================================================================================================
;* WinCon.h                CHAR_INFO                           ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CharInfo_uCharacter        equ  00000000                       ; WVAL: UCHAR ??? [00000 00000 00000 00000 00000]
CharInfo_wAttribute        equ  CharInfo_uCharacter+02         ; WVAL: WORD  +UC [00002 00002 00002 00002 00002]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CHARINFO                   equ  CharInfo_wAttribute+02         ; SIZE: PARAMETER [00004 00004 00004 00004 00004]
;*--------------------------------------------------------------------------------------------------------------
;* WinCon.h                CONSOLE_CURSOR_INFO                 ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CursInfo_dwSize            equ  00000000                       ; EVAL: DWORD     [00000 00000 00000 00000 00000]
CursInfo_bVisible          equ  CursInfo_dwSize+04             ; EVAL: BOOL      [00004 00004 00004 00004 00004]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CURSINFO                   equ  CursInfo_bVisible+04           ; SIZE: PARAMETER [00008 00008 00008 00008 00008]
;*==============================================================================================================
;* WinCon.h                COORDinates                         ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Coord_X                    equ  00000                          ; WVAL: SHORT     [00000 00000 00000 00000 00000]
Coord_Y                    equ  Coord_X+02                     ; WVAL: SHORT     [00002 00002 00002 00002 00002]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
COORD                      equ  Coord_Y+02                     ; SIZE: PARAMETER [00004 00004 00004 00004 00004]
;*--------------------------------------------------------------------------------------------------------------
;* WinCon.h                SMALLRECTangle                      ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SmallRect_Left             equ  000000000                      ; WVAL: SHORT     [00000 00000 00000 00000 00000]
SmallRect_Topp             equ  SmallRect_Left+02              ; WVAL: SHORT     [00002 00002 00002 00002 00002]
SmallRect_Rght             equ  SmallRect_Topp+02              ; WVAL: SHORT     [00004 00004 00004 00004 00004]
SmallRect_Bott             equ  SmallRect_Rght+02              ; WVAL: SHORT     [00006 00006 00006 00006 00006]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SMALLRECT                  equ  SmallRect_Bott+02              ; SIZE: PARAMETER [00008 00008 00008 00008 00008]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LSIZ ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WinCon.h                INPUT_RECORD                        ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
InputRec_wEventType        equ  00000000                       ; WVAL: WORD      [00000 00000 00000 00000 00000]
InputRec_wPadding          equ  InputRec_wEventType+02         ; WVAL: WORD      [00002 00002 00002 00002 00002]
;*--------------------------------------------------------------------------------------------------------------
InputRec_bKeyDown          equ  InputRec_wEventType+04         ; EVAL: BOOL      [00004 00004 00004 00004 00004]
InputRec_wRepeatCount      equ  InputRec_bKeyDown+04           ; WVAL: WORD      [00008 00008 00008 00008 00008]
InputRec_wVirtKeyCode      equ  InputRec_wRepeatCount+02       ; WVAL: WORD      [00010 00010 00010 00010 00010]
InputRec_wVirtScnCode      equ  InputRec_wVirtKeyCode+02       ; WVAL: WORD      [00012 00012 00012 00012 00012]
InputRec_uChar             equ  InputRec_wVirtScnCode+02       ; WVAL: WCHAR     [00014 00014 00014 00014 00014]
InputRec_dwCtrKeySta1      equ  InputRec_uChar+02              ; EVAL: DWORD     [00016 00016 00016 00016 00016]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
KEY_EVENT_RECORD           equ  InputRec_dwCtrKeySta1+04       ; SIZE: PARAMETER [00020 00020 00020 00020 00020]
;INPUTREC                  equ  InputRec_dwCtrKeySta1+04       ; SIZE: PARAMETER [00020 00020 00020 00020 00020]
;*--------------------------------------------------------------------------------------------------------------
InputRec_wMousePositX      equ  InputRec_wEventType+04         ; WVAL: SMALL     [00004 00004 00004 00004 00004]
InputRec_wMousePositY      equ  InputRec_wMousePositX+02       ; WVAL: SMALL     [00006 00006 00006 00006 00006]
InputRec_dwButtonStat      equ  InputRec_wMousePositY+02       ; EVAL: DWORD     [00008 00008 00008 00008 00008]
InputRec_dwCtrKeySta2      equ  InputRec_dwButtonStat+04       ; EVAL: DWORD     [00012 00012 00012 00012 00012]
InputRec_dwEventFlags      equ  InputRec_dwCtrKeySta2+04       ; EVAL: DWORD     [00016 00016 00016 00016 00016]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
MOUSE_EVENT_RECORD         equ  InputRec_dwEventFlags+04       ; SIZE: PARAMETER [00020 00020 00020 00020 00020]
;*--------------------------------------------------------------------------------------------------------------
InputRec_wSizeX            equ  InputRec_wEventType+04         ; WVAL: SMALL     [00004 00004 00004 00004 00004]
InputRec_wSizeY            equ  InputRec_wSizeX+02             ; WVAL: SMALL     [00006 00006 00006 00006 00006]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WIND_BUFF_SIZE_RECORD      equ  InputRec_wSizeY+02             ; SIZE: PARAMETER [00008 00008 00008 00008 00008]
;*--------------------------------------------------------------------------------------------------------------
InputRec_dwCommandId       equ  InputRec_wEventType+04         ; EVAL: UINT      [00004 00004 00004 00004 00004]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
MENU_EVENT_RECORD          equ  InputRec_dwCommandId+04        ; SIZE: PARAMETER [00008 00008 00008 00008 00008]
;*--------------------------------------------------------------------------------------------------------------
InputRec_bSetFocus         equ  InputRec_wEventType+04         ; EVAL: BOOL (I4) [00004 00004 00004 00004 00004]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FOCUS_EVENT_RECORD         equ  InputRec_bSetFocus+04          ; SIZE: PARAMETER [00008 00008 00008 00008 00008]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################

;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################
;MyLISTON


