;MyLSTOFF
;***************************************************************************************************************
;* Z9WinNT.i   Assembler< WinNT.h     > Include file                                                           *
;*                                                                                                             *
;*=============================================================================================================*
;* Wolfgang  Renner                  Creation Date = 08. Apr 2016                                              *
;* Gimbacher Weg 34                  Creation Time = 00:00:00:000                                              *
;*                                                                                                             *
;* D-65779 Kelkheim                  Changing Last = 14. Apr 2016                                              *
;* Germany / Hessen                  Changing Time = 00:00:00:000                                              *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus  Assembler                                                           *
;*                                                                                                             *
;* 12345678901234567890123456789012345678901234567890 = "12345678901234567890123456789012345678901234567890",  *
;***************************************************************************************************************

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LVSZ ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;indStrc_Variable01        equ  00000000                       ; BINT:     BYTE  [00000 00000 00000 00000 00000]
;indStrc_Variable02        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00001 00001 00001 00001 00001]
;indStrc_Variable03        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00002 00002 00002 00002 00002]
;indStrc_Variable04        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00003 00003 00003 00003 00003]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable05        equ  WindStrc_Variable01+01         ; WINT:     WORD  [00004 00004 00004 00004 00004]
;indStrc_Variable06        equ  WindStrc_Variable01+02         ; WINT:     SHORT [00006 00006 00006 00006 00006]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;indStrc_Variable07        equ  WindStrc_Variable01+02         ; SINT:     LONG  [00008 00008 00008 00008 00008]
;indStrc_Variable08        equ  WindStrc_Variable01+04         ; SINT:     DWORD [00012 00012 00012 00012 00012]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;indStrc_Variable09        equ  WindStrc_Variable01+04         ; DINT:  LONGLONG [00016 00016 00016 00016 00016]
;indStrc_Variable10        equ  WindStrc_Variable01+DV         ; DINT:     QWORD [00020 00024 00024 00032 00024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;indStrc_Variable11        equ  WindStrc_Variable01+DV         ; QINT:    HANDLE [00024 00032 00032 00032 00032]
;indStrc_Variable12        equ  WindStrc_Variable01+QV         ; QINT:   POINTER [00028 00040 00048 00048 00048]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - - - -
;indStrc_Variable13        equ  WindStrc_Variable01+QV         ; UINT:   POINTER [00032 00048 00064 00064 00064]
;indStrc_Variable14        equ  WindStrc_Variable01+GV         ; UINT:   POINTER [00036 00056 00080 00096 00096]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable15        equ  WindStrc_Variable01+GV         ; VINT:   POINTER [00040 00064 00096 00128 00128]
;indStrc_Variable16        equ  WindStrc_Variable01+PV         ; VINT:   POINTER [00044 00072 00112 00160 00192]
;*==============================================================================================================
;indStrc_Variable17        equ  WindStrc_Variable01+PV         ; LINT:   POINTER [00048 00080 00128 00192 00256]
;indStrc_Variable18        equ  WindStrc_Variable01+LV         ; LINT:   POINTER [00052 00088 00144 00224 00320]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [00056 00096 00160 00256 00384]
;###############################################################################################################

;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LVSZ ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WINNT.h                      MEMORY_BASIC_INFORMATION       ; SIZE: CPP-TYPE: [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
MemoInfo_BaseAddress       equ  00000000                       ; PNTR: PVOID     [00000 00000 00000 00000 00000]
MemoInfo_AllocationBase    equ  MemoInfo_BaseAddress+LV        ; PNTR: PVOID     [00004 00008 00016 00032 00064]
MemoInfo_AllocationProt    equ  MemoInfo_AllocationBase+LV     ; LVAL: DWRD&Pad1 [00008 00016 00032 00064 00128]
MemoInfo_RegionSize        equ  MemoInfo_AllocationProt+LV     ; LVAL: SIZE_T    [00012 00024 00048 00096 00192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
MemoInfo_State             equ  MemoInfo_RegionSize+LV         ; SVAL: DWORD     [00016 00032 00064 00128 00256]
MemoInfo_Protect           equ  MemoInfo_State+04              ; SVAL: DWORD     [00020 00036 00068 00132 00260]
MemoInfo_Type              equ  MemoInfo_Protect+04            ; SVAL: DWORD     [00024 00040 00072 00136 00264]
MemoInfo_Pad2              equ  MemoInfo_Type+04               ; SVAL: DWORD     [00028 00044 00076 00140 00268]
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
MEMOINFO                   equ  MemoInfo_Pad2+LV-04            ; SIZE: PARAMETER [00028 00048 00080 00144 00272]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [00056 00096 00160 00256 00384]
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINNT.H                                         ; /* ???? values */                                         %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
DELETE                             equ  000010000h ; #define DELETE                              (0x00010000L) %
READ_CONTROL                       equ  000020000h ; #define READ_CONTROL                        (0x00020000L) %
WRITE_DAC                          equ  000040000h ; #define WRITE_DAC                           (0x00040000L) %
WRITE_OWNER                        equ  000080000h ; #define WRITE_OWNER                         (0x00080000L) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
STANDARD_RIGHTS_REQUIRED           equ  0000F0000h ; #define STANDARD_RIGHTS_REQUIRED            (0x000F0000L) %
SYNCHRONIZE                        equ  000100000h ; #define SYNCHRONIZE                         (0x00100000L) %
STANDARD_RIGHTS_ALL                equ  0001F0000h ; #define STANDARD_RIGHTS_ALL                 (0x001F0000L) %
SPECIFIC_RIGHTS_ALL                equ  00000FFFFh ; #define SPECIFIC_RIGHTS_ALL                 (0x0000FFFFL) %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
STANDARD_RIGHTS_READ               equ  000020000h ; #define STANDARD_RIGHTS_READ               (READ_CONTROL) %
STANDARD_RIGHTS_WRITE              equ  000020000h ; #define STANDARD_RIGHTS_WRITE              (READ_CONTROL) %
STANDARD_RIGHTS_EXECUTE            equ  000020000h ; #define STANDARD_RIGHTS_EXECUTE            (READ_CONTROL) %
;*-------------------------------------------------------------------------------------------------------------%
ACCESS_SYSTEM_SECURITY             equ  001000000h ; #define ACCESS_SYSTEM_SECURITY              (0x01000000L) %
MAXIMUM_ALLOWED                    equ  002000000h ; #define MAXIMUM_ALLOWED                     (0x02000000L) %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
GENERIC_ALL                        equ  010000000h ; #define GENERIC_ALL                         (0x10000000L) %
GENERIC_EXECUTE                    equ  020000000h ; #define GENERIC_EXECUTE                     (0x20000000L) %
GENERIC_WRITE                      equ  040000000h ; #define GENERIC_WRITE                       (0x40000000L) %
GENERIC_READ                       equ  080000000h ; #define GENERIC_READ                        (0x80000000L) %
;*=============================================================================================================%
;% WINNT.H                                         ; /* ???? values */                                         %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
PROCESS_TERMINATE                  equ  000000001h ; #define PROCESS_TERMINATE                        (0x0001) %
PROCESS_CREATE_THREAD              equ  000000002h ; #define PROCESS_CREATE_THREAD                    (0x0002) %
PROCESS_VM_OPERATION               equ  000000008h ; #define PROCESS_VM_OPERATION                     (0x0008) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
PROCESS_VM_READ                    equ  000000010h ; #define PROCESS_VM_READ                          (0x0010) %
PROCESS_VM_WRITE                   equ  000000020h ; #define PROCESS_VM_WRITE                         (0x0020) %
PROCESS_DUP_HANDLE                 equ  000000040h ; #define PROCESS_DUP_HANDLE                       (0x0040) %
PROCESS_CREATE_PROCESS             equ  000000080h ; #define PROCESS_CREATE_PROCESS                   (0x0080) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
PROCESS_SET_QUOTA                  equ  000000100h ; #define PROCESS_SET_QUOTA                        (0x0100) %
PROCESS_SET_INFORMATION            equ  000000200h ; #define PROCESS_SET_INFORMATION                  (0x0200) %
PROCESS_QUERY_INFORMATION          equ  000000400h ; #define PROCESS_QUERY_INFORMATION                (0x0400) %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
PROCESS_ALL_ACCESS                 equ  0001F0FFFh ; ALL_ACC (STANDARD_RIGHTS_REQUIRED | SYNCHRONIZE | 0x0FFF) %
;*-------------------------------------------------------------------------------------------------------------%
THREAD_TERMINATE                   equ  000000001h ; #define THREAD_TERMINATE                         (0x0001) %
THREAD_SUSPEND_RESUME              equ  000000002h ; #define THREAD_SUSPEND_RESUME                    (0x0002) %
THREAD_GET_CONTEXT                 equ  000000008h ; #define THREAD_GET_CONTEXT                       (0x0008) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
THREAD_SET_CONTEXT                 equ  000000010h ; #define THREAD_SET_CONTEXT                       (0x0010) %
THREAD_SET_INFORMATION             equ  000000020h ; #define THREAD_SET_INFORMATION                   (0x0020) %
THREAD_QUERY_INFORMATION           equ  000000040h ; #define THREAD_QUERY_INFORMATION                 (0x0040) %
THREAD_SET_THREAD_TOKEN            equ  000000080h ; #define THREAD_SET_THREAD_TOKEN                  (0x0080) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
THREAD_IMPERSONATE                 equ  000000100h ; #define THREAD_IMPERSONATE                       (0x0100) %
THREAD_DIRECT_IMPERSONATION        equ  000000200h ; #define THREAD_DIRECT_IMPERSONATION              (0x0200) %
THREAD_SET_LIMITED_INFORMATION     equ  000000400h ; #define THREAD_SET_LIMITED_INFORMATION           (0x0400) %
THREAD_QUERY_LIMITED_INFORMATION   equ  000000800h ; #define THREAD_QUERY_LIMITED_INFORMATION         (0x0800) %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
THREAD_ALL_ACCESS                  equ  0001F03FFh ; ALL_ACC (STANDARD_RIGHTS_REQUIRED | SYNCHRONIZE | 0x03FF) %
;*-------------------------------------------------------------------------------------------------------------%
TLS_MINIMUM_AVAILABLE              equ         64  ; #define TLS_MINIMUM_AVAILABLE                         64  %
MAXIMUM_PROCESSORS                 equ         32  ; #define MAXIMUM_PROCESSORS                            32  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINNT.H                                         ; /* ??? values */                                          %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
STATUS_WAIT_0                      equ  000000000h ; STATUS_WAIT_0                     ( (DWORD) 0x00000000L ) %
STATUS_ABANDONED_WAIT_0            equ  000000080h ; STATUS_ABANDONED_WAIT_0           ( (DWORD) 0x00000080L ) %
STATUS_USER_APC                    equ  0000000C0h ; STATUS_USER_APC                   ( (DWORD) 0x000000C0L ) %
STATUS_TIMEOUT                     equ  000000102h ; STATUS_TIMEOUT                    ( (DWORD) 0x00000102L ) %
STATUS_PENDING                     equ  000000103h ; STATUS_PENDING                    ( (DWORD) 0x00000103L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
DBG_EXCEPTION_HANDLED              equ  000010001h ; DBG_EXCEPTION_HANDLED             ( (DWORD) 0x00010001L ) %
DBG_CONTINUE                       equ  000010002h ; DBG_CONTINUE                      ( (DWORD) 0x00010002L ) %
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   %
STATUS_SEGMENT_NOTIFICATION        equ  040000005h ; STATUS_SEGMENT_NOTIFICATION       ( (DWORD) 0x40000005L ) %
DBG_TERMINATE_THREAD               equ  040010003h ; DBG_TERMINATE_THREAD              ( (DWORD) 0x40010003L ) %
DBG_TERMINATE_PROCESS              equ  040010004h ; DBG_TERMINATE_PROCESS             ( (DWORD) 0x40010004L ) %
DBG_CONTROL_C                      equ  040010005h ; DBG_CONTROL_C                     ( (DWORD) 0x40010005L ) %
DBG_CONTROL_BREAK                  equ  040010008h ; DBG_CONTROL_BREAK                 ( (DWORD) 0x40010008L ) %
DBG_COMMAND_EXCEPTION              equ  040010009h ; DBG_COMMAND_EXCEPTION             ( (DWORD) 0x40010009L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
STATUS_GUARD_PAGE_VIOLATION        equ  080000001h ; STATUS_GUARD_PAGE_VIOLATION       ( (DWORD) 0x80000001L ) %
STATUS_DATATYPE_MISALIGNMENT       equ  080000002h ; STATUS_DATATYPE_MISALIGNMENT      ( (DWORD) 0x80000002L ) %
STATUS_BREAKPOINT                  equ  080000003h ; STATUS_BREAKPOINT                 ( (DWORD) 0x80000003L ) %
STATUS_SINGLE_STEP                 equ  080000004h ; STATUS_SINGLE_STEP                ( (DWORD) 0x80000004L ) %
DBG_EXCEPTION_NOT_HANDLED          equ  080010001h ; DBG_EXCEPTION_NOT_HANDLED         ( (DWORD) 0x80010001L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
STATUS_ACCESS_VIOLATION            equ  0C0000005h ; STATUS_ACCESS_VIOLATION           ( (DWORD) 0xC0000005L ) %
STATUS_IN_PAGE_ERROR               equ  0C0000006h ; STATUS_IN_PAGE_ERROR              ( (DWORD) 0xC0000006L ) %
STATUS_INVALID_HANDLE              equ  0C0000008h ; STATUS_INVALID_HANDLE             ( (DWORD) 0xC0000008L ) %
STATUS_NO_MEMORY                   equ  0C0000017h ; STATUS_NO_MEMORY                  ( (DWORD) 0xC0000017L ) %
STATUS_ILLEGAL_INSTRUCTION         equ  0C000001Dh ; STATUS_ILLEGAL_INSTRUCTION        ( (DWORD) 0xC000001DL ) %
STATUS_NONCONTINUABLE_EXCEPTION    equ  0C0000025h ; STATUS_NONCONTINUABLE_EXCEPTION   ( (DWORD) 0xC0000025L ) %
STATUS_INVALID_DISPOSITION         equ  0C0000026h ; STATUS_INVALID_DISPOSITION        ( (DWORD) 0xC0000026L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
STATUS_ARRAY_BOUNDS_EXCEEDED       equ  0C000008Ch ; STATUS_ARRAY_BOUNDS_EXCEEDED      ( (DWORD) 0xC000008CL ) %
STATUS_FLOAT_DENORMAL_OPERAND      equ  0C000008Dh ; STATUS_FLOAT_DENORMAL_OPERAND     ( (DWORD) 0xC000008DL ) %
STATUS_FLOAT_DIVIDE_BY_ZERO        equ  0C000008Eh ; STATUS_FLOAT_DIVIDE_BY_ZERO       ( (DWORD) 0xC000008EL ) %
STATUS_FLOAT_INEXACT_RESULT        equ  0C000008Fh ; STATUS_FLOAT_INEXACT_RESULT       ( (DWORD) 0xC000008FL ) %
STATUS_FLOAT_INVALID_OPERATION     equ  0C0000090h ; STATUS_FLOAT_INVALID_OPERATION    ( (DWORD) 0xC0000090L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
STATUS_FLOAT_OVERFLOW              equ  0C0000091h ; STATUS_FLOAT_OVERFLOW             ( (DWORD) 0xC0000091L ) %
STATUS_FLOAT_STACK_CHECK           equ  0C0000092h ; STATUS_FLOAT_STACK_CHECK          ( (DWORD) 0xC0000092L ) %
STATUS_FLOAT_UNDERFLOW             equ  0C0000093h ; STATUS_FLOAT_UNDERFLOW            ( (DWORD) 0xC0000093L ) %
STATUS_INTEGER_DIVIDE_BY_ZERO      equ  0C0000094h ; STATUS_INTEGER_DIVIDE_BY_ZERO     ( (DWORD) 0xC0000094L ) %
STATUS_INTEGER_OVERFLOW            equ  0C0000095h ; STATUS_INTEGER_OVERFLOW           ( (DWORD) 0xC0000095L ) %
STATUS_PRIVILEGED_INSTRUCTION      equ  0C0000096h ; STATUS_PRIVILEGED_INSTRUCTION     ( (DWORD) 0xC0000096L ) %
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     %
STATUS_STACK_OVERFLOW              equ  0C00000FDh ; STATUS_STACK_OVERFLOW             ( (DWORD) 0xC00000FDL ) %
STATUS_CONTROL_C_EXIT              equ  0C000013Ah ; STATUS_CONTROL_C_EXIT             ( (DWORD) 0xC000013AL ) %
STATUS_FLOAT_MULTIPLE_FAULTS       equ  0C00002B4h ; STATUS_FLOAT_MULTIPLE_FAULTS      ( (DWORD) 0xC00002B4L ) %
STATUS_FLOAT_MULTIPLE_TRAPS        equ  0C00002B5h ; STATUS_FLOAT_MULTIPLE_TRAPS       ( (DWORD) 0xC00002B5L ) %
STATUS_REG_NAT_CONSUMPTION         equ  0C00002C9h ; STATUS_REG_NAT_CONSUMPTION        ( (DWORD) 0xC00002C9L ) %
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
STATUS_SXS_EARLY_DEACTIVATION      equ  0C015000Fh ; STATUS_SXS_EARLY_DEACTIVATION     ( (DWORD) 0xC015000FL ) %
STATUS_SXS_INVALID_DEACTIVATION    equ  0C0150010h ; STATUS_SXS_INVALID_DEACTIVATION   ( (DWORD) 0xC0150010L ) %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WINNT.H                                         ; /* Virtal Memory Flags */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SECTION_QUERY                      equ      00001h ; #define   SECTION_QUERY                             0x0001h
SECTION_MAP_WRITE                  equ      00002h ; #define   SECTION_MAP_WRITE                         0x0002h
SECTION_MAP_READ                   equ      00004h ; #define   SECTION_MAP_READ                          0x0004h
SECTION_MAP_EXECUTE                equ      00008h ; #define   SECTION_MAP_EXECUTE                       0x0008h
SECTION_EXTEND_SIZE                equ      00010h ; #define   SECTION_EXTEND_SIZE                       0x0010h
;*--------------------------------------------------------------------------------------------------------------
PAGE_NOACCESS                      equ      00001h ; #define   PAGE_NOACCESS                             0x0001h
PAGE_READONLY                      equ      00002h ; #define   PAGE_READONLY                             0x0002h
PAGE_READWRITE                     equ      00004h ; #define   PAGE_READWRITE                            0x0004h
PAGE_WRITECOPY                     equ      00008h ; #define   PAGE_WRITECOPY                            0x0008h
PAGE_EXECUTE                       equ      00010h ; #define   PAGE_EXECUTE                              0x0010h
PAGE_EXECUTE_READ                  equ      00020h ; #define   PAGE_EXECUTE_READ                         0x0020h
PAGE_EXECUTE_READWRITE             equ      00040h ; #define   PAGE_EXECUTE_READWRITE                    0x0040h
PAGE_EXECUTE_WRITECOPY             equ      00080h ; #define   PAGE_EXECUTE_WRITECOPY                    0x0080h
PAGE_GUARD                         equ      00100h ; #define   PAGE_GUARD                                0x0100h
PAGE_NOCACHE                       equ      00200h ; #define   PAGE_NOCACHE                              0x0200h
;*--------------------------------------------------------------------------------------------------------------
MEM_COMMIT                         equ  000001000h ; #define   MEM_COMMIT                            0x00001000h
MEM_RESERVE                        equ  000002000h ; #define   MEM_RESERVE                           0x00002000h
MEM_DECOMMIT                       equ  000004000h ; #define   MEM_DECOMMIT                          0x00004000h
MEM_RELEASE                        equ  000008000h ; #define   MEM_RELEASE                           0x00008000h
MEM_FREE                           equ  000010000h ; #define   MEM_FREE                              0x00010000h
MEM_PRIVATE                        equ  000020000h ; #define   MEM_PRIVATE                           0x00020000h
MEM_MAPPED                         equ  000040000h ; #define   MEM_MAPPED                            0x00040000h
MEM_RESET                          equ  000080000h ; #define   MEM_RESET                             0x00080000h
MEM_TOP_DOWN                       equ  000100000h ; #define   MEM_TOP_DOWN                          0x00100000h
;*--------------------------------------------------------------------------------------------------------------
SEC_FILE                           equ  000800000h ; #define   SEC_FILE                              0x00800000h
SEC_IMAGE                          equ  001000000h ; #define   SEC_IMAGE                             0x01000000h
SEC_RESERVE                        equ  004000000h ; #define   SEC_RESERVE                           0x04000000h
SEC_COMMIT                         equ  008000000h ; #define   SEC_COMMIT                            0x08000000h
SEC_NOCACHE                        equ  010000000h ; #define   SEC_NOCACHE                           0x10000000h
;MEM_IMAGE                         equ   SEC_IMAGE ; #define   MEM_IMAGE              SEC_IMAGE
;*==============================================================================================================
;#define SECTION_ALL_ACCESS (STANDARD_RIGHTS_REQUIRED|SECTION_QUERY|\
;                            SECTION_MAP_WRITE |      \
;                            SECTION_MAP_READ |       \
;                            SECTION_MAP_EXECUTE |    \
;                            SECTION_EXTEND_SIZE)
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###########################################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************************
;*==========================================================================================================================
;*--------------------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###########################################################################################################################

;#######################################################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************************************
;*======================================================================================================================================
;*--------------------------------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;#######################################################################################################################################

;#######################################################################################################################################
;12345678901234567890123456789012345678901234  equ  012345678h ; #define   12345678901234567890123456789012345678901234h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WINNT.H                                                     ; /* Virtal Memory Flags */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
DLL_PROCESS_DETACH                             equ          0  ; #define DLL_PROCESS_DETACH                                    00000
DLL_PROCESS_ATTACH                             equ          1  ; #define DLL_PROCESS_ATTACH                                    00001
DLL_THREAD_ATTACH                              equ          2  ; #define DLL_THREAD_ATTACH                                     00002
DLL_THREAD_DETACH                              equ          3  ; #define DLL_THREAD_DETACH                                     00003
DLL_PROCESS_VERIFIER                           equ          4  ; #define DLL_PROCESS_VERIFIER                                  00004
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012345678901234  equ  012345678h ; #define   12345678901234567890123456789012345678901234h      0x12345678
;#######################################################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.H                                       ;           /* Window Styles */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;WS_OVERLAPPED                     equ  000000000h ; #define   WS_OVERLAPPED                         0x00000000h
;*==============================================================================================================
;* WINUSER.H                                       ;          /* Global Memory Flags */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
GMEM_FIXED                         equ      00000h ; #define   GMEM_FIXED                                0x0000h
GMEM_MOVEABLE                      equ      00002h ; #define   GMEM_MOVEABLE                             0x0002h
GMEM_NOCOMPACT                     equ      00010h ; #define   GMEM_NOCOMPACT                            0x0010h
GMEM_NODISCARD                     equ      00020h ; #define   GMEM_NODISCARD                            0x0020h
GMEM_ZEROINIT                      equ      00040h ; #define   GMEM_ZEROINIT                             0x0040h
GMEM_MODIFY                        equ      00080h ; #define   GMEM_MODIFY                               0x0080h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
GMEM_DISCARDABLE                   equ      00100h ; #define   GMEM_DISCARDABLE                          0x0100h
GMEM_NOT_BANKED                    equ      01000h ; #define   GMEM_NOT_BANKED                           0x1000h
GMEM_SHARE                         equ      02000h ; #define   GMEM_SHARE                                0x2000h
GMEM_DDESHARE                      equ      02000h ; #define   GMEM_DDESHARE                             0x2000h
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
GMEM_NOTIFY                        equ      04000h ; #define   GMEM_NOTIFY                               0x4000h
GMEM_LOWER                         equ      01000h ; #define   GMEM_LOWER          GMEM_NOT_BANKED       0x1000h
GMEM_VALID_FLAGS                   equ      07F72h ; #define   GMEM_VALID_FLAGS                          0x7F72h
GMEM_INVALID_HANDLE                equ      08000h ; #define   GMEM_INVALID_HANDLE                       0x8000h
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Flags returned by GlobalFlags   (in addition to GMEM_DISCARDABLE)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
GMEM_DISCARDED                     equ      04000h ; #define   GMEM_DISCARDED                            0x4000h
GMEM_LOCKCOUNT                     equ      000FFh ; #define   GMEM_LOCKCOUNT                            0x00FFh
;*--------------------------------------------------------------------------------------------------------------
;* #define GHND                (GMEM_MOVEABLE | GMEM_ZEROINIT)
;* #define GPTR                (GMEM_FIXED | GMEM_ZEROINIT)
;*
;* #define GlobalLRUNewest( h )    (HANDLE)(h)
;* #define GlobalLRUOldest( h )    (HANDLE)(h)
;* #define GlobalDiscard( h )      GlobalReAlloc( (h), 0, GMEM_MOVEABLE )
;;*==============================================================================================================
;;* WINNT.HH                                        ; /* Virtal Memory Flags */
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SECTION_QUERY                      equ      00001h ; #define   SECTION_QUERY                             0x0001h
;SECTION_MAP_WRITE                  equ      00002h ; #define   SECTION_MAP_WRITE                         0x0002h
;SECTION_MAP_READ                   equ      00004h ; #define   SECTION_MAP_READ                          0x0004h
;SECTION_MAP_EXECUTE                equ      00008h ; #define   SECTION_MAP_EXECUTE                       0x0008h
;SECTION_EXTEND_SIZE                equ      00010h ; #define   SECTION_EXTEND_SIZE                       0x0010h
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;PAGE_NOACCESS                      equ      00001h ; #define   PAGE_NOACCESS                             0x0001h
;PAGE_READONLY                      equ      00002h ; #define   PAGE_READONLY                             0x0002h
;PAGE_READWRITE                     equ      00004h ; #define   PAGE_READWRITE                            0x0004h
;PAGE_WRITECOPY                     equ      00008h ; #define   PAGE_WRITECOPY                            0x0008h
;PAGE_EXECUTE                       equ      00010h ; #define   PAGE_EXECUTE                              0x0010h
;PAGE_EXECUTE_READ                  equ      00020h ; #define   PAGE_EXECUTE_READ                         0x0020h
;PAGE_EXECUTE_READWRITE             equ      00040h ; #define   PAGE_EXECUTE_READWRITE                    0x0040h
;PAGE_EXECUTE_WRITECOPY             equ      00080h ; #define   PAGE_EXECUTE_WRITECOPY                    0x0080h
;PAGE_GUARD                         equ      00100h ; #define   PAGE_GUARD                                0x0100h
;PAGE_NOCACHE                       equ      00200h ; #define   PAGE_NOCACHE                              0x0200h
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;MEM_COMMIT                         equ  000001000h ; #define   MEM_COMMIT                            0x00001000h
;MEM_RESERVE                        equ  000002000h ; #define   MEM_RESERVE                           0x00002000h
;MEM_DECOMMIT                       equ  000004000h ; #define   MEM_DECOMMIT                          0x00004000h
;MEM_RELEASE                        equ  000008000h ; #define   MEM_RELEASE                           0x00008000h
;MEM_FREE                           equ  000010000h ; #define   MEM_FREE                              0x00010000h
;MEM_PRIVATE                        equ  000020000h ; #define   MEM_PRIVATE                           0x00020000h
;MEM_MAPPED                         equ  000040000h ; #define   MEM_MAPPED                            0x00040000h
;MEM_RESET                          equ  000080000h ; #define   MEM_RESET                             0x00080000h
;MEM_TOP_DOWN                       equ  000100000h ; #define   MEM_TOP_DOWN                          0x00100000h
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;SEC_FILE                           equ  000800000h ; #define   SEC_FILE                              0x00800000h
;SEC_IMAGE                          equ  001000000h ; #define   SEC_IMAGE                             0x01000000h
;SEC_RESERVE                        equ  004000000h ; #define   SEC_RESERVE                           0x04000000h
;SEC_COMMIT                         equ  008000000h ; #define   SEC_COMMIT                            0x08000000h
;SEC_NOCACHE                        equ  010000000h ; #define   SEC_NOCACHE                           0x10000000h
;;MEM_IMAGE                         equ   SEC_IMAGE ; #define   MEM_IMAGE              SEC_IMAGE
;*--------------------------------------------------------------------------------------------------------------
;#define SECTION_ALL_ACCESS (STANDARD_RIGHTS_REQUIRED|SECTION_QUERY|\
;                            SECTION_MAP_WRITE |      \
;                            SECTION_MAP_READ |       \
;                            SECTION_MAP_EXECUTE |    \
;                            SECTION_EXTEND_SIZE)
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WINNT.H                                         ;           // Predefined standard access types
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;DELETE                            equ  000010000h ; #define   DELETE                              (0x00010000L)
;READ_CONTROL                      equ  000020000h ; #define   READ_CONTROL                        (0x00020000L)
;WRITE_DAC                         equ  000040000h ; #define   WRITE_DAC                           (0x00040000L)
;WRITE_OWNER                       equ  000080000h ; #define   WRITE_OWNER                         (0x00080000L)
;SYNCHRONIZE                       equ  000100000h ; #define   SYNCHRONIZE                         (0x00100000L)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;SPECIFIC_RIGHTS_ALL               equ  00000FFFFh ; #define   SPECIFIC_RIGHTS_ALL                 (0x0000FFFFL)
;STANDARD_RIGHTS_REQUIRED          equ  0000F0000h ; #define   STANDARD_RIGHTS_REQUIRED            (0x000F0000L)
;STANDARD_RIGHTS_ALL               equ  0001F0000h ; #define   STANDARD_RIGHTS_ALL                 (0x001F0000L)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;STANDARD_RIGHTS_READ              equ  000020000h ; #define   STD_RIGHTS_READ                    (READ_CONTROL)
;STANDARD_RIGHTS_WRITE             equ  000020000h ; #define   STD_RIGHTS_WRITE                   (READ_CONTROL)
;STANDARD_RIGHTS_EXECUTE           equ  000020000h ; #define   STD_RIGHTS_EXECUTE                 (READ_CONTROL)
;*--------------------------------------------------------------------------------------------------------------
;* WINNT.H                                         ;           // AccessSystemAcl access type
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ACCESS_SYSTEM_SECURITY            equ  001000000h ; #define   ACCESS_SYSTEM_SECURITY              (0x01000000L)
;MAXIMUM_ALLOWED                   equ  002000000h ; #define   MAXIMUM_ALLOWED                     (0x02000000L)
;*--------------------------------------------------------------------------------------------------------------
;* WINNT.H                                         ;           // These are the generic rights.
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;GENERIC_READ                      equ  080000000h ; #define   GENERIC_READ                        (0x80000000L)
;GENERIC_WRITE                     equ  040000000h ; #define   GENERIC_WRITE                       (0x40000000L)
;GENERIC_EXECUTE                   equ  020000000h ; #define   GENERIC_EXECUTE                     (0x20000000L)
;GENERIC_ALL                       equ  010000000h ; #define   GENERIC_ALL                         (0x10000000L)
;*==============================================================================================================
;* WINNT.H                                         ;           // Access Rights files and directories
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FILE_READ_DATA                     equ      00001h ; #define   FILE_READ_DATA                           (0x0001)
FILE_LIST_DIRECTORY                equ      00001h ; #define   FILE_LIST_DIRECTORY                      (0x0001)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FILE_WRITE_DATA                    equ      00002h ; #define   FILE_WRITE_DATA                          (0x0002)
FILE_ADD_FILE                      equ      00002h ; #define   FILE_ADD_FILE                            (0x0002)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FILE_APPEND_DATA                   equ      00004h ; #define   FILE_APPEND_DATA                         (0x0004)
FILE_ADD_SUBDIRECTORY              equ      00004h ; #define   FILE_ADD_SUBDIRECTORY                    (0x0004)
FILE_CREATE_PIPE_INSTANCE          equ      00004h ; #define   FILE_CREATE_PIPE_INSTANCE                (0x0004)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FILE_READ_EA                       equ      00008h ; #define   FILE_READ_EA                             (0x0008)
FILE_WRITE_EA                      equ      00010h ; #define   FILE_WRITE_EA                            (0x0010)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FILE_EXECUTE                       equ      00020h ; #define   FILE_EXECUTE                             (0x0020)
FILE_TRAVERSE                      equ      00020h ; #define   FILE_TRAVERSE                            (0x0020)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FILE_DELETE_CHILD                  equ      00040h ; #define   FILE_DELETE_CHILD                        (0x0040)
FILE_READ_ATTRIBUTES               equ      00080h ; #define   FILE_READ_ATTRIBUTES                     (0x0080)
FILE_WRITE_ATTRIBUTES              equ      00100h ; #define   FILE_WRITE_ATTRIBUTES                    (0x0100)
;*--------------------------------------------------------------------------------------------------------------
;* #define FILE_ALL_ACCESS (STANDARD_RIGHTS_REQUIRED | SYNCHRONIZE | 0x1FF)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
;* #define FILE_GENERIC_READ        (STANDARD_RIGHTS_READ     |\
;*                                   FILE_READ_DATA           |\
;*                                   FILE_READ_ATTRIBUTES     |\
;*                                   FILE_READ_EA             |\
;*                                   SYNCHRONIZE)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* #define FILE_GENERIC_WRITE       (STANDARD_RIGHTS_WRITE    |\
;*                                   FILE_WRITE_DATA          |\
;*                                   FILE_WRITE_ATTRIBUTES    |\
;*                                   FILE_WRITE_EA            |\
;*                                   FILE_APPEND_DATA         |\
;*                                   SYNCHRONIZE)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* #define FILE_GENERIC_EXECUTE     (STANDARD_RIGHTS_EXECUTE  |\
;*                                   FILE_READ_ATTRIBUTES     |\
;*                                   FILE_EXECUTE             |\
;*                                   SYNCHRONIZE)
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* WINNT.H                                         ;           Access Rights files and directories
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FILE_SHARE_READ                    equ  000000001h ; #define   FILE_SHARE_READ                       0x00000001h
FILE_SHARE_WRITE                   equ  000000002h ; #define   FILE_SHARE_WRITE                      0x00000002h
FILE_SHARE_DELETE                  equ  000000004h ; #define   FILE_SHARE_DELETE                     0x00000004h
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
FILE_ATTRIBUTE_READONLY            equ  000000001h ; #define   FILE_ATTRIBUTE_READONLY                0x00000001
FILE_ATTRIBUTE_HIDDEN              equ  000000002h ; #define   FILE_ATTRIBUTE_HIDDEN                  0x00000002
FILE_ATTRIBUTE_SYSTEM              equ  000000004h ; #define   FILE_ATTRIBUTE_SYSTEM                  0x00000004
FILE_ATTRIBUTE_DIRECTORY           equ  000000010h ; #define   FILE_ATTRIBUTE_DIRECTORY               0x00000010
FILE_ATTRIBUTE_ARCHIVE             equ  000000020h ; #define   FILE_ATTRIBUTE_ARCHIVE                 0x00000020
FILE_ATTRIBUTE_DEVICE              equ  000000040h ; #define   FILE_ATTRIBUTE_DEVICE                  0x00000040
FILE_ATTRIBUTE_NORMAL              equ  000000080h ; #define   FILE_ATTRIBUTE_NORMAL                  0x00000080
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FILE_ATTRIBUTE_TEMPORARY           equ  000000100h ; #define   FILE_ATTRIBUTE_TEMPORARY               0x00000100
FILE_ATTRIBUTE_SPARSE_FILE         equ  000000200h ; #define   FILE_ATTRIBUTE_SPARSE_FILE             0x00000200
FILE_ATTRIBUTE_REPARSE_POINT       equ  000000400h ; #define   FILE_ATTRIBUTE_REPARSE_POINT           0x00000400
FILE_ATTRIBUTE_COMPRESSED          equ  000000800h ; #define   FILE_ATTRIBUTE_COMPRESSED              0x00000800
FILE_ATTRIBUTE_OFFLINE             equ  000001000h ; #define   FILE_ATTRIBUTE_OFFLINE                 0x00001000
FILE_ATTRIBUTE_NOT_CONTENT_INDEXED equ  000002000h ; #define   FILE_ATTRIBUTE_NOT_CONTENT_INDEXED     0x00002000
FILE_ATTRIBUTE_ENCRYPTED           equ  000004000h ; #define   FILE_ATTRIBUTE_ENCRYPTED               0x00004000
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
FILE_NOTIFY_CHANGE_FILE_NAME       equ  000000001h ; #define   FILE_NOTIFY_CHANGE_FILE_NAME           0x00000001
FILE_NOTIFY_CHANGE_DIR_NAME        equ  000000002h ; #define   FILE_NOTIFY_CHANGE_DIR_NAME            0x00000002
FILE_NOTIFY_CHANGE_ATTRIBUTES      equ  000000004h ; #define   FILE_NOTIFY_CHANGE_ATTRIBUTES          0x00000004
FILE_NOTIFY_CHANGE_SIZE            equ  000000008h ; #define   FILE_NOTIFY_CHANGE_SIZE                0x00000008
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FILE_NOTIFY_CHANGE_LAST_WRITE      equ  000000010h ; #define   FILE_NOTIFY_CHANGE_LAST_WRITE          0x00000010
FILE_NOTIFY_CHANGE_LAST_ACCESS     equ  000000020h ; #define   FILE_NOTIFY_CHANGE_LAST_ACCESS         0x00000020
FILE_NOTIFY_CHANGE_CREATION        equ  000000040h ; #define   FILE_NOTIFY_CHANGE_CREATION            0x00000040
FILE_NOTIFY_CHANGE_SECURITY        equ  000000100h ; #define   FILE_NOTIFY_CHANGE_SECURITY            0x00000100
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
FILE_ACTION_ADDED                  equ  000000001h ; #define   FILE_ACTION_ADDED                      0x00000001
FILE_ACTION_REMOVED                equ  000000002h ; #define   FILE_ACTION_REMOVED                    0x00000002
FILE_ACTION_MODIFIED               equ  000000003h ; #define   FILE_ACTION_MODIFIED                   0x00000003
FILE_ACTION_RENAMED_OLD_NAME       equ  000000004h ; #define   FILE_ACTION_RENAMED_OLD_NAME           0x00000004
FILE_ACTION_RENAMED_NEW_NAME       equ  000000005h ; #define   FILE_ACTION_RENAMED_NEW_NAME           0x00000005
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
MAILSLOT_NO_MESSAGE                equ  -000000001 ; #define   MAILSLOT_NO_MESSAGE                   ((DWORD)-1)
MAILSLOT_WAIT_FOREVER              equ  -000000001 ; #define   MAILSLOT_WAIT_FOREVER                 ((DWORD)-1)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
FILE_CASE_SENSITIVE_SEARCH         equ  000000001h ; #define   FILE_CASE_SENSITIVE_SEARCH             0x00000001
FILE_CASE_PRESERVED_NAMES          equ  000000002h ; #define   FILE_CASE_PRESERVED_NAMES              0x00000002
FILE_UNICODE_ON_DISK               equ  000000004h ; #define   FILE_UNICODE_ON_DISK                   0x00000004
FILE_PERSISTENT_ACLS               equ  000000008h ; #define   FILE_PERSISTENT_ACLS                   0x00000008
FILE_FILE_COMPRESSION              equ  000000010h ; #define   FILE_FILE_COMPRESSION                  0x00000010
FILE_VOLUME_QUOTAS                 equ  000000020h ; #define   FILE_VOLUME_QUOTAS                     0x00000020
FILE_SUPPORTS_SPARSE_FILES         equ  000000040h ; #define   FILE_SUPPORTS_SPARSE_FILES             0x00000040
FILE_SUPPORTS_REPARSE_POINTS       equ  000000080h ; #define   FILE_SUPPORTS_REPARSE_POINTS           0x00000080
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
FILE_SUPPORTS_REMOTE_STORAGE       equ  000000100h ; #define   FILE_SUPPORTS_REMOTE_STORAGE           0x00000100
FILE_VOLUME_IS_COMPRESSED          equ  000008000h ; #define   FILE_VOLUME_IS_COMPRESSED              0x00008000
FILE_SUPPORTS_OBJECT_IDS           equ  000010000h ; #define   FILE_SUPPORTS_OBJECT_IDS               0x00010000
FILE_SUPPORTS_ENCRYPTION           equ  000020000h ; #define   FILE_SUPPORTS_ENCRYPTION               0x00020000
FILE_NAMED_STREAMS                 equ  000040000h ; #define   FILE_NAMED_STREAMS                     0x00040000
FILE_READ_ONLY_VOLUME              equ  000080000h ; #define   FILE_READ_ONLY_VOLUME                  0x00080000
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;SECTION_QUERY                     equ      00001h ; #define   SECTION_QUERY                          0x0000001h
;SECTION_MAP_WRITE                 equ      00002h ; #define   SECTION_MAP_WRITE                      0x0000002h
;SECTION_MAP_READ                  equ      00004h ; #define   SECTION_MAP_READ                       0x0000004h
;SECTION_MAP_EXECUTE               equ      00008h ; #define   SECTION_MAP_EXECUTE                    0x0000008h
;SECTION_EXTEND_SIZE               equ      00010h ; #define   SECTION_EXTEND_SIZE                    0x0000010h
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;#######################################################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************************************
;*======================================================================================================================================
;*--------------------------------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;#######################################################################################################################################

;###########################################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************************
;*==========================================================================================================================
;*--------------------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###########################################################################################################################

;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################
;MyLISTON


